-- (#) ./base/db/Oracle8i/aggregator/create_ag_schedule_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 

PROMPT Creating table ag_schedule...
CREATE TABLE ag_schedule (
  AG_SCHEDULE_ID 	NUMBER,
  FOLDERID		NUMBER,
  USERID		NUMBER,
  NAME			VARCHAR2(64),
  GROUP_ID		NUMBER,
  DESCRIPTION		VARCHAR2(255),
  CLIENTMACHINEID       NUMBER(38),
  CHANGED		DATE		DEFAULT TRUNC( SYSDATE, 'MI'),
  RUNMODE		CHAR(1)		DEFAULT 'I',
  RETRIEVEMODE 		CHAR(1)		DEFAULT 'D',
  AUTOPURGE		CHAR(1)		DEFAULT 'Y',
  PURGEINTERVAL		NUMBER(38)	DEFAULT 0,
  SUBFOLDERNAME		VARCHAR2(255),
  CREATEFILES		CHAR(1),
  LASTRUNDATE  		DATE,
  LOAD_FILTER_VALUE	VARCHAR2(128),
  INTERVAL		NUMBER,
  DATA_TIME             DATE,
    CONSTRAINT ag_schedule_pk PRIMARY KEY (ag_schedule_id) USING INDEX TABLESPACE wm_client,
    CONSTRAINT ag_schedule_ClientMachineid_fk FOREIGN KEY (ClientMachineId) REFERENCES PM_ClientMachine(Id),
    CONSTRAINT ag_schedule_FolderId_fk FOREIGN KEY (FolderId) REFERENCES PM_Folder(Id),
    CONSTRAINT ag_schedule_UserId_fk FOREIGN KEY (UserId) REFERENCES PM_User(Id)
) TABLESPACE wm_client;

PROMPT Creating ag_schedule views and triggers...
EXEC gen_scheduler_view.write_code( 'AG_SCHEDULE', 3, 3 );

EXIT

-- Done.

