-- (#) ./base/db/Oracle8i/aggregator/create_ag_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
-- Aggregator tables, indexes, and sequences
--

create sequence ag_def_seq start with 1;
create sequence ag_ruleset_seq start with 1;

create table ag_ruleset
(
 id                   number
   constraint pk_ag_ruleset primary key,
 entity_id            number not null
   constraint fk_ag_ruleset_eid references wmn_entity(entity_id),
 name                 varchar2(255) not null,
 filename             varchar2(512) not null
)
/

create table ag_def
(
 id                   number
   constraint pk_ag_def primary key,
 entity_id            number not null
   constraint fk_ag_def_eid references wmn_entity(entity_id),
 name                 varchar2(255) not null,
 interval             number not null,
 filename             varchar2(512) not null,
 load_filter_value    varchar2(128),
 ruleset_id           number
   constraint fk_ag_def_rulesetid references ag_ruleset(id)
)
/

create table ag_loader_control
(
 entity_id            number
   constraint pk_ag_lderctl primary key
   constraint fk_ag_lderctl_eid references wmn_entity(entity_id),
 interval             number not null,
 load_filter_attr     varchar2(32),
 orderby              varchar2(256)
)
/

create global temporary table ag_def_tmp
(
 id                   number
   constraint pk_ag_def_tmp primary key
)
on commit delete rows
/

create table ag_ruleset_snap
(
 id                   number,
 entity_id            number not null,
 name                 varchar2(255) not null,
 filename             varchar2(512) not null,
 task_id              number,
-- constraint
   constraint pk_ag_ruleset_snap primary key (task_id),
   constraint fk_ag_ruleset_snap_taskid foreign key (task_id)
              references active_task(task_id) on delete cascade
)
/

create table ag_def_snap
(
 id                   number,
 entity_id            number,
 name                 varchar2(255),
 interval             number,
 filename             varchar2(512),
 load_filter_value    varchar2(128),
 ruleset_id           number,
 job_id               number,
 task_id              number,
 autopurge            char(1),
 purgeinterval        number,
 retrievemode         char(1),
-- constraint
   constraint pk_ag_def_snap primary key (task_id),
   constraint fk_ag_def_snap_taskid foreign key (task_id)
              references active_task(task_id) on delete cascade
)
/

create table ag_joblist (
    Id               INTEGER,
    ScheduleUserId   INTEGER,
    ReportGroupName  VARCHAR2(255),
    ScheduleName     VARCHAR2(255),
    MachineName      VARCHAR2(255),
     CONSTRAINT PK_AG_JOBLIST PRIMARY KEY (ID),
     CONSTRAINT fk_ag_joblist_jobid FOREIGN KEY (id)
               REFERENCES active_job(job_id) ON DELETE CASCADE
)
tablespace wm_flexpm;

exit;
