-- ------------------------------------------------------------------------
--     COPYRIGHT WatchMark Corp 2000
--     ./base/db/Oracle8i/bh/BH_Parameter.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605
-- ------------------------------------------------------------------------

whenever sqlerror exit sql.sqlcode;

CREATE TABLE BH_Parameter
(
  Id           INTEGER,
    CONSTRAINT pk_bh_parameter PRIMARY KEY (id),
  skip_missing CHAR(1) DEFAULT 'N' NOT NULL,
    CONSTRAINT BH_Parameter_skip_missing_ck CHECK (skip_missing IN ('Y', 'N')),
  forward      CHAR(1) DEFAULT 'N' NOT NULL,
    CONSTRAINT BH_Parameter_forward_ck CHECK (forward IN ('Y', 'N')),
  backward     CHAR(1) DEFAULT 'N' NOT NULL,
    CONSTRAINT BH_Parameter_backward_ck CHECK (backward IN ('Y', 'N')),
  start_date   DATE,
  end_date     DATE,
  entity_id    INTEGER,
  override     CHAR(1) DEFAULT 'N' NOT NULL,
    CONSTRAINT BH_Parameter_override_ck CHECK (override IN ('Y', 'N')),
  bh_name      VARCHAR2(128),
  bh_id        INTEGER,
  span         CHAR(1),
    CONSTRAINT BH_Parameter_span_ck CHECK (span in ('D', 'W', 'M'))
)
TABLESPACE wm_flexpm;
     
CREATE SEQUENCE bh_parameter_seq;

exit;
