CREATE OR REPLACE TRIGGER PM_BusyHour_InsBHTrigger
  AFTER INSERT ON PM_BusyHour
  FOR EACH ROW
  WHEN (NEW.field_id IS NOT NULL)
  DECLARE 
  report_context INTEGER; 
  BEGIN
     
     SELECT context_id INTO report_context
       FROM wmn_context
       WHERE context_use = 'R';
  
     INSERT INTO wmd_dict_table (table_id,
       table_name,
       entity_id,
       is_time_series,
       summary_id,
       summary_col)
       (SELECT table_id,
       BH_Lib.GetBHDestName('V', table_name),
       entity_id,
       is_time_series,
       :NEW.id,
       NULL 
       FROM wmd_dict_table
       WHERE is_time_series = 'Y'
       AND summary_id = 0
       AND ( 
          (summary_type.valid_DBH(summarize)=1 AND :NEW.span='D')
       OR (summary_type.valid_WBH(summarize)=1 AND :NEW.span='W')
       OR (summary_type.valid_MBH(summarize)=1 AND :NEW.span='M')
       )
       AND entity_id IN (SELECT entity_id FROM wmn_entity_context
       START WITH entity_id = :NEW.cluster_entity_id
       AND context_id = report_context
       CONNECT BY parent_entity_id = PRIOR entity_id 
       AND context_id = report_context));
  END;
/
show errors trigger PM_BusyHour_InsBHTrigger;  
EXIT;
-- ------------------------------------------------------------------------
-- Local Variables:
-- mode: pls
-- End:
