 
CREATE sequence tablename_seq START WITH 1 increment BY 1 maxvalue 9999 cycle;
  
CREATE sequence folder_seq START WITH 100 increment BY 1;

CREATE sequence template_seq START WITH 1 increment BY 1 maxvalue 999 cycle;

CREATE TABLE templatefield_save 
  ( tstamp date,
  template_id number,
  ordinal NUMBER,
  field_id NUMBER,
  sortorder CHAR(1),
  isshown CHAR(1),
  entity_id NUMBER,
  field_name VARCHAR2(128)
  ) TABLESPACE wm_flexpm;

CREATE TABLE template_save 
  ( tstamp DATE,
  ID NUMBER,
  CriteriaFieldID NUMBER,
  Entity_ID NUMBER,
  Field_Name  VARCHAR2(128),
  FolderID NUMBER,
  Name VARCHAR2(64),
  Category  VARCHAR2(64)
  ) TABLESPACE wm_flexpm;

CREATE TABLE SoftAlarm_save 
  (
  tstamp DATE,
  id NUMBER,
  field_id NUMBER,
  field_name  VARCHAR2(128),
  entity_id NUMBER
  ) TABLESPACE wm_flexpm;

CREATE TABLE reportbh_save 
  (
  tstamp DATE,
  id NUMBER,
  field_id NUMBER,
  entity_id NUMBER,
  field_name VARCHAR2(128)
  )TABLESPACE wm_flexpm;

CREATE TABLE busyhour_save 
  (
  tstamp DATE,
  id NUMBER,
  field_id NUMBER,
  entity_id NUMBER,
  field_name VARCHAR2(128)
  )TABLESPACE wm_flexpm;

CREATE TABLE udc_save 
  (
  tstamp DATE,
  field_name VARCHAR2(128),
  report_header VARCHAR2(40),
  report_header2  VARCHAR2(40),
  datatype CHAR(1),
  field_desc VARCHAR2(1000),
  field_aggregator CHAR(1),
  field_emits_aggregator CHAR(1),
  entity_name VARCHAR2(30),
  calc_source  CLOB,
  udc_source VARCHAR2(4000),
  error_msg VARCHAR2(2000),
  status CHAR(1)
  )TABLESPACE wm_flexpm;

CREATE TABLE table_save 
  (
  tstamp DATE,
  table_id NUMBER,
  table_name VARCHAR2(40),
  entity_id NUMBER,
  is_time_series CHAR(1),
  summary_id NUMBER,
  summary_col VARCHAR2(40),
  base_table_name VARCHAR2(40)
  )TABLESPACE wm_flexpm;

CREATE TABLE dict_field_save
  (
  tstamp DATE,
  entity_id NUMBER,
  field_name VARCHAR2(128),
  field_id NUMBER
  )
  TABLESPACE wm_flexpm;
  
CREATE TABLE col_def_subtype_save 
  (
  tstamp DATE,
  entity_name VARCHAR2(30),
  subtype_name VARCHAR2(40),
  field_name VARCHAR2(128),
  min_value FLOAT,
  max_value FLOAT,
  default_value VARCHAR2(1000)
  )TABLESPACE wm_flexpm;



CREATE TABLE save_col_def_subtype
  (
  entity_name VARCHAR2(30),
  subtype_name VARCHAR2(40),
  field_name VARCHAR2(128),
  min_value FLOAT,
  max_value FLOAT,
  default_value VARCHAR2(1000)
  ) TABLESPACE wm_flexpm;



--  create tmp table to hold traffic table info.

CREATE table table_info_temp
  (table_name VARCHAR2(30),
  tablespace_name VARCHAR2(50),
  is_time_series CHAR(1),
  p_key VARCHAR2(4000),
  file_type VARCHAR2(30),
  vendor_name VARCHAR2(30),
  vendor_short VARCHAR2(5),
  mo_class VARCHAR2(60),
  entity_name VARCHAR2(30),
  activate_scenario CHAR(1),
  table_type VARCHAR2(50),
  table_category VARCHAR2(20),
  frequency CHAR(1)
  )TABLESPACE wm_flexpm;

-- create tmp table to hold entity context info.


CREATE TABLE primary_key_info
  (
  table_name VARCHAR2(30),
  column_name VARCHAR2(30),
  data_type VARCHAR2(20),
  length NUMBER
  ) TABLESPACE wm_flexpm;


CREATE GLOBAL TEMPORARY TABLE entity_ctx_tmp
  (
  entity_name VARCHAR2(30),
  parsekey CHAR(1),
  context VARCHAR2(40),
  parent_entity VARCHAR2(30),
  to_context VARCHAR2(40),
  always CHAR(1),
  transition VARCHAR2(4000))
  ON commit preserve rows;

CREATE GLOBAL TEMPORARY TABLE entity_ctx_old_tmp
  (
  entity_id number,
  context_id number,
  parent_entity_id number
  )
ON commit preserve rows;


CREATE global temporary TABLE weight_fld_tmp
  (
  weight_field VARCHAR2(40),
  field_name VARCHAR2(128))
  ON commit preserve rows;

CREATE  TABLE templatefield_temp
  (
  templateid number,
  ordinal number,
  field_name VARCHAR2(128),
  entity_name VARCHAR2(30),
  sortorder CHAR(1),
  isshown CHAR(1)
  )TABLESPACE wm_flexpm;
 

CREATE TABLE tempfilter_temp
(
templateid number,
fieldordinal number,
ordinal number,
  criteria VARCHAR2(2048)
)TABLESPACE wm_flexpm;

CREATE TABLE dict_info_save
  (
  xml_filename VARCHAR2(100)
  )TABLESPACE wm_flexpm;

CREATE TABLE datatype_temp
  (
  table_name VARCHAR2(30),
  column_name VARCHAR2(40),
  data_type VARCHAR2(50)
  ) TABLESPACE wm_flexpm;


CREATE TABLE type_scale_temp
  (
  table_name VARCHAR2(30),
  column_name VARCHAR2(40),
  scale number
  ) TABLESPACE wm_flexpm;


CREATE TABLE client_version_temp
  (
  client_version number
  ) TABLESPACE wm_flexpm;


CREATE TABLE peik_extra_ent_property
(
entity_id  INTEGER
CONSTRAINT PK_peik_extra_ent_property PRIMARY KEY
CONSTRAINT FK_peik_extra_ent_prpt_ent_id REFERENCES wmn_entity(entity_id),
name       VARCHAR2(256),
  value      VARCHAR2(4000),
  loader_property CHAR(1) DEFAULT 'N'
) TABLESPACE wm_flexpm;

CREATE TABLE peik_extra_fld_property 
(
entity_id  INTEGER
CONSTRAINT FK_peik_extra_fld_prpt_ent_id REFERENCES wmn_entity(entity_id),
field_id   INTEGER
  CONSTRAINT FK_peik_extra_fld_prpt_fld_id REFERENCES wmd_field_def(field_id) 
  ON DELETE cascade,
name       VARCHAR2(256),
  value    VARCHAR2(4000),
  loader_property CHAR(1) DEFAULT 'N',
CONSTRAINT PK_peik_extra_fld_property PRIMARY KEY (entity_id, field_id)
) TABLESPACE wm_flexpm;

CREATE TABLE rollup_info
  (
  from_entity_id NUMBER CONSTRAINT fk_rup_info_fent_id REFERENCES wmn_entity(entity_id),
  TO_entity_id NUMBER CONSTRAINT fk_rup_info_tent_id REFERENCES wmn_entity(entity_id),
  counter VARCHAR2(40),
  rollup_counter  VARCHAR2(40),
  table_name VARCHAR2(30)
  ) TABLESPACE wm_flexpm;



  CREATE TABLE WM_ACTIVATE_PARENT ( 
    PARENT_ENTITY  VARCHAR2 (30), 
    CHILD_ENTITY   VARCHAR2 (30), 
    MODULE_NAME    VARCHAR2 (30) ) 
    TABLESPACE wm_flexpm;
  
  CREATE global temporary TABLE parttab_tmp
    (
    table_name VARCHAR2(40),
    table_id number
  )
    ON commit preserve rows;
  


  
--                                                                                                                                   
------------------------------------------------------------------------                                                             
--                                                                                                                                   
-- Local Variables:                                                                                                                  
-- mode: pls                                                                                                                         
-- End:   
