---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/cfgtool/delete_tabs.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
-- ############################################################################
-- ## The following script is used to cleanup data from data dictionary tables 
-- ## and drop traffic and ent tables.
-- ############################################################################
DECLARE
   cursor drop_tftable_cur IS
      SELECT table_name
        FROM user_tables
       WHERE (table_name LIKE '%TAB' OR
              table_name LIKE '%DBH' OR
              table_name LIKE '%WBH' OR
              table_name LIKE '%MBH' OR
              table_name LIKE '%DSM' OR
              table_name LIKE '%WSM' OR
              table_name LIKE '%MSM' OR
              table_name LIKE '%DXC' OR
              table_name LIKE '%DXS')
         AND table_name NOT LIKE 'RG_STORED%'
         AND table_name NOT LIKE 'STATUS_ARCHIVE_TAB';
     
     
   cursor drop_enttab_cur IS
      SELECT TABLE_name
        FROM user_tables
       WHERE table_name != 'PEIK_EXTRA_ENT_PROPERTY'
         AND TABLE_name LIKE '%/_ENT/_%'
      escape '/';
       
   cursor drop_tfview_cur IS
      SELECT view_name
        FROM user_views
       WHERE (view_name LIKE '%TAB' OR
              view_name LIKE '%VBH');
       
   sqlstr VARCHAR2(2000) := NULL;
       
BEGIN
      
   delete from wmd_field_tech;
   delete from wmd_technology;
      
   delete from wmd_dict_name;
   delete from wmd_col_def_subtype;
   delete from wmd_col_def;
   delete from wmd_calc_def;
   delete from wmd_func_def;
   delete from wmd_dict_function;
      
   delete from wmd_technology;
      
   delete from wm_file_table_map;
      
   delete from wmd_table_group;
      
   delete from wm_file_control;
            
   delete from WM_MAP_CONFIG;
            
   delete from WMN_ENTITY_SUBTYPE;
      
   delete from wmn_entity_context;
      
   delete from wmd_dict_table;
         
   delete from wmd_field_data;
      
   delete from pm_templatefield;
      
   delete from PM_TEMPLATE;
      
   delete from wmd_dict_field_depend;
      
   delete from wmd_field_def;
      
   delete from wm_system_value;
      
   delete from wm_system_variable;
   delete from wmd_datasource_extra;
   delete from wmd_data_source;
   delete from wmn_entity_context;
   delete from wmn_context_transition;
   delete from wmn_entity;
      
   delete from wmn_context_transition;
      
      
      
   delete from wmn_context;
      
      
   delete from part_tables where table_name like '%TAB';
      
   delete from wmd_dict_table where table_name like '%_ENT_%';
      
   delete from xml_clob;
   delete from wmd_loader_source;
   delete from wm_server_module;
   delete from entity_ctx_tmp;
   delete from pm_filter;
   delete from wmd_field_group;
    
   dbms_output.put_line(' Dropping tf views ');

   FOR view_rec IN drop_tfview_cur LOOP
      sqlstr := 'drop view '|| view_rec.view_name;
      execute immediate sqlstr;
   END LOOP;

   dbms_output.put_line(' Dropping tf tables ');
      
   -- drop tf tables
   FOR table_rec IN drop_tfTable_cur LOOP
        
      DELETE FROM part_tables WHERE lower(table_name)=lower(table_rec.table_name);
         
      sqlstr := 'drop table '|| table_rec.table_name;
         
      execute immediate sqlstr;
         
   END LOOP;
      
   dbms_output.put_line(' Dropping ent tables ');
   -- drop ent tables
            
   FOR table_rec IN drop_entTab_cur LOOP
         
      sqlstr := 'drop table '|| table_rec.table_name;
         
      execute immediate sqlstr;
         
   END LOOP;
      
   DELETE FROM subclass_map;
      
   DELETE FROM subclass_table;
      
END;
/       
       
