whenever sqlerror exit sql.sqlcode;

--
-- Temporary fix to map data dictionary differences between the client
-- and Flex/PM
--

CREATE OR REPLACE TRIGGER PM_Template_Trigger
BEFORE INSERT OR UPDATE ON PM_Template
FOR EACH ROW
BEGIN
    IF :new.type = 'Physical Antenna' THEN
	:new.rg_type := 'Antenna';
    ELSIF :new.type = 'Ring Node' THEN
	:new.rg_type := 'RingNode';
    ELSIF :new.type = 'InterMSC DataLink' THEN
	:new.rg_type := 'IMDL';
    ELSIF :new.type = 'Logical Antenna ' THEN
	:new.rg_type := 'VoiceLAF';
    ELSIF :new.type = 'Cell Carrier' THEN
	:new.rg_type := 'Cell_Carrier';
    ELSE
        :new.rg_type := :new.type;
    END IF;
END;
/
show errors;


CREATE OR REPLACE TRIGGER PM_TemplateField_Trigger
BEFORE INSERT OR UPDATE ON PM_TemplateField
FOR EACH ROW
BEGIN
    IF :new.category = 'Physical Antenna' THEN
	:new.rg_category := 'Antenna';
    ELSIF :new.category = 'Ring Node' THEN
	:new.rg_category := 'RingNode';
    ELSIF :new.category = 'InterMSC DataLink' THEN
	:new.rg_category := 'IMDL';
    ELSIF :new.category = 'Logical Antenna ' THEN
	:new.rg_category := 'VoiceLAF';
    ELSIF :new.category = 'Cell Carrier' THEN
	:new.rg_category := 'Cell_Carrier';
    ELSE
        :new.rg_category := :new.category;
    END IF;
END;
/
show errors;
