-- ----------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/client/create_gen_attr_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
-- Create the schema to handle generic report attributes
--

CREATE TABLE PM_GEN_REPORT_ATTR 
  (
  id	        INTEGER NOT NULL,
  reportid      INTEGER NOT NULL,
  name          VARCHAR(255),
  CONSTRAINT fk_gen_pm_report FOREIGN KEY( reportid )
  REFERENCES PM_REPORT( id ) ON DELETE CASCADE,
  CONSTRAINT pk_gen_report_attr PRIMARY KEY( id ),
  CONSTRAINT unq_gen_report_attr UNIQUE ( reportid, name )
  )
  TABLESPACE WM_Client;


CREATE TABLE PM_GEN_REPORT_VALUE
  (
  attrid  INTEGER NOT NULL,
  seq     INTEGER NOT NULL,
  value   VARCHAR(255),
  CONSTRAINT fk_gen_pm_report_attr FOREIGN KEY( attrid ) 
  REFERENCES PM_GEN_REPORT_ATTR( id ) ON DELETE CASCADE,
  CONSTRAINT pk_gen_pm_report_value PRIMARY KEY( attrid, seq )
  )
  TABLESPACE WM_Client;
    
CREATE SEQUENCE SQ_PM_GEN_REPORT_ATTR
  START WITH 1
  INCREMENT BY 1
  NOMAXVALUE
  NOCYCLE;

CREATE OR REPLACE VIEW PM_GEN_REPORT_ATTR_VALUES_V AS
  SELECT ra.reportid, ra.name, rv.value, rv.seq
    FROM PM_GEN_REPORT_ATTR ra, PM_GEN_REPORT_VALUE rv
    WHERE rv.attrid = ra.id;


-- ----------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:
