CREATE OR REPLACE TRIGGER
-- ---------------------------------------------------------------------------
-- Copyright WatchMark Corp, 2004. All rights reserved.
--
-- (#) ./base/db/Oracle8i/data_change_event/data_load_event_trigger.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- ---------------------------------------------------------------------------
data_load_event_trigger AFTER INSERT ON en_event_data_load FOR EACH ROW
DECLARE
  eventTime     DATE;
  eventTypeId   INTEGER;
  dataTstamp    DATE;
  handledTstamp DATE;
BEGIN
   IF INSERTING
   THEN
     BEGIN
         --
         -- I'm pretty sure this HAS to work as en_event_data_load(event_id)
         -- is a FK to en_event(event_id)
         --
         SELECT event_time, event_type_id, data_tstamp, handled_tstamp
	   INTO eventTime, eventTypeId, dataTstamp, handledTstamp
           FROM en_event
          WHERE event_id = :new.event_id;

         data_change.send('analysis.framework.on', 'EN_EVENT_DATA_LOAD', :new.event_id, eventTime, eventTypeId,
		handledTstamp, :new.instance_id, :new.entity_id, :new.file_type_id,
		null, null, dataTstamp, null, null, null, null, null);
     EXCEPTION WHEN OTHERS
     THEN NULL;
     END;
   END IF;
END data_load_event_trigger;
/
SHOW ERRORS TRIGGER data_load_event_trigger;

