---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2002,2010. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/dictionary/scripts/dict_restore.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

-- ****************************************************
-- PM Report
-- ****************************************************
UPDATE PM_Report rpt
  SET TemplateID = ( SELECT pt.ID FROM PM_Template pt, save_Template st
                       WHERE st.FolderID = pt.FolderID AND UPPER(st.Name) = UPPER(pt.Name) 
                         AND st.Category = pt.Category AND st.Entity_id= pt.Entity_id
                         AND rpt.templateid = st.id )
  WHERE TemplateID IN ( SELECT st.ID FROM PM_Template pt, save_Template st
                       WHERE st.FolderID = pt.FolderID AND UPPER(st.Name) = UPPER(pt.Name)
                         AND st.Category = pt.Category AND st.Entity_id= pt.Entity_id
                         AND st.id != pt.ID );


-- ****************************************************
-- save_Dict_Field
-- ****************************************************
UPDATE save_Dict_field sdf
  SET Field_ID = (Select Field_id from wmd_dict_field wdf where wdf.Field_Name = sdf.Field_Name and  wdf.Entity_ID = sdf.Entity_ID);

DELETE FROM save_Dict_field where field_id is NULL;

commit;

CREATE INDEX SAVE_DICT_FIELD_FLDNAM_IDX ON SAVE_DICT_FIELD (FIELD_NAME);
CREATE INDEX SAVE_DICT_FIELD_ENTFLD_IDX ON SAVE_DICT_FIELD (ENTITY_ID,FIELD_ID);

-- ****************************************************
-- PM_TemplateField
-- ****************************************************
DELETE FROM save_TemplateField sTF
  WHERE EXISTS (
      SELECT 1 FROM PM_TemplateField
        WHERE sTF.TemplateID = TemplateID AND sTF.Ordinal = Ordinal
  );

UPDATE save_TemplateField
  SET Field_ID = 0;

UPDATE save_TemplateField tf
  SET Field_ID = ( SELECT Field_ID
                   FROM save_Dict_Field
                   WHERE Field_Name = tf.Field_Name AND
                         Entity_ID = tf.Entity_ID )
  WHERE EXISTS ( SELECT 1
                 FROM save_Dict_Field
                 WHERE Field_Name = tf.Field_Name AND
                       Entity_ID = tf.Entity_ID );

UPDATE save_TemplateField stf
  SET TemplateID = ( SELECT pt.ID FROM PM_Template pt, save_Template st
                       WHERE st.FolderID = pt.FolderID AND UPPER(st.Name) = UPPER(pt.Name) 
                         AND st.Category = pt.Category AND st.Entity_id= pt.Entity_id
                         AND stf.templateid = st.id )
  WHERE TemplateID IN ( SELECT st.ID FROM PM_Template pt, save_Template st
                       WHERE st.FolderID = pt.FolderID AND UPPER(st.Name) = UPPER(pt.Name)
                         AND st.Category = pt.Category AND st.Entity_id= pt.Entity_id
                         AND st.id != pt.ID );

INSERT INTO PM_TemplateField
      ( TemplateID, Ordinal, Field_ID, SortOrder, IsShown )
  SELECT TemplateID, Ordinal, Field_ID, SortOrder, IsShown
    FROM save_TemplateField tf, wmn_Entity ent
    WHERE Field_ID > 0 AND tf.Entity_ID = ent.Entity_ID AND TemplateID >= 1000;

ALTER TABLE PM_filter ENABLE CONSTRAINT FK_Filter_TempId_FldOrd;

-- ****************************************************
-- PM_ReportSpec
-- ****************************************************
UPDATE save_ReportBH
  SET Field_ID = NULL;

UPDATE save_ReportBH rb
  SET Field_ID = ( SELECT Field_ID FROM save_Dict_Field WHERE Field_Name = rb.Field_Name AND Entity_ID = rb.Entity_ID );

UPDATE PM_ReportSpec rs
  SET Field_ID = ( SELECT Field_ID FROM save_ReportBH WHERE ID = rs.ID);


-- ****************************************************
-- PM_Template
-- ****************************************************
UPDATE save_Template
  SET CriteriaFieldID = NULL;

UPDATE save_Template tpl
  SET CriteriaFieldID = ( SELECT Field_ID FROM save_Dict_Field WHERE Field_Name = tpl.Field_Name AND Entity_ID = tpl.Entity_ID );

UPDATE PM_Template tpl
  SET CriteriaFieldID = ( SELECT CriteriaFieldID FROM save_Template WHERE ID = tpl.ID);

-- Delete System Templates which no longer have any fields (i.e from upgrade)
SELECT Name "Unused System Templates" FROM PM_Template tpl
  WHERE ID < 1000
    AND NOT EXISTS (SELECT 1 FROM PM_TemplateField WHERE TemplateID = tpl.ID );

DELETE FROM PM_Template tpl 
  WHERE ID < 1000
    AND NOT EXISTS (SELECT 1 FROM PM_TemplateField WHERE TemplateID = tpl.ID );

-- ***************************************************
-- Soft Alarms
-- ***************************************************
UPDATE save_SoftAlarm set field_id = 1;

UPDATE save_SoftAlarm SA set field_id = (select field_id from save_Dict_Field where FIELD_NAME = SA.FIELD_NAME and ENTITY_ID = SA.ENTITY_ID);

UPDATE SA_THRESHOLD SA
SET FIELD_ID = (select field_id from save_SoftAlarm where ID = SA.ID);

ALTER TABLE SA_THRESHOLD ENABLE CONSTRAINT FK_SA_THRS_FIELD_ID;

-- ****************************************************
-- PM_BusyHour
-- ****************************************************
UPDATE save_BusyHour
  SET Field_ID = NULL;

UPDATE save_BusyHour bh
  SET Field_ID = ( SELECT Field_ID FROM save_Dict_Field WHERE Field_Name = bh.Field_Name AND Entity_ID = bh.Entity_ID );

UPDATE PM_BusyHour bh
  SET Field_ID = ( SELECT Field_ID FROM save_BusyHour WHERE ID = bh.ID);

--CREATE UNIQUE INDEX UNQ_BusyHour2 ON PM_BusyHour(Cluster_Entity_Id, Entity_Id, Field_Id, Span)
--TableSpace WM_Client;

CREATE UNIQUE INDEX UNQ_BusyHour ON PM_BusyHour( Cluster_Entity_Id, DECODE(Field_Id,NULL,NULL,UPPER(Name)), Span )
TABLESPACE WM_Client;


-- ****************************************************
-- wmd_UDC_Def
-- ****************************************************
-- UPDATE save_UDC
--   SET Field_ID = 0;

-- UPDATE save_UDC udc
--   SET Field_ID = ( SELECT Field_ID FROM save_Dict_Field WHERE Field_Name = udc.Field_Name AND Entity_ID = udc.Entity_ID );

-- INSERT INTO wmd_UDC_Def udc (Field_ID, UDC_Source, Calc_Source, Error_Msg, Status )
--   SELECT Field_ID, UDC_Source, Calc_Source, Error_Msg, Status
--     FROM save_UDC
--     WHERE Field_ID > 0;

UPDATE wmd_UDC_Def SET Status = 'U';

-- ****************************************************
-- wmd_Dict_Table (Summary/Busy Hour)
-- ****************************************************
UPDATE save_Table
  SET Table_ID = 0;

UPDATE save_Table tab
  SET Table_ID = NVL( ( SELECT Table_ID FROM wmd_Dict_Table WHERE Table_Name = tab.Base_Table_Name AND Summary_ID = 0 ), 0 );

INSERT INTO wmd_Dict_Table ( Table_ID, Table_Name, Entity_ID, Is_Time_Series, Summary_ID, Summary_Col )
  SELECT Table_ID, Table_Name, Entity_ID, Is_Time_Series, Summary_ID, Summary_Col
    FROM save_Table
    WHERE Table_ID > 0;

-- ****************************************************
-- wmd_col_def_subtype for GOS fields.
-- SEAde15778: 5EI, upgrade resetting GOS.
-- ****************************************************

BEGIN
  FOR c1 IN (SELECT e.entity_id entity_id, es.subtype_id subtype_id, dn.field_id field_id,
                    cds.min_value min_value, cds.max_value max_value, cds.default_value default_value
               FROM save_col_def_subtype cds, wmd_dict_name dn,
                    wmn_entity_subtype es, wmn_entity e
              WHERE cds.entity_name = e.entity_name
                AND e.entity_id = dn.entity_id
                AND e.entity_id = es.entity_id 
                AND cds.subtype_name = es.subtype_name
                AND cds.field_name = dn.name
                AND dn.namespace_id = 0 ) LOOP

      UPDATE wmd_col_def_subtype ucds
         SET min_value = c1.min_value,
             max_value = c1.max_value,
             default_value = c1.default_value
       WHERE entity_id = c1.entity_id
         AND subtype_id = c1.subtype_id
         AND field_id = c1.field_id;

  END LOOP;

END;
/


-- ****************************************************
-- SEAde32583: EDS
-- ****************************************************

update SAVE_EDS_PRIMARYKEY
   set field_id = 0;

update SAVE_EDS_PRIMARYKEY EP
   set field_id = ( select DF.field_id
                      from SAVE_DICT_FIELD DF
                     where DF.field_name = EP.field_name
                       and DF.entity_id  = EP.entity_id
                  )
 where exists ( select 1 from SAVE_DICT_FIELD DF
                 where DF.field_name = EP.field_name
                   and DF.entity_id  = EP.entity_id
              );

delete from SAVE_EDS_PRIMARYKEY sEP
      where exists ( select 1 from EDS_PRIMARYKEY EP
                      where EP.eds_id  = sEP.eds_id
                        and EP.ordinal = sEP.ordinal
                   );

delete from SAVE_EDS_PRIMARYKEY sEP
      where exists ( select 1 from EDS_PRIMARYKEY EP
                      where EP.eds_id  = sEP.eds_id
                        and EP.col_id  = sEP.col_id
                   );

insert into EDS_PRIMARYKEY ( pk_id, eds_id, col_id, ordinal, field_id )
       select pk_id
            , eds_id
            , col_id
            , ordinal
            , field_id
         from SAVE_EDS_PRIMARYKEY EP
            , WMN_ENTITY EN
        where EP.field_id > 0
          and EP.entity_id = EN.entity_id
            ;

-- ****************************************************
-- SEAde40172: FIELD STYLE
-- ****************************************************

update SAVE_FIELD_STYLE
   set field_id = 0;

update SAVE_FIELD_STYLE FS
   set field_id = ( select DF.field_id
                      from SAVE_DICT_FIELD DF
                     where DF.field_Name = FS.field_name
                       and DF.entity_id  = FS.entity_id
                  )
 where exists ( select 1 from SAVE_DICT_FIELD DF
                 where DF.field_name = FS.field_name
                   and DF.entity_id  = FS.entity_id
              );

delete from SAVE_FIELD_STYLE sFS
 where exists ( select 1 from WMD_FIELD_STYLE FS
                 where FS.field_id = sFS.field_id
              );

insert into WMD_FIELD_STYLE (field_id, fontstylemask, fontcolor)
       select FS.field_id
            , FS.fontstylemask
            , FS.fontcolor
         from SAVE_FIELD_STYLE FS
            , WMN_ENTITY      EN
        where FS.field_id > 0
          and FS.entity_id = EN.entity_id
            ;

-- ****************************************************
-- SEAde40534: UDR KEYS
-- ****************************************************

update SAVE_UDR_KEYS
   set field_id = 0;

update SAVE_UDR_KEYS UK
   set field_id = ( select DF.field_id
                      from SAVE_DICT_FIELD DF
                     where DF.field_Name = UK.field_name
                       and DF.entity_id  = UK.entity_id
                  )
 where exists ( select 1 from SAVE_DICT_FIELD DF
                 where DF.field_name = UK.field_name
                   and DF.entity_id  = UK.entity_id
              );

delete from SAVE_UDR_KEYS sUK
      where exists ( select 1 from WMD_UDR_KEYS UK
                      where UK.entity_id = sUK.entity_id
                        and UK.field_id  = sUK.field_id
                        and UK.field_seq = sUK.field_seq
                   );

insert into WMD_UDR_KEYS (entity_id, field_id, field_seq)
       select UK.entity_id
            , UK.field_id
            , UK.field_seq
         from SAVE_UDR_KEYS   UK
            , WMN_ENTITY      EN
        where UK.field_id > 0
          and UK.entity_id = EN.entity_id
            ;


-- ****************************************************
-- valnt00100745 adding in support for wmn_field_attribute
-- ****************************************************

UPDATE save_field_attribute SET field_id = 0;

UPDATE save_field_attribute fa
   SET field_id = (SELECT df.field_id
                     FROM save_dict_field df
                    WHERE df.field_name = fa.field_name
                      AND df.entity_id = fa.entity_id)
 WHERE EXISTS (SELECT 1
          FROM save_dict_field df
         WHERE df.field_name = fa.field_name
           AND df.entity_id = fa.entity_id);

DELETE FROM save_field_attribute sfa
 WHERE EXISTS (SELECT 1
          FROM wmn_field_attribute wfa
         WHERE wfa.field_id = sfa.field_id);

INSERT INTO wmn_field_attribute
  (field_id,
   entity_id,
   attribute_name,
   default_num_value,
   user_num_value)
  SELECT fa.field_id,
         fa.entity_id,
         fa.attribute_name,
         fa.default_num_value,
         fa.user_num_value
    FROM save_field_attribute fa,
         wmn_entity           en
   WHERE fa.field_id > 0
     AND fa.entity_id = en.entity_id;



-- ****************************************************
-- PEIK
-- ****************************************************
-- These tables may not exist so we use Dynamic SQL
declare
   vSQL varchar2(1000);
   x    char(1);
begin

   select 'x' into x
     from user_tables
    where table_name = 'SAVE_PEIK_EXTRA_FLD_PROPERTY';

   vSQL := 'update SAVE_PEIK_EXTRA_FLD_PROPERTY '
        || 'set field_id = 0';
   execute immediate vSQL;

   vSQL := 'update SAVE_PEIK_EXTRA_FLD_PROPERTY SP '
        || 'set field_id = '
        || '( select field_id '
        ||     'from SAVE_DICT_FIELD DF '
        ||    'where DF.field_name = SP.field_name '
        ||      'and DF.entity_id  = SP.entity_id '
        || ')';
   execute immediate vSQL;

   vSQL := 'delete from SAVE_PEIK_EXTRA_FLD_PROPERTY SP '
        ||  'where exists '
        ||        '( select 1 from PEIK_EXTRA_FLD_PROPERTY PF '
        ||           'where PF.field_id = SP.field_id '
        ||              'and PF.entity_id = SP.field_id '
        ||        ')';
   execute immediate vSQL;

   vSQL := 'insert into PEIK_EXTRA_FLD_PROPERTY '
        || '(entity_id, field_id, name, value, loader_property) '
        || 'select SP.entity_id '
        ||      ', SP.field_id '
        ||      ', SP.name '
        ||      ', SP.value '
        ||      ', SP.loader_property '
        ||   'from SAVE_PEIK_EXTRA_FLD_PROPERTY SP '
        ||  'where SP.field_id > 0';
   execute immediate vSQL;

exception
when NO_DATA_FOUND then
     NULL;
end;
/
      

EXIT

-- Done.

