-- ****************************************************
-- *** Truncate System Report Templates             ***
-- *** ( ID < 1000 ) from PM_Template               ***
-- ****************************************************

-- *** (#) ./base/db/Oracle8i/dictionary/scripts/sys_tmplt_trunc.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- *** (#) 

SET VERIFY OFF;

DELETE FROM PM_Trend_Impact
  WHERE Trigger_ID IN
    (
      SELECT Trigger_ID
        FROM PM_Template tmpl, PM_Trigger trgr,
             ( SELECT Distinct Entity_ID FROM wmn_Entity_Context
                CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                    AND    Context_ID = PRIOR Context_ID
                START WITH Entity_ID = wm_Network.Get_Entity('&&1')
              ) ent
        WHERE trgr.Template_ID = tmpl.ID AND tmpl.ID < 1000 AND tmpl.Entity_ID = ent.Entity_ID
    );

DELETE FROM PM_TemplateField
  WHERE TemplateID IN
    (
      SELECT ID
        FROM PM_Template tmpl, 
             ( SELECT Distinct Entity_ID FROM wmn_Entity_Context
                CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                    AND    Context_ID = PRIOR Context_ID
                START WITH Entity_ID = wm_Network.Get_Entity('&&1')
              ) ent
        WHERE tmpl.ID < 1000 AND tmpl.Entity_ID = ent.Entity_ID
    );

DELETE FROM PM_Trigger
  WHERE Template_ID IN
    (
      SELECT ID
        FROM PM_Template tmpl, 
             ( SELECT Distinct Entity_ID FROM wmn_Entity_Context
                CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                    AND    Context_ID = PRIOR Context_ID
                START WITH Entity_ID = wm_Network.Get_Entity('&&1')
              ) ent
        WHERE tmpl.ID < 1000 AND tmpl.Entity_ID = ent.Entity_ID
    );

DELETE FROM PM_Template 
  WHERE ID < 1000 AND Entity_ID IN 
       ( SELECT Distinct Entity_ID FROM wmn_Entity_Context
           CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
               AND    Context_ID = PRIOR Context_ID
           START WITH Entity_ID = wm_Network.Get_Entity('&&1')
       );
    
EXIT;
