---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2000,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/dictionary/wme_load_func.ctl BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 

OPTIONS ( ROWS=1, SILENT=FEEDBACK )
LOAD DATA
INFILE *

INTO TABLE wme_Function
  APPEND
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
(
  Function_Type_ID	CHAR		"wm_Expression.Get_Function_Type( :Function_Type_ID )",
  Function_Name		CHAR(30),
  Function_Signature	CHAR(100),
  Function_Desc		CHAR(500)
)

BEGINDATA
Math,"Abs","Abs(number)","NUMBER Abs(NUMBER N) - Absolute value of number N"
Math,"Ceil","Ceil(number)","FLOAT Ceil(NUMBER N) - Smallest integer value not less than N, expressed as a float"
Math,"Exp","Exp(number)","FLOAT Exp(NUMBER N) - Exponential of N (e^N), expressed as a float"
Math,"Floor","Floor(number)","FLOAT Floor(NUMBER N) - Largest integer value not greater than N, expressed as a float"
Math,"Ln","Ln(number)","FLOAT Ln(NUMBER N) - Natural logarithm of N, expressed as a float"
Math,"Log","Log(number)","FLOAT Log(NUMBER N) - Base 10 logarithm of N, expressed as a float"
Math,"NumToString","NumToString(number,decimalplaces,width)","STRING numToString(NUMBER N, INT P [,INT W]) - Number N formatted with P decimal places, and minimum width of W"
Math,"Pi","Pi()","FLOAT Pi() - Value of Pi"
Math,"Round","Round(number)","FLOAT Round(NUMBER N) - Integer value nearest N in the direction of the current IEEE754 rounding mode, expressed as a float"
Math,"Sqr","Sqr(number)","FLOAT Sqr(NUMBER N) - Square of N (N^2), expressed as a float"
Math,"Sqrt","Sqrt(number)","FLOAT Sqrt(NUMBER N) - Square root of N, expressed as a float"
Math,"Trunc","Trunc(number)","FLOAT Trunc(NUMBER N) - Integer value of N, expressed as a float"
Time Aggregation,"TAvg","TAvg(raw_peg)","FLOAT TAvg(PEG P) - Time aggregated average"
Time Aggregation,"TStddev","TStddev(raw_peg)","FLOAT TStddev(PEG P) - Time aggregated standard deviation"
KaufmanRoberts, "KaufmanPB", "KaufmanPB( number,number,number,number )", "FLOAT KaufmanPB( INT IDX, INT C, FLOAT A0, INT B0, ... , An, Bn ) - Computes the Kaufman-Roberts blocking probability for IDX" 
KaufmanRoberts, "KaufmanMaxPB", "KaufmanMaxPB( number,number,number )", "FLOAT KaufmanMaxPB( INT C, FLOAT A0, INT B0, ... , An, Bn ) - Computes the maximum Kaufman-Roberts blocking probability" 
KaufmanRoberts, "KaufmanMinC", "KaufmanMinC( number,number,number,number )", "INT KaufmanMinC( INT IDX, FLOAT P, FLOAT A0, INT B0, ... , An, Bn ) - Computes the minimum C using the Kaufman-Roberts blocking probability P on IDX" 
KaufmanRoberts, "KaufmanAllC", "KaufmanAllC( number,number,number )", "INT KaufmanAllC( INT P, FLOAT A0, INT B0, ... , An, Bn ) - Computes the minimum C using Kaufman-Roberts blocking probability P"
String,"Concat","Concat(attr,attr)","STRING Concat(ATTR A1, ATTR A2, ...) - Concatentates string representations of all specified attributes"
String,"FirstIndex","FirstIndex(string,string)","INT FirstIndex(STRING S, STRING T) - Index of first occurrence of T in S"
String,"InTokenizedString","InTokenizedString(attr,string,string)","INT InTokenizedString(ATTR A, STRING S [,STRING D]) - Is A found in S when S is tokenized using chars in D as delimeters"
String,"LastIndex","LastIndex(string,string)","INT LastIndex(STRING S, STRING T) - Index of last occurrence of T in S"
String,"Length","Length(string)","INT Length(STRING S) - The number of characters in S"
String,"Reverse","Reverse(string)","STRING Reverse(STRING S) - Reverses the order of characters in S"
String,"StringToFloat","StringToFloat(string)","FLOAT StringToFloat(STRING S) - Converts a STRING into a FLOAT"
String,"StringToInt","StringToInt(string)","INT StringToInt(STRING S) - Converts a STRING into an INT"
String,"subString","subString(string,number,number)","STRING subString(STRING S, INT I, INT L) - Extracts substring of S, from index I with length L"
String,"Tokenize","Tokenize(string,string,number)","STRING Tokenize(STRING S, STRING D, INT F) - Field number F when S is tokenized using characters in D as field delimeters"
String,"ToLower","ToLower(string)","STRING ToLower(STRING S) - Changes all upper case letters in S to lower case"
String,"ToUpper","ToUpper(string)","STRING ToUpper(STRING S) - Changes all lower case letters in S to upper case"
Miscellaneous,"InGroup","InGroup(attr,attr)","INT InGroup(ATTR A, ATTR T1, ...,ATTR Tn) - Is the value of A one of the values specified by T1, T2, ..., TN"
Miscellaneous,"InRange","InRange(attr,attr,attr)","INT InRange(ATTR A, ATTR L, ATTR U) - Does the value of A fall between L and U"
Miscellaneous,"IsNull","IsNull(attr)","INT IsNull(ATTR A) - Checks if the value of attribute A is defined"
Miscellaneous,"NullValue","NullValue(attr,attr)","ATTR NullValue(ATTR A, ATTR V) - Returns V if the value of A is null, otherwise return A"
Trig,"ArcCos","ArcCos(number)","FLOAT ArcCos(NUMBER N) - Computes the arc cosine of N, expressed as float radians"
Trig,"ArcSin","ArcSin(number)","FLOAT ArcSin(NUMBER N) - Computes the arc sine of N, expressed as float radians"
Trig,"ArcTan","ArcTan(number)","FLOAT ArcTan(NUMBER N) - Computes the arc tangent of N, expressed as float radians"
Trig,"Cos","Cos(number)","FLOAT Cos(NUMBER N) - Computes the cosine of N (in radians), expressed as a float"
Trig,"Degrees","Degrees(number)","FLOAT Degrees(NUMBER N) - Converts N radians to degrees"
Trig,"Radians","Radians(number)","FLOAT Radians(NUMBER N) - Converts N degrees to radians"
Trig,"Sin","Sin(number)","FLOAT Sin(NUMBER N) - Computes the sine of N (in radians), expressed as a float"
Trig,"Tan","Tan(number)","FLOAT Tan(NUMBER N) - Computes the tangent of N (in radians), expressed as a float"
Operators,"+"," + ","operand1 + operand2 - Addition Operator"
Operators,"-"," - ","operand1 - operand2 - Subtraction Operator"
Operators,"*"," * ","operand1 * operand2 - Multiplication Operator"
Operators,"/"," / ","operand1 / operand2 - Division Operator"
Operators,"%"," % ","operand1 % operand2 - Modulus Operator"
Operators,"^"," ^ ","operand1 ^ operand2 - Raises the value of operand1 to the power of operand2"
Operators,"<"," < ","operand1 < operand2 - Less Than Operator"
Operators,">"," > ","operand1 > operand2 - Greater Than Operator"
Operators,"<="," <= ","operand1 <= operand2 - Less Than Or Equals Operator"
Operators,">="," >= ","operand1 >= operand2 - Greater Than Or Equals Operator"
Operators,"="," = ","operand1 = operand2 - Equals Operator"
Operators,"<>"," <> ","operand1 <> operand2 - Not Equals Operator"
Operators,"AND"," AND ","operand1 AND operand2 - And Operator"
Operators,"OR"," OR ","operand1 OR operand2 - Or Operator"
Operators,"!"," ! ","! operand - Not Operator. Returns 1 if the value of the operand is 0. Otherwise, it returns 0. Operand must be numeric."
Aggregation,"Count","Count(relation)","INT Count([RELATION R]) - The number of items found in current package, or relation R if specified"
Aggregation,"Max","Max(relation,expression)","ATTR Max(RELATION R [,EXPRESSION E]) - Maximum Value of attributes found by following R and applying expression E"
Aggregation,"Mean","Mean(relation,expression)","FLOAT Mean(RELATION R [,EXPRESSION E]) - Mean of the attribute values found by following R and applying expression E"
Aggregation,"Min","Min(relation,expression)","ATTR Min(RELATION R [,EXPRESSION E]) - Minimum Value of attributes found by following R and applying expression"
Aggregation,"Sum","Sum(relation,expression)","FLOAT Sum(RELATION R [,EXPRESSION E]) - Sums the attribute values found by following R and applying expression E"
Aggregation,"Vsum","vsum(expression , expression)","ATTR vsum(EXPRESSION E1 [,EXPRESSION E2,...] ) - Evaluates E1+E2+...+En. Return null when all E evaluate null"
String,"dateToString","dateToString(Date/time,format)","STRING dateToString(DATE|TIME D [,STRING F]) - Convert a date to string using format F if given or default from locale"
String,"stringToDate","stringToDate(string,format)","DATE stringToDate(STRING S [, STRING F]) - Convert a string to date using format F if given or default from locale"
Miscellaneous,"decode","decode(test,expression,result,default)","ATTR decode(ATTR test,ATTR v1,ATTR r1,ATTR v2,ATTR r2,...,[ ATTR rElse ]) - Perform a decode of the test value"
Aggregation,"AGGR","AGGR(relation,expression)","FLOAT aggr(RELATION R [,EXPRESSION E]) - Special aggregation functor which acts as a placeholder for real aggregation function"
Miscellaneous,"protect","protect(expression)","ATTR protect(EXPR E) - Force E to behave as a protected expression when warped during report generation"
Miscellaneous,"nullInt","NullInt()","INT NullInt() - Return null value where type INT is required"
Miscellaneous,"nullFloat","NullFloat()","FLOAT NullFloat() - Return null value where type FLOAT is required"
Miscellaneous,"capacityB","capacityB(integer,expression)","FLOAT capacityB(INT NUM_CIRCUITS, FLOAT GOS) - Erlang-B capacity for given configuration of circuits and grade-of-service"
Miscellaneous,"rankAscending","rankAscending(number,relation,number)","INT rankAscending(NUMBER A,RELN R,NUMBER B [,ATTR INCLUDE ]) - Rank position of A in a sorted list of B evaluated over relation R"
Miscellaneous,"rankDescending","rankDescending(number,relation,number)","INT rankDescending(NUMBER A,RELN R,NUMBER B [,ATTR INCLUDE ]) - Rank position of A in a sorted list of B evaluated over relation R"
Forecast,"WM_FCAST_CORRELATION","WM_FCAST_CORRELATION(instance_id)","FLOAT WM_FCAST_CORRELATION(INT InstanceId) - Return list of remote objects whose expression matches local expression"
Forecast,"WM_FCAST_DIMENSION","WM_FCAST_DIMENSION(instance_id,Date)","FLOAT WM_FCAST_DIMENSION(INT InstanceId,STRING TSTAMP) - Returns the selected dimension parameter for the given instance and tstamp"
Forecast,"WM_FCAST_GROWTH","WM_FCAST_GROWTH(instance_id)","FLOAT WM_FCAST_GROWTH(INT InstanceId) - Returns the growth factor"
Forecast,"WM_FCAST_PABH","WM_FCAST_PABH(instance_id,date,number)","FLOAT WM_FCAST_PABH(INT InstanceId, STRING TSTAMP, INT N) - Returns the N-day profile average busy hour for the given instance and tstamp"
Forecast,"WM_FCAST_SAMPLES","WM_FCAST_SAMPLES(instance_id)","INT WM_FCAST_SAMPLES(INT instance_id) - Returns the number of data points used in the regression analysis"
Trending,"getKCILimit","getKCILimit(STRING,STRING,STRING)","FLOAT getKCILimit(STRING entity, STRING field, STRING limit_name) - Gets the value of the specified limit, defined on the specified field."
Trending,"trend","trend(RELATION,STRING,STRING,STRING,INT,INT)","FLOAT trend(RELATION kci_to_trend, STRING bh_cluster_entity, STRING stored_busy_hour_name, STRING regression_type, INT number_of_days_regression, INT min_datapoints) - Gets the best-fit line value of the kci_to_trend calculated for the particular timestamp. Instances must have at least min_datapoints days worth of data to be included in the resultset."
Trending,"projectTime","projectTime(RELATION,STRING,STRING,STRING,INT,INT,INT)","FLOAT projectTime(RELATION kci_to_project, STRING bh_cluster_entity, STRING stored_busy_hour_name, STRING regression_type, INT number_of_days_regression, FLOAT limit, INT min_datapoints) - Gets the number of days until the specified limit will be breached. Instances must have at least min_datapoints days worth of data to be included in the resultset."
Miscellaneous,"elemprotect","elemprotect(expression)","ATTR elemprotect(EXPR E) - Force E to behave as an element protected expression when warped during report generation"
