-- ********************
-- *** Exporessions ***
-- ********************

-- *** (#) ./base/db/Oracle8i/dictionary/wme_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- *** (#) 


CREATE TABLE wme_Function_Type (
  Function_Type_ID	INTEGER		NOT NULL
     CONSTRAINT func_typ_pky PRIMARY KEY,
  Function_Type_Name	VARCHAR2(40)	NOT NULL
     CONSTRAINT func_type_name_unq UNIQUE
)
tablespace wm_flexpm;

COMMENT ON TABLE wme_Function_Type IS 'Template Schema (./base/db/Oracle8i/dictionary/wme_schema.sql), Version BL_core_schema_8.0.7_8.0.7.5.02_20100605';

CREATE SEQUENCE wme_Function_Type_Seq START WITH 1;

CREATE TRIGGER wme_Function_Type_Tr_BI 
   BEFORE INSERT ON wme_Function_Type 
   FOR EACH ROW
DECLARE
   newID INTEGER;
BEGIN
   SELECT wme_Function_Type_Seq.NextVal INTO newID FROM DUAL;
   :new.Function_Type_ID := newID;
END;
/
SHOW ERRORS;


CREATE TABLE wme_Function (
  Function_ID		INTEGER		NOT NULL
     CONSTRAINT func_pky PRIMARY KEY,
  Function_Type_ID	INTEGER		NOT NULL
     CONSTRAINT func_ftype_fky REFERENCES wme_Function_Type ( Function_Type_ID ),
  Function_Name		VARCHAR2(30)	NOT NULL
     CONSTRAINT func_name_unq UNIQUE,
  Function_Signature	VARCHAR2(100)	NOT NULL,
  Function_Desc		VARCHAR2(500)
)
tablespace wm_flexpm;

COMMENT ON TABLE wme_Function IS 'Template Schema (./base/db/Oracle8i/dictionary/wme_schema.sql), Version BL_core_schema_8.0.7_8.0.7.5.02_20100605';

CREATE SEQUENCE wme_Function_Seq START WITH 1;

CREATE TRIGGER wme_Function_Tr_BI 
   BEFORE INSERT ON wme_Function
   FOR EACH ROW
DECLARE
   newID INTEGER;
BEGIN
   SELECT wme_Function_Seq.NextVal INTO newID FROM DUAL;
   :new.Function_ID := newID;
END;
/
SHOW ERRORS;


