-- ****************
-- *** Queries  ***
-- ****************

-- *** (#) ./base/db/Oracle8i/dictionary/wmq_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- *** (#) 


CREATE TABLE wmq_Query (
  Query_ID		INTEGER		NOT NULL
     CONSTRAINT qry_pky PRIMARY KEY,
  Query_Name		VARCHAR2(50)
)
tablespace wm_flexpm;

COMMENT ON TABLE wmq_Query IS 'Query Schema (./base/db/Oracle8i/dictionary/wmq_schema.sql), Version BL_core_schema_8.0.7_8.0.7.5.02_20100605';

CREATE SEQUENCE wmq_Query_Seq START WITH 1;

CREATE TRIGGER wmq_Query_Tr_BI 
   BEFORE INSERT ON wmq_Query
   FOR EACH ROW
DECLARE
   newID INTEGER;
BEGIN
   IF ( :new.Query_ID IS NULL ) THEN
     SELECT wmq_Query_Seq.NextVal INTO newID FROM DUAL;
     :new.Query_ID := newID;
   END IF;
END;
/
SHOW ERRORS;


CREATE TABLE wmq_Query_Text (
  Query_ID		INTEGER		NOT NULL
     CONSTRAINT qry_txt_qry_fky REFERENCES wmq_Query (Query_ID),
  Query_Row		INTEGER		NOT NULL,
  Query_Text		VARCHAR2(4000)	NOT NULL,
  CONSTRAINT query_pky PRIMARY KEY ( Query_ID, Query_Row )
)
tablespace wm_flexpm;

COMMENT ON TABLE wmq_Query_Text IS 'Query Schema (./base/db/Oracle8i/dictionary/wmq_schema.sql), Version BL_core_schema_8.0.7_8.0.7.5.02_20100605';
