-- -------------------------------------
-- (#) ./base/db/Oracle8i/ea/create_moddef_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- -------------------------------------
-- 

SET SERVEROUTPUT ON SIZE 1000000
begin

   -- wm_system_variable,wm_system_value ------------------------------------
   --
   begin
      dbms_output.put_line('Adding System Variable EAServerType...');
      insert into wm_system_variable values(sq_system_variable.nextval,'EAServerType');
      insert into wm_system_value values(sq_system_value.nextval,
                                         sq_system_variable.currval,'Unknown');
   exception
   when DUP_VAL_ON_INDEX then
        dbms_output.put_line('OK: System Variable EAServerType already exists');
   end;

   begin
      dbms_output.put_line('Adding System Variable EAModular...');
      insert into wm_system_variable values(sq_system_variable.nextval,'EAModular');
      insert into wm_system_value values(sq_system_value.nextval,
                                         sq_system_variable.currval,'N');
   exception
   when DUP_VAL_ON_INDEX then
        dbms_output.put_line('OK: System Variable EAModular already exists');
   end;


   -- pm_product_info -----------------------------------------------------
   --








/* load_client_config will create this entry
*   begin
*      dbms_output.put_line('Adding ProductType Info...');
*      insert into PM_PRODUCT_INFO values ('ProductType', 'Standard Install');
*   exception
*   when DUP_VAL_ON_INDEX then
*        dbms_output.put_line('OK: ProductType Info already exists');
*        NULL;
*   end;
*/

   commit;
end;
/


declare
   NAME_EXISTS EXCEPTION;
   PRAGMA EXCEPTION_INIT(NAME_EXISTS, -00955);

   v_SQL varchar2(2000);
begin

   -- ------------------------------------------------------------
   -- WM_SERVER_MODULE
   -- ------------------------------------------------------------
   dbms_output.put_line('Creating table WM_SERVER_MODULE...');
   begin

      v_SQL := 'CREATE TABLE WM_SERVER_MODULE'
            || '( module_name     VARCHAR2(30) NOT NULL'
            || ', module_prefix   VARCHAR2(8)  NOT NULL'
            || ', module_icon     VARCHAR2(512)'
            || ', version_name    VARCHAR2(30) NOT NULL'
            || ', version_prefix  VARCHAR2(8)  NOT NULL'
            ||  ' CONSTRAINT VER_PREFX_LEGAL_CHK'
            ||  ' CHECK'
            ||  ' ((    SUBSTR( version_prefix, 1, 1) BETWEEN ''a'' AND ''z'''
            ||     ' OR SUBSTR( version_prefix, 1, 1) BETWEEN ''A'' AND ''Z'''
            ||   ')'
            ||   ' AND TRANSLATE ( version_prefix'
            ||                  ', ''?_%'''
            ||                   ' || ''abcdefghijklmnopqrstuvwxyz'''
            ||                   ' || ''ABCDEFGHIJKLMNOPQRSTUVWXYZ'''
            ||                   ' || ''0123456789'', ''?'''
            ||                   ') IS NULL'
            ||   ')'
            || ', version_number   NUMBER(6,3) NOT NULL'
            || ', root_entity_name VARCHAR2(50) DEFAULT ''System'' NOT NULL,'
            ||  ' CONSTRAINT WM_SERV_MOD_NAME_UNQ UNIQUE ( module_name ), '
            ||  ' CONSTRAINT WM_SERV_MOD_PREF_UNQ UNIQUE ( module_prefix ), '
            ||  ' CONSTRAINT WM_SERV_MOD_NAME_VER_UNQ UNIQUE ( module_name, version_name ), '
            ||  ' CONSTRAINT WM_SERV_MOD_NAM_VER_NUM_PR_UNQ UNIQUE ( module_name, version_name, version_number, version_prefix ) ' 
            || ')'
             ;
      execute immediate v_SQL;

   exception
   when NAME_EXISTS then
        dbms_output.put_line('OK: WM_SERVER_MODULE already exists.');
   end;

   -- ------------------------------------------------------------
   -- WM_ENTITY_EQUIVALENCES
   -- ------------------------------------------------------------
   dbms_output.put_line('Creating table WM_ENTITY_EQUIVALENCES...');
   begin

      v_SQL := 'CREATE TABLE WM_ENTITY_EQUIVALENCES'
            || '( common_entity_name VARCHAR2(50) NOT NULL'
            || ', common_parent_name VARCHAR2(50)'
            || ', local_entity_name  VARCHAR2(50) NOT NULL'
            || ', CONSTRAINT WMN_ENTYEQV_PK PRIMARY KEY(common_entity_name)'
            || ', CONSTRAINT WMN_ENTYEQV_LENTITY_NAME'
            ||     ' FOREIGN KEY(local_entity_name)'
            ||     ' REFERENCES WMN_ENTITY(entity_name)'
            || ', CONSTRAINT WMN_ENTYEQV_CPARENT_NAME'
            ||     ' FOREIGN KEY(common_parent_name)'
            ||     ' REFERENCES WM_ENTITY_EQUIVALENCES(common_entity_name)'
            ||     ' ON DELETE CASCADE'
            || ')'
             ;
      execute immediate v_SQL;

   exception
   when NAME_EXISTS then
        dbms_output.put_line('OK: WM_ENTITY_EQUIVALENCES already exists.');
   end;

   -- ------------------------------------------------------------
   -- WM_FIELD_EQUIVALENCES
   -- ------------------------------------------------------------
   dbms_output.put_line('Creating table WM_FIELD_EQUIVALENCES...');
   begin

      v_SQL := 'CREATE TABLE WM_FIELD_EQUIVALENCES'
            || '( common_entity_name   VARCHAR2(50) NOT NULL'
            || ', common_field_name    VARCHAR2(40) NOT NULL'
            || ', common_field_header  VARCHAR2(40)'
            || ', common_field_header2 VARCHAR2(40)'
            || ', common_field_desc    VARCHAR2(40)'
            || ', common_field_access  CHAR(1) DEFAULT ''S'' NOT NULL'
            ||  ' CONSTRAINT CMNFLD_ACC_CHK'
            ||     ' CHECK (common_field_access IN (''S'',''U''))' -- (S)ystem, (U)ser
            || ', common_field_datatype CHAR(1) NOT NULL'
            ||  ' CONSTRAINT CMNFLD_DTYP_CHK'
            ||     ' CHECK (common_field_datatype IN (''I'',''F'',''S'',''E'',''D''))'
            || ', common_field_aggregator CHAR(1) NOT NULL'
            ||  ' CONSTRAINT CMNFLDAGG_FKY'
            ||     ' REFERENCES WMD_AGGREGATOR_BASE (aggr_id)'
            ||  ' CONSTRAINT CMNFLDAGG_CHK'
            ||     ' CHECK (common_field_aggregator != ''U'')'
            || ', common_datasource     VARCHAR2(40) DEFAULT ''Traffic'' NOT NULL'
            ||  ' CONSTRAINT CMNFLDDSRC_FKY'
            ||     ' REFERENCES WMD_DATA_SOURCE(datasource_name)'
            || ', common_tech_types     VARCHAR2(16)'
            || ', local_entity_name     VARCHAR2(50) NOT NULL'
            ||  ' CONSTRAINT CMN_FLDEQV_LENTYNAME'
            ||     ' REFERENCES WMN_ENTITY(entity_name)'
            || ', local_field_name      VARCHAR2(40) NOT NULL'
            || ', CONSTRAINT CMN_FLDEQV_CMNENTYNAME'
            ||     ' FOREIGN KEY(common_entity_name)'
            ||     ' REFERENCES WM_ENTITY_EQUIVALENCES(common_entity_name)'
            ||     ' ON DELETE CASCADE'
            || ', CONSTRAINT CMNFLDNAME_LEGAL_CHK'
            ||     ' CHECK ((    SUBSTR( common_field_name, 1, 1) BETWEEN ''a'' AND ''z'''
            ||              ' OR SUBSTR( common_field_name, 1, 1) BETWEEN ''A'' AND ''Z'''
            ||             ')'
            ||            ' AND TRANSLATE ( common_field_name'
            ||                           ', ''?_%'''
            ||                             '|| ''abcdefghijklmnopqrstuvwxyz'''
            ||                             '|| ''ABCDEFGHIJKLMNOPQRSTUVWXYZ'''
            ||                             '|| ''0123456789'', ''?'''
            ||                           ') IS NULL'
            ||             ')'
            || ')'
               ;
      execute immediate v_SQL;

   exception
   when NAME_EXISTS then
        dbms_output.put_line('OK: WM_FIELD_EQUIVALENCES already exists.');
   end;

end;
/


-- SEAde26691 EA: Additional constraint required on remote server to help prevent errors

CREATE OR REPLACE TRIGGER wm_fldequiv_insupd_trigger
BEFORE INSERT OR UPDATE OF local_entity_name,local_field_name
ON wm_field_equivalences
FOR EACH ROW

DECLARE
v_entyid NUMBER;
v_fldid  NUMBER;

BEGIN

-- check if the combination of field,entity exists in wmd_field_def

select  ent.entity_id,fld.field_id into v_entyid,v_fldid
from    wmn_entity ent,wmd_dict_name fld
where   ent.entity_name = :NEW.LOCAL_ENTITY_NAME
and     fld.name        = :NEW.LOCAL_FIELD_NAME
and     fld.entity_id   =  ent.entity_id;

EXCEPTION WHEN NO_DATA_FOUND THEN

raise_application_error(-20015,'integrity violated.This entity-field combination is not valid');
end;
/
show errors

