CREATE OR REPLACE TRIGGER
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2001
  --     ./base/db/Oracle8i/event/en_event_data_load_trigger.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605
  -- ------------------------------------------------------------------------
  en_event_data_load_trigger
  INSTEAD OF INSERT OR DELETE ON en_event_data_load_v
  FOR EACH ROW
  DECLARE
  event_id_new INTEGER;
  event_type_new INTEGER;
  BEGIN 
     
  IF (inserting) THEN 
     --
     -- Split the insert into the two component tables.
     -- 
     IF event_id_new IS NULL THEN
	SELECT en_event_seq.nextval INTO event_id_new
	  FROM dual;
     END IF;
          
     SELECT event_type_id INTO event_type_new
       FROM en_event_type
       WHERE name = 'Data load';
     
     INSERT INTO en_event (event_id, event_time, event_type_id, data_tstamp)
       VALUES (event_id_new, nvl(:new.event_time, sysdate),
       event_type_new, :new.data_tstamp);
     
     INSERT INTO en_event_data_load (event_id, instance_id, entity_id, file_type_id)
       VALUES (event_id_new, :new.instance_id, :new.entity_id, :new.file_type_id);
     
  ELSIF (deleting) THEN
     
     DELETE FROM en_event WHERE event_id = :old.event_id;
     
  END IF;
       
  
  END en_event_data_load_trigger;
/
show errors trigger en_event_data_load_trigger;
EXIT;
-- --------------------------------------------------------------------------
-- Local Variables:
-- mode: pls
