CREATE OR REPLACE TRIGGER
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2001
  --     en_event_file_load_trigger.sql 1.1.0
  -- ------------------------------------------------------------------------
  en_event_file_load_trigger
  INSTEAD OF INSERT OR DELETE ON en_event_file_load_v
  FOR EACH ROW
  DECLARE
  event_id_new INTEGER;
  event_type_new INTEGER;
  BEGIN 
     
  IF (inserting) THEN 
     --
     -- Split the insert into the two component tables.
     -- 
          
     
     INSERT INTO en_event(event_id, event_time, event_type_id, data_tstamp)
       VALUES (en_event_seq.nextval, nvl(:new.event_time, sysdate),
       :new.event_type_id, :new.data_tstamp)
       returning event_id into event_id_new;
     
     INSERT INTO en_event_file_load(event_id, error_message, file_name, log_file,
	instance_id,entity_id,numofinterval,file_type_id)
       VALUES (event_id_new, :new.error_message, :new.file_name, :new.log_file,
       :new.instance_id,:new.entity_id,:new.numofinterval,:new.file_type_id);
     
  ELSIF (deleting) THEN
     
     DELETE FROM en_event WHERE event_id = :old.event_id;
     
  END IF;
       
  
  END en_event_file_load_trigger;
/
show errors trigger en_event_file_load_trigger;
EXIT;
-- --------------------------------------------------------------------------
-- Local Variables:
-- mode: pls
