CREATE OR REPLACE TRIGGER
-- -----------------------------------------------------------------------
--     COPYRIGHT WatchMark Corp 2002, 2003
-- *** (#) ./base/db/Oracle8i/event/en_event_sa_file_mis_trg.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- *** (#) 
-- -----------------------------------------------------------------------
  en_sa_file_missing_I_IDU
  INSTEAD OF INSERT OR DELETE OR UPDATE ON en_event_sa_file_missing_v
  FOR EACH ROW
  DECLARE
  event_id_new INTEGER;
  BEGIN
  IF INSERTING THEN 
     --
     -- Split the insert into the two component tables.
     -- 
     
     INSERT INTO en_event(event_id, event_time, event_type_id, data_tstamp)
          VALUES (nvl(:new.event_id, en_event_seq.nextval),
                  nvl(:new.event_time, sysdate),
                  :new.event_type_id, :new.data_tstamp)
       RETURNING event_id into event_id_new;
     
     INSERT INTO en_event_sa_file_missing
                 (event_id, sa_sched_id,
                  filemissing_msg, file_name, log_file)
          VALUES (event_id_new, :new.sa_sched_id,
                  :new.filemissing_msg, :new.file_name, :new.log_file);
     
  ELSIF DELETING THEN
     
     -- the FK cascade delete will take care en_event_sa_file_missing
     DELETE FROM en_event WHERE event_id = :old.event_id;

  ELSIF UPDATING THEN
     UPDATE en_event SET event_time=nvl(:new.event_time, sysdate),
                         event_type_id=:new.event_type_id,
                         data_tstamp=:new.data_tstamp
      WHERE event_id=:old.event_id;

     UPDATE en_event_sa_file_missing 
        SET sa_sched_id=:new.sa_sched_id,
            filemissing_msg=:new.filemissing_msg,
            file_name=:new.file_name,
            log_file=:new.log_file
      WHERE event_id=:old.event_id;
     
  END IF;
       
  
  END en_sa_file_missing_I_IDU;
/
show errors trigger en_sa_file_missing_I_IDU;
EXIT;
-- --------------------------------------------------------------------------
-- Local Variables:
-- mode: pls
