create sequence xpt_seq start with 1;
CREATE sequence xpt_group_seq START WITH 1;
CREATE sequence xpt_type_seq START WITH 1;


CREATE TABLE xpt_expectation 
  (
  xpt_id NUMBER,
  xpt_schedule_id NUMBER,
  type_id NUMBER,
  group_id NUMBER,
  next_tstamp DATE,
  active CHAR(1) DEFAULT 'N',
  CONSTRAINT xpt_expectation_pk primary KEY (xpt_id) using INDEX TABLESPACE wm_client,
  CONSTRAINT xpt_schedule_id_fk FOREIGN KEY (xpt_schedule_id) references xpt_schedule(xpt_schedule_id)
  ) TABLESPACE wm_client;
  
  
create table xpt_type
(
 type_id NUMBER,
 type_name VARCHAR2(30),
 action_proc VARCHAR2(2000),
 view_name VARCHAR2(100),
  CONSTRAINT xpt_type_pk PRIMARY KEY (type_id) using INDEX TABLESPACE wm_client
) TABLESPACE wm_client;

CREATE UNIQUE INDEX xpt_type_unq_name on xpt_type (UPPER(type_name))
TABLESPACE wm_flexpm;

CREATE TABLE xpt_group
(
group_id NUMBER,
timeout number,
interval NUMBER,
CONSTRAINT xpt_group_pk PRIMARY KEY (group_id) using INDEX TABLESPACE wm_client
) TABLESPACE wm_client;


CREATE TABLE xpt_file_control
  (
  file_type_id NUMBER,
  file_type VARCHAR2(30),
  timeout number,
  is_default CHAR(1),
  instance_name VARCHAR2(30),
  instance_id NUMBER,
  entity_id NUMBER,
  activate_notification CHAR(1) DEFAULT 'N',
  group_id NUMBER,
  CONSTRAINT xpt_file_control_pk PRIMARY KEY (file_type_id,entity_id,instance_id,group_id) using INDEX TABLESPACE wm_client,
  CONSTRAINT xpt_file_control_ftypeid_fk FOREIGN KEY (file_type_id) references wm_file_control(file_type_id),
 -- CONSTRAINT xpt_file_control_ftype_fk FOREIGN KEY (file_type) references wm_file_control(file_type),
 -- CONSTRAINT xpt_file_control_ins_id_fk FOREIGN KEY (instance_id) references  wmn_instance_context(instance_id),
  --CONSTRAINT xpt_file_control_ent_id_fk FOREIGN KEY (entity_id) references wmn_instance_context(entity_id),
  CONSTRAINT xpt_file_control_grpid_fk FOREIGN KEY (group_id) references xpt_group(group_id)
  ) TABLESPACE wm_client;

CREATE TABLE xpt_file_missing
  (
  file_type_id NUMBER,
  instance_id NUMBER,
  xpt_id NUMBER,
  --CONSTRAINT xpt_file_missing_type_id_fk FOREIGN KEY (file_type_id) references xpt_file_control(file_type_id),
  CONSTRAINT xpt_file_missing_xpt_id FOREIGN KEY (xpt_id) references xpt_expectation(xpt_id) ON DELETE cascade
  ) TABLESPACE wm_client;



CREATE VIEW xpt_file_missing_view  as
  SELECT
  x.xpt_id,
    x.xpt_schedule_id,
    x.type_id,
    x.group_id,
    x.next_tstamp,
    x.active,
    y.file_type_id,
    y.instance_id
    FROM xpt_expectation x, xpt_file_missing y
    WHERE x.xpt_id=y.xpt_id;
  
  EXIT;
  
-- ----------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:
