-- (#) ./base/db/Oracle8i/gos/create_gos_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
-- Create table to store gos metadata
--
    
CREATE TABLE WMD_GOS_TYPE
(gos_id        INTEGER,
 user_id       INTEGER NOT NULL,
 description   VARCHAR2(50) NOT NULL,
 default_value FLOAT NOT NULL,
  CONSTRAINT pk_gos_type PRIMARY KEY( gos_id ),
  CONSTRAINT gos_type_usrfky FOREIGN KEY(user_id) REFERENCES pm_user(id)
);

-- Default values are hardcoded below 20
CREATE SEQUENCE SQ_WMD_GOS_TYPE
  START WITH 20
  INCREMENT BY 1
  NOMAXVALUE
  NOCYCLE;

/* CREATE TABLE WMD_GOS_GLOBAL_DEFAULT
(gos_id INTEGER  ,
 default_value VARCHAR2(1000) NOT NULL,
 CONSTRAINT gos_gdef_gosfky FOREIGN KEY (gos_id) REFERENCES wmd_gos_type(gos_id) on delete
 cascade,
 CONSTRAINT pk_gdef PRIMARY KEY( gos_id ) 
);
*/


CREATE TABLE WMD_GOS_DEFAULTS
(gos_id      INTEGER  NOT NULL,
 entity_id   INTEGER NOT NULL,
 subtype_id  INTEGER ,
-- field_id    INTEGER,
 default_value FLOAT ,
 CONSTRAINT gos_def_unq UNIQUE (gos_id,entity_id,subtype_id),
 CONSTRAINT gos_def_gosfky FOREIGN KEY (gos_id) REFERENCES wmd_gos_type(gos_id) on delete
 cascade,
 CONSTRAINT gos_def_entfky FOREIGN KEY (entity_id) REFERENCES wm_gos_entity(entity_id),
 CONSTRAINT gos_def_entysub FOREIGN KEY (entity_id,subtype_id) REFERENCES
 wmn_entity_subtype(entity_id,subtype_id)
);



CREATE OR REPLACE TRIGGER WMD_GOS_TYPE_TR_AI
AFTER INSERT on WMD_GOS_TYPE FOR EACH ROW
DECLARE

cursor c_gosentity is
select g.entity_id,s.subtype_id
from   wm_gos_entity g,wmn_entity_subtype s
where  g.entity_id = s.entity_id (+) ;

BEGIN

for entysubtype in c_gosentity 
loop

insert into wmd_gos_defaults(gos_id,entity_id,subtype_id,default_value)
  VALUES(:NEW.gos_id,entysubtype.entity_id,entysubtype.subtype_id,:NEW.default_value);


end loop;

END;
/
SHOW ERRORS  TRIGGER WMD_GOS_TYPE_TR_AI

-- SEAde43183: create GOS defaults
--
CREATE TRIGGER WMN_ENTITY_SUBTYPE_TR_AI
   AFTER INSERT ON WMN_ENTITY_SUBTYPE
   FOR EACH ROW
BEGIN

   insert into WMD_GOS_DEFAULTS (gos_id, entity_id,subtype_id,default_value)
      select gt.gos_id
           , :NEW.entity_id
           , :NEW.subtype_id
           , gt.default_value
        from WMD_GOS_TYPE gt
       where exists (
               select 1 from WM_GOS_ENTITY ge
                where ge.entity_id = :NEW.entity_id
             )
           ; 


END;
/
SHOW ERRORS TRIGGER WMN_ENTITY_SUBTYPE_TR_AI

-- ----------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:
