CREATE OR REPLACE PACKAGE BODY jloader_keymap IS

  PROCEDURE add_element(clusterName IN VARCHAR2,
                        elementType IN VARCHAR2,
                        elementName IN VARCHAR2)
  IS
  BEGIN
    INSERT INTO jloader_element(cluster_name, element_id, element_type, element_name, last_update)
         VALUES (clusterName, sq_jloader_element_id.nextval, elementType, elementName, SYSDATE);
  END add_element;


  PROCEDURE add_relation(clusterName IN VARCHAR2,
                         elementId IN INTEGER,
                         parentElementId IN INTEGER)
  IS
  BEGIN
    INSERT INTO jloader_element_map(cluster_name, element_id, parent_element_id)
         VALUES (clusterName, elementId, parentElementId);
  END add_relation;

  PROCEDURE delete_cluster(clusterName IN VARCHAR2)
  IS
  BEGIN
    DELETE FROM jloader_element_map WHERE cluster_name = clusterName;
    DELETE FROM jloader_element WHERE cluster_name = clusterName;
  END delete_cluster;

  PROCEDURE delete_element(elementId IN INTEGER)
  IS
  BEGIN
    DELETE FROM jloader_element_map WHERE element_id = elementId;
    DELETE FROM jloader_element_map WHERE parent_element_id = elementId;
    DELETE FROM jloader_element WHERE element_id = elementId;
  END delete_element;

  PROCEDURE clear_children(elementId IN INTEGER)
  IS
  BEGIN
    DELETE FROM jloader_element_map WHERE parent_element_id = elementId;
  END clean_element;

END jloader_keymap;
/
SHOW ERRORS PACKAGE BODY jloader_keymap;
