---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2008,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/metadata/action_logging/pm_action_meta.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

-- action.logging.level set to 5 or 6
exec wm_sysval.newSysVal( 'action.logging.level', '5' );

-- number of days to retain logs
exec wm_sysval.newSysVal( 'action.logging.retain', '30' );

-- location where the files created by action_log.ksh are created
exec wm_sysval.newSysVal( 'action.logging.folder', '$PM_LOGS' );

-- turn action logging off 
exec wm_sysval.newSysVal( 'action.logging.on', 'FALSE'  );

-- turn automatic logoug on error off
exec wm_sysval.newSysVal( 'action.logging.autologout.on', 'FALSE'  );



INSERT INTO pm_action_logging_areas VALUES (1, 'System');
INSERT INTO pm_action_logging_areas VALUES (2, 'Reporting');
INSERT INTO pm_action_logging_areas VALUES (3, 'Scheduling');
INSERT INTO pm_action_logging_areas VALUES (4, 'Tools');




INSERT INTO part_tables(part_table_id,table_name, tablespace_name,period,future_part,past_part,Run_Daily,Needs_Analyze,Needs_Move,Needs_Purge)
  VALUES(part_table_seq.NEXTVAL,'PM_ACTION_LOGGING','TRAFFIC_SMALL','D',5,2,'Y','Y','Y','Y');


INSERT INTO subclass_table (ID, class_id, NAME, past_part_func) 
  (SELECT subclass_table_seq.NEXTVAL,ID, 'PmActionLogging', NULL
    FROM class_table
    WHERE upper(NAME) = upper('Part Maint')
);


INSERT INTO subclass_map( subclass_id , object_id) 
            VALUES((select id as subclass_id from subclass_table where name='PmActionLogging'), (select PART_TABLE_ID as object_id from part_tables where table_name='PM_ACTION_LOGGING'));
            
            
   
         

COMMIT
/

