-- -------------------------------------
-- (#) ./base/db/Oracle8i/metadata/scheduler/eventClean_schedule.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- -------------------------------------
-- create a schedule for event_clean
--
declare
   k_softwareID   number := 19;
   k_jobtypeID    number := 20;
   k_execute_time varchar2(5) := '22:00';  -- 10 PM

   execute_datetime date;
begin


   DELETE FROM schedule
   WHERE job_type = k_jobtypeID
     AND sched_fk = k_softwareID;


   execute_datetime := to_date( to_char(sysdate, 'mmddyyyy')
                                || k_execute_time
                              , 'mmddyyyyhh24:mi'
                              );

   if execute_datetime < sysdate
   then
      execute_datetime := execute_datetime + 1;
   end if;

   insert into schedule ( schedule_id
                        , job_type
                        , start_time
                        , end_time
                        , period
                        , frequency
                        , sched_fk
                        , is_optional)
                 values ( schedule_seq.nextval
                        , k_jobtypeID
                        , execute_datetime
                        , null
                        , 'D'
                        , 1
                        , k_softwareID
                        , 'Y');

   commit;
end;
/
exit
