---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2000,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/metadata/scheduler/part_maint.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

--
-- Monthly, one-time immediate
-- 
INSERT INTO SCHEDULE
(schedule_id,
 job_type,
 start_time,
 end_time,
 period,
 frequency,
 sched_fk) values
(schedule_seq.nextval,
 20,
 sysdate,
 null,
 'I',
 1,
 14);

--
-- Weekly, one-time immediate
-- 
INSERT INTO SCHEDULE
(schedule_id,
 job_type,
 start_time,
 end_time,
 period,
 frequency,
 sched_fk) values
(schedule_seq.nextval,
 20,
 sysdate,
 null,
 'I',
 1,
 13);

--
-- Daily, one-time immediate
-- 
INSERT INTO SCHEDULE
(schedule_id,
 job_type,
 start_time,
 end_time,
 period,
 frequency,
 sched_fk) values
(schedule_seq.nextval,
 20,
 sysdate,
 null,
 'I',
 1,
 12);

--
-- Daily PM - daily @ 2100
--
INSERT INTO SCHEDULE
(schedule_id,
 job_type,
 start_time,
 end_time,
 period,
 frequency,
 sched_fk,
 is_optional) values
(schedule_seq.nextval,
 20,
 trunc(sysdate)+1+(21/24),
 null,
 'D',
 1,
 12,
 'Y');

--
-- Weekly PM - daily @ 2000
--
INSERT INTO SCHEDULE
(schedule_id,
 job_type,
 start_time,
 end_time,
 period,
 frequency,
 sched_fk,
 is_optional) values
(schedule_seq.nextval,
 20,
 trunc(sysdate)+1+(20/24),
 null,
 'D',
 1,
 13,
 'Y');

--
-- Monthly PM - Weekly Friday @ 2001
--
INSERT INTO SCHEDULE
(schedule_id,
 job_type,
 start_time,
 end_time,
 period,
 frequency,
 sched_fk,
 is_optional) values
(schedule_seq.nextval,
 20,
 next_day(trunc(sysdate)+1, 'FRIDAY')+(20/24)+(1/(60*24)),
 null,
 'W',
 1,
 14,
 'Y');

commit;

exit;
