-- -----------------------------------------------------------------------
--     COPYRIGHT IBM 2007
-- *** (#) ./base/db/Oracle8i/part_maint/createTriggers.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- *** (#) 
--
-- partition  maintenance triggers
--
-- -----------------------------------------------------------------------
-- trigger to remove table entries from subclass_map when deleted from 
-- part_tables

CREATE OR REPLACE TRIGGER part_tables_Tr_Del
   BEFORE DELETE ON part_tables
   FOR EACH ROW
DECLARE

BEGIN
   DELETE FROM subclass_map WHERE object_id=:old.part_table_id;
END;
/
show errors trigger part_tables_Tr_Del;

-- Trigger to convert table_name to upper case in case somebody tries to insert table_name
-- in lower or mixed case. 
CREATE OR REPLACE TRIGGER part_tables_upper_tab_name
   BEFORE UPDATE OF table_name OR INSERT ON part_tables  
   FOR EACH ROW
BEGIN
   :new.table_name := UPPER(:new.table_name);
END;
/
show errors trigger part_tables_upper_tab_name;
