
whenever sqlerror exit sql.sqlcode;

CREATE TABLE RG_TaskList(
    Id               INTEGER      , -- taskId
    JobId            INTEGER       NOT NULL,
    ReportTypeId     INTEGER       NOT NULL, -- which executable for rg
    TemplateId       INTEGER,
    ScenarioId       INTEGER,
    ChanSetPlanId    INTEGER,
    DestinationId    INTEGER,
    DTScopeId        INTEGER,
    PageSetupId      INTEGER,
    ReportSpecId     INTEGER,
    PE_ReportSpecId  INTEGER,
    FileName         VARCHAR2(255),
    SpoolFileId      INTEGER,
    ReportName	     VARCHAR2(100),
    auto_organize    VARCHAR2(256), -- report result automatic organize string
    ReportType	     VARCHAR2(64),
    AutoPurge        CHAR(1),
    PurgeInterval    INTEGER,
    RetrieveMode     CHAR(1),
    ReportTemplateId INTEGER,
    ReportKind       CHAR(1),
    GraphID          INTEGER,
    MapID            INTEGER,
    DataStart        DATE,
    DataEnd          DATE,
   CONSTRAINT PK_RG_TASKLIST PRIMARY KEY (ID),
    --
    -- foreign key(s). These prevent the client from deleting the report
    -- the moment it fires, which would upset things a bit.
    --
    CONSTRAINT FK_TaskList_Id
      FOREIGN KEY(Id)                REFERENCES Active_Task(Task_Id),
    CONSTRAINT FK_TaskList_JobId
      FOREIGN KEY(JobId)             REFERENCES Active_Job(Job_Id),
    CONSTRAINT FK_TaskList_SpoolfieldId
      FOREIGN KEY(SpoolFileId)       REFERENCES Task_FileName(Id),
    CONSTRAINT FK_TaskList_ReportTypeId
      FOREIGN KEY(ReportTypeId)      REFERENCES RG_Software(Id)
--
--    FOREIGN KEY(TemplateId)        REFERENCES PM_Template(Id),
--    FOREIGN KEY(ScenarioId)        REFERENCES PM_Scenario(Id),
--    FOREIGN KEY(ChanSetPlanId)     REFERENCES PM_ChanSetPlan(Id),
--    FOREIGN KEY(DestinationId)     REFERENCES PM_Destination(Id),
--    FOREIGN KEY(PageSetupId)       REFERENCES PM_PageSetup(Id),
--    FOREIGN KEY(DTScopeId)         REFERENCES PM_DTScope(Id),
--    FOREIGN KEY(ReportSpecId)      REFERENCES PM_ReportSpec(Id),	
)
tablespace wm_flexpm;

PROMPT Creating index rg_tasklist_sfid_idx ...
CREATE INDEX rg_tasklist_sfid_idx ON rg_tasklist(spoolfileid) TABLESPACE wm_flexpm;

PROMPT Creating index rg_tasklist_ajid_idx ...
CREATE INDEX rg_tasklist_ajid_idx ON rg_tasklist(jobid) TABLESPACE wm_flexpm;

