  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2000
  -- *** (#) ./base/db/Oracle8i/scenarioAD/actIns_cre.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
  -- *** (#) 
  -- ------------------------------------------------------------------------

CREATE TABLE ad_loading_rec_tab
( entity_id    INTEGER,
  instance_id  INTEGER,
  TSTAMP       DATE,
 CONSTRAINT pk_ad_loading_rec_tab PRIMARY KEY (entity_id,instance_id,TSTAMP )
)
ORGANIZATION INDEX
PARTITION BY RANGE(tstamp)
(
  PARTITION p2003061100 VALUES LESS THAN(TO_DATE('06/12/2003 00', 'MM/DD/YYYY HH24')),
  PARTITION p2003061200 VALUES LESS THAN(TO_DATE('06/13/2003 00', 'MM/DD/YYYY HH24')),
  PARTITION p2003061300 VALUES LESS THAN(TO_DATE('06/14/2003 00', 'MM/DD/YYYY HH24')),
  PARTITION p2003061400 VALUES LESS THAN(TO_DATE('06/15/2003 00', 'MM/DD/YYYY HH24')),
  PARTITION p2003061500 VALUES LESS THAN(TO_DATE('06/16/2003 00', 'MM/DD/YYYY HH24')),
  PARTITION p2003061600 VALUES LESS THAN(TO_DATE('06/17/2003 00', 'MM/DD/YYYY HH24'))
)
PCTFREE 5
TABLESPACE TRAFFIC_JUMBO
STORAGE (
 FREELISTS 4
)
;

CREATE TABLE ad_loading_rec_aux
( entity_id    INTEGER,
  instance_id  INTEGER,
  TSTAMP       DATE,
 CONSTRAINT pk_ad_loading_rec_aux PRIMARY KEY (entity_id,instance_id,TSTAMP )
)
ORGANIZATION INDEX
PCTFREE 5
TABLESPACE TRAFFIC_JUMBO
STORAGE (
 FREELISTS 4
)
;

CREATE TABLE ad_ins_ctx_tmp (
  Instance_ID   INTEGER         NOT NULL,
  Context_ID    INTEGER         NOT NULL,
  Entity_ID     INTEGER         NOT NULL,
  ParentInstance_ID   INTEGER,
  Active        CHAR(1),
  placehldr     CHAR(1),
  CONSTRAINT pk_ad_ins_cxt_pky PRIMARY KEY ( Context_ID, Entity_ID, Instance_ID )
             USING INDEX STORAGE (FREELISTS 4)
)
PARTITION BY HASH( Context_ID, Entity_ID )
(
  PARTITION p1,
  PARTITION p2,
  PARTITION p3,
  PARTITION p4,
  PARTITION p5,
  PARTITION p6,
  PARTITION p7,
  PARTITION p8,
  PARTITION p9,
  PARTITION p10,
  PARTITION p11,
  PARTITION p12,
  PARTITION p13,
  PARTITION p14,
  PARTITION p15,
  PARTITION p16,
  PARTITION p17,
  PARTITION p18,
  PARTITION p19,
  PARTITION p20,
  PARTITION p21,
  PARTITION p22,
  PARTITION p23,
  PARTITION p24,
  PARTITION p25,
  PARTITION p26,
  PARTITION p27,
  PARTITION p28,
  PARTITION p29,
  PARTITION p30,
  PARTITION p31,
  PARTITION p32
)
TABLESPACE traffic_jumbo
STORAGE (
  FREELISTS 4
);

CREATE INDEX idx_ad_inst_ctx_ctxid_parent ON ad_ins_ctx_tmp
    ( Context_id, ParentInstance_Id)
    TABLESPACE traffic_jumbo STORAGE (FREELISTS 4);

CREATE TABLE ad_ins_buf (
  Instance_ID   INTEGER         NOT NULL,
  Entity_ID     INTEGER         NOT NULL,
  Active        CHAR(1)         NOT NULL,
  Placehldr     CHAR(1)         NOT NULL,
  CONSTRAINT pk_ad_ins_buf PRIMARY KEY ( Entity_ID, Instance_ID )
)
ORGANIZATION INDEX
COMPRESS
tablespace traffic_jumbo
STORAGE (
  FREELISTS 4
)
PCTFREE 0
;

CREATE TABLE ad_active_Ins_tmp
( 
  instance_id integer,
  active  char(1),
  CONSTRAINT pk_ad_active_Ins_tmp PRIMARY KEY (instance_id,active)
)
ORGANIZATION INDEX
COMPRESS
TABLESPACE traffic_jumbo
PCTFREE 0;


CREATE TABLE ad_scan_tables
(
  entity_id    INTEGER CONSTRAINT ad_scan_tab_ent_id_not_null NOT NULL,
  table_name   VARCHAR2(30),
 CONSTRAINT pk_ad_scan_tables PRIMARY KEY (table_name) 
)
tablespace WM_FLEXPM
STORAGE (
  FREELISTS 4
)
PCTFREE 0
;

EXIT;
