-- -----------------------------------------------------------------------
--     COPYRIGHT WatchMark Corp 1999
-- -----------------------------------------------------------------------

CREATE OR REPLACE TYPE genericMessage AS OBJECT
  (
  schedule_id      INTEGER,
  job_id           INTEGER,
  task_id          INTEGER,
  task_type        INTEGER,
  admin_msg        INTEGER,
  start_time       DATE,
  touch_time       DATE,
  sched_fk         INTEGER,
  pid              INTEGER,
  status_code      INTEGER,
  status_msg       VARCHAR2(4000),
  MEMBER PROCEDURE touch,
  MEMBER FUNCTION  is_task_level      RETURN BOOLEAN,
  MEMBER FUNCTION  is_job_level       RETURN BOOLEAN,
  STATIC FUNCTION construct(schedule_id     INTEGER  DEFAULT NULL, 
                            job_id          INTEGER  DEFAULT NULL,
                            task_id         INTEGER  DEFAULT NULL,
                            task_type       INTEGER  DEFAULT NULL,
                            admin_msg       INTEGER  DEFAULT NULL,
                            start_time      DATE     DEFAULT sysdate,
                            touch_time      DATE     DEFAULT sysdate,
                            sched_fk        INTEGER  DEFAULT NULL,
                            pid             INTEGER  DEFAULT NULL,
                            status_code     INTEGER  DEFAULT NULL,
                            status_msg      VARCHAR2 DEFAULT NULL)
			    RETURN genericMessage

  );
/
show errors;
exit;
