CREATE OR REPLACE TRIGGER
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2001
  --     ./base/db/Oracle8i/scheduler/sched/schedNotifTrigger.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605
  -- ------------------------------------------------------------------------
  schedule_notification_trigger
  BEFORE UPDATE OF period ON schedule
  FOR EACH ROW
  DECLARE
  msg genericMessage;
  BEGIN 
     
     IF (:NEW.period = 'N' AND :old.period != 'N') THEN      
	msg := sched.dequeue_by_schedule_id(:new.schedule_id);
        -- set up the cleanup time for the job
        update active_job set cleanup_time=sysdate
         where schedule_id=:new.schedule_id;
     ELSIF (:NEW.period != 'N' AND :old.period = 'N') THEN
	NULL;   -- Probably need to wiggle the schedule here to get it requeued.
     END IF;	

	
    
  END schedule_notification_trigger;
/
show errors trigger schedule_notification_trigger;
EXIT;
-- --------------------------------------------------------------------------
-- Local Variables:
-- mode: pls
