CREATE OR REPLACE TRIGGER status_trigger
  before INSERT OR UPDATE ON task_status
  FOR each row
DECLARE
  ns            task_status%ROWTYPE;
  complete_flag INTEGER := 0;
BEGIN
   
   IF (UPDATING) THEN 
      complete_flag := :old.complete_flag;
   END IF;
      
   ns.job_id        := :new.job_id;   
   ns.status_code   := :new.status_code;
   ns.task_id       := :new.task_id;
   ns.tstamp        := :new.tstamp;
   ns.started       := :new.started;     
   ns.ended         := :new.ended;
   ns.pid           := :new.pid; 
   ns.complete_flag := complete_flag;
   ns.message       := :new.message;
   
   status.process_status(ns);
  
END status_trigger;
/
show errors trigger status_trigger;  
EXIT;
-- ------------------------------------------------------------------------
-- Local Variables:
-- mode: pls
-- End:
