-- ******************************
-- *** Data Dictionary Schema ***
-- ******************************

-- *** (#) ./base/db/Oracle8i/schemaAPI/wmda_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- *** (#) 

CREATE OR REPLACE VIEW wmda_Field_Reference AS
  SELECT fld.Entity_ID, ent.Entity_Name, fld.Field_ID, nam.Name Field_Name,
	tbl.Table_Name, col.Col_Name Table_Column, tbl.Is_Time_Series
    FROM 	wmd_Field_Def fld,
		wmd_Dict_Name nam,
		wmd_Col_Def col,
		wmn_Entity ent,
		wmd_Dict_Table tbl
    WHERE fld.Field_Type = 'C' 
	AND fld.Field_ID = nam.Field_ID
	AND nam.Namespace_ID = 0
	AND fld.Entity_ID = ent.Entity_ID
	AND fld.Field_ID = col.Field_ID
	AND col.Table_Id = tbl.Table_ID
        AND tbl.Summary_ID = 0;

COMMENT ON TABLE wmda_Field_Reference IS 'Dictionary Schema API (./base/db/Oracle8i/schemaAPI/wmda_schema.sql), Version BL_core_schema_8.0.7_8.0.7.5.02_20100605';


CREATE Global Temporary Table  wmda_Scenario_Instance_Tmp (
   Entity_ID		INTEGER,
   Instance_ID          INTEGER,
   Parent_Instance_ID   INTEGER,
   FullKey              VARCHAR2(900),
   LocalKey             VARCHAR2(90)
)
  ON COMMIT DELETE ROWS;

COMMENT ON TABLE wmda_Scenario_Instance_Tmp IS 'Dictionary Schema API (./base/db/Oracle8i/schemaAPI/wmda_schema.sql), Version BL_core_schema_8.0.7_8.0.7.5.02_20100605';
	
CREATE Global Temporary Table  wmda_EntityList_Tmp (
   Entity_ID		INTEGER  NOT NULL
      CONSTRAINT wmda_EntityList_pk PRIMARY KEY
)
  ON COMMIT DELETE ROWS;

COMMENT ON TABLE wmda_EntityList_Tmp IS 'Dictionary Schema API (./base/db/Oracle8i/schemaAPI/wmda_schema.sql), Version BL_core_schema_8.0.7_8.0.7.5.02_20100605';

-- This table is used to hold sets for include and exclude SEAde23283
CREATE Global Temporary Table WMDA_Inst_In_Out_Tmp (
        Group_Id        Integer,
        Instance_Id Integer
)
 ON COMMIT DELETE ROWS;

COMMENT ON TABLE WMDA_Inst_In_Out_Tmp IS 'Dictionary Schema API (./base/db/Oracle8i/schemaAPI/wmda_schema.sql), Version BL_core_schema_8.0.7_8.0.7.5.02_20100605';

Create Index WMDA_In_Out_Tmp_NDX ON wmda_Inst_In_Out_Tmp (group_id, instance_id);
	
