#!/bin/ksh
# ------------------------------------------------------------------------
#     COPYRIGHT WatchMark Corp 2003
# *** (#) ./base/db/Oracle8i/softalarm/addSA.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# *** (#) 
# ------------------------------------------------------------------------
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`

usage()
{
 echo 'Usage:'
 echo "$SCRIPTNAME  -e entity_name [ -f fullkey ] [ -d alarmtime ] [ -t AlarmType ] [ -c probable cause ][ -s severity ] [ -a text ] [ -u summary ] [ -n fdn ] [ -i template id ]"
 echo '-e : the entity name of the instance(s)'
 echo '-f : the fullkey'
 echo '-d : alarm time; format: YYYYMMDDHH24:MI; example 2003102015:23'
 echo '-t : alarm type'
 echo '-c : probable cause'
 echo '-s : severity'
 echo '-a : additional text'
 echo '-u : summary'
 echo '-n : fdn'
 echo '-i : template id'
 echo '-v : help'
 echo ''
 exit
}

if [ $# -eq 0 ]
 then
 usage
fi

ENTITY_NAME=NULL
FULLKEY=NULL
ALARMTIME=NULL
ALARMTYPE=NULL
PROBCAUSE=NULL
SEVERITY=NULL
TEXT=NULL
SUMMARY=NULL
FDN=NULL
TEMPLATEID=NULL

while [ $# -gt 0 ]
do

    case $1 in
      -e)
          shift
          ENTITY_NAME=\'$1\'
          ;;
      -f) 
          shift
          FULLKEY=\'$1\'
          ;;
      -d)
          shift
          ALARMTIME=\'$1\'
          ;;
      -t) 
          shift
          ALARMTYPE=\'$1\'
          ;;
      -c) 
          shift
          PROBCAUSE=\'$1\'
          ;;
      -s) 
          shift
          SEVERITY=\'$1\'
          ;;
      -a) 
          shift
          TEXT=\'$1\'
          ;;
      -u) 
          shift
          SUMMARY=\'$1\'
          ;;
      -n) 
          shift
          FDN=\'$1\'
          ;;
      -i) 
          shift
          TEMPLATEID=$1
          ;;
      -v) 
          usage
          ;;
       *) echo "$SCRIPTNAME: Invalid parameter $1"
          usage
          ;;
     esac

     if [ $# -gt 0 ]
      then
       shift
     fi
done

if [ ${ENTITY_NAME:=NULL} = NULL ]
 then
      usage
fi

sqlplus -s /NOLOG  <<! |grep -v Connected.|grep -v "PL/SQL procedure successfully completed" |grep -v "Session altered."|grep -v "Commit complete."
connect ${DB_CONNECT}
set serveroutput on size 1000000

ALTER SESSION SET NLS_DATE_FORMAT='YYYYMMDDHH24:MI';

BEGIN
     sa_gen.create_sa(${ENTITY_NAME},
                       ${FULLKEY},
                       NULL,
                       ${ALARMTYPE},
                       ${PROBCAUSE},
                       ${SEVERITY},
                       ${TEXT},
                       ${ALARMTIME},
                       ${SUMMARY},
                       ${FDN},
                       ${TEMPLATEID}
                       );
                       
END;
/

COMMIT;
!

