-- (#) ./base/db/Oracle8i/softalarm/create_sa_snap_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
-- SA_SOFTALARM_SNAP
--
CREATE TABLE SA_SOFTALARM_snap (
        Id                    Integer,
        ScenarioId            Integer,
        UserId                Integer,
        FolderId              Integer,
        Entity_Id             Integer,
        Name                  Varchar2(64),
        Description           Varchar2(255),
        Category              Varchar2(64),
        Type                  Varchar2(64),
        -- Category , Type column kept for Client GUI requirement.
        SATemplateId          Integer,
        Time_Range_Id         Integer,
        Time_Range_Value      Integer,
        Exclude_WeekEnds      CHAR(1),
        Exclude_Holidays      CHAR(1),
        Active                CHAR(1),
        Auto_Clear            CHAR(1),
        autopurge            char(1),
        purgeinterval        number,
        retrievemode         char(1),
        job_id                number,
        task_id               number,
        alarm_id              NUMBER(*,0) NULL,
        Changed               Date,
        --
        -- Primary Key
        --
        constraint pk_sa_sa_snap primary key (task_id),
        constraint fk_sa_sa_snap_taskid foreign key (task_id)
                   references active_task(task_id) on delete cascade
);

--
-- SA_JOBLIST
--

create table sa_joblist (
    Id               INTEGER  ,
    ScheduleUserId   INTEGER,
    ReportGroupName  VARCHAR2(255),
    ScheduleName     VARCHAR2(255),
    MachineName      VARCHAR2(255),
    CONSTRAINT PK_SA_JOBLIST PRIMARY KEY (ID),
    constraint fk_sa_joblist_jobid foreign key (id)
               references active_job(job_id) on delete cascade
)
tablespace wm_flexpm;

--
-- SA_TEMPLATE_SNAP
--

CREATE TABLE SA_TEMPLATE_snap (
        task_Id         Integer,
        UserId          Integer,
        FolderId        Integer,
        Name            Varchar2(64),
        Description     Varchar2(255),
        CauseId         Integer,
        Alarm_Type_Id   Integer,
        Category        Varchar2(64),
        Type            Varchar2(64),
        -- Category ,Type column kept for Client GUI requirement.
        Summary         VARCHAR2(128),
        sa_template_id  integer,
        Message         Varchar2(2000),
        Changed         Date,
        --
        -- Primary Key
        --
        CONSTRAINT pk_sa_template_snp primary key (task_id),
        constraint fk_sa_template_snap_taskid foreign key (task_id)
                   references sa_softalarm_snap(task_id) on delete cascade
);


--
-- SA_LOGICAL_OPERATOR_SNAP
--
CREATE TABLE SA_LOGICAL_OPERATOR_SNAP
(
        task_id    Integer,
        id         integer,
        operator   varchar2(30) not null,
        parent_id  integer,
        sa_id      integer not null,
        constraint fk_sa_logopr_snap_taskid foreign key (task_id)
                   references sa_softalarm_snap(task_id) on delete cascade
)
;

create index SA_LOGICAL_OPERATOR_SNAP_IND on SA_LOGICAL_OPERATOR_SNAP(task_id);

--
-- SA_THRESHOLD_SNAP
--
CREATE TABLE SA_THRESHOLD_snap (
        task_id          Integer,
        SoftAlarm_Id     Integer,
        Field_Id         Integer,
        Operator         VARCHAR2(2),
        Aggregator_Id    Integer,
        Threshold_Value  NUMBER,
        Severity_Id      Integer,
        Hyst_Count       Integer,
        Hyst_Range       Integer,
        sa_logopr_id     Integer,
        logopr_disp      VARCHAR2(10),
        Open_parens      VARCHAR2(10),
        Close_parens     VARCHAR2(10),
        job_id           number,
        Changed          Date,
        constraint fk_sa_threshold_snap_taskid foreign key (task_id) 
                   references sa_softalarm_snap(task_id) on delete cascade
);

create index SA_THRESHOLD_snap_ind on SA_THRESHOLD_snap(task_id);

CREATE  GLOBAL TEMPORARY TABLE sa_task_freq_tmp
(
 task_id         INTEGER,
 job_id          INTEGER NOT NULL,
 softalarm_id    INTEGER NOT NULL,
 frequency_id    INTEGER NOT NULL,
 seconds         INTEGER,
  CONSTRAINT PK_sa_task_freq_tmp  PRIMARY KEY (task_id, frequency_id)
)
/

CREATE  GLOBAL TEMPORARY TABLE sa_task_max_freq_tmp
(
 task_id         INTEGER,
 job_id          INTEGER NOT NULL,
 softalarm_id    INTEGER NOT NULL,
 frequency_id    INTEGER NOT NULL,
 seconds         INTEGER,
  CONSTRAINT PK_sa_task_max_freq_tmp  PRIMARY KEY (task_id)
)
/

exit;
