-- (#) ./base/db/Oracle8i/softalarm/create_sa_srv_trg.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
-- Soft alarm triggers
--

create or replace trigger trbi_sa_archive_tmp
before insert
on sa_archive_tmp
for each row
begin
  select sa_seq.nextval into :new.id from dual;
end;
/
show error

create or replace trigger trai_sa_archive_tmp
after insert
on sa_archive_tmp
for each row
declare
  v_sa_state_rec sa_state%rowtype;
  v_sa_master_id   sa_state.master_id%type;
  v_arc_flag integer :=0;
  cursor c_sa_state is
   select *
     from sa_state
    where instance_id = :new.instance_id
      and sa_template_id = :new.sa_template_id;
--      and alarm_type = :new.alarm_type
--      and probable_cause = :new.probable_cause
--      and summary = :new.summary;
begin
  open c_sa_state;
  fetch c_sa_state into v_sa_state_rec;
  if c_sa_state%notfound then
    if :new.perceived_severity<>0 then
      v_arc_flag := 1;
      insert into sa_archive_master(master_id) values(:new.id);

      insert into sa_state
       (master_id, entity_id,  instance_id,
        instance_name,
        scenario_instance_id,
        alarm_type, probable_cause,
        perceived_severity,
        additional_text,
        alarm_time,
        generation_time,
        summary,
        fdn,
        sa_template_id,
        alarm_count,
        first_occurence)
       values
        (:new.id, :new.entity_id, :new.instance_id,
         :new.instance_name,
         :new.scenario_instance_id,
         :new.alarm_type, :new.probable_cause,
         :new.perceived_severity,
         :new.additional_text,
         :new.alarm_time,
         :new.generation_time,
         :new.summary,
         :new.fdn,
         :new.sa_template_id,
         1,
         :new.alarm_time);
       v_sa_master_id := :new.id;
      end if;
  else
      v_arc_flag := 1;
      v_sa_master_id := v_sa_state_rec.master_id;
      if :new.perceived_severity = 0 then --system clear alarm; need to define lookup table
        wm_sa_action.sa_do_action(v_sa_master_id,'sysClear',null,:new.alarm_time, null);
      else
        update sa_state set
          alarm_count=alarm_count+1
         ,alarm_time=:new.alarm_time
         ,perceived_severity=wm_sa_funcs.max_severity(perceived_severity
                                                     ,:new.perceived_severity)
         ,additional_text=wm_sa_funcs.max_severity_add_text(perceived_severity
                                                           ,additional_text
                                                           ,:new.perceived_severity
                                                           ,:new.additional_text)
        where master_id = v_sa_master_id;
      end if;

  end if;
  if v_arc_flag=1 then
    insert into sa_archive
    ( master_id, id, entity_id, instance_id,
      instance_name,
      scenario_instance_id,
      alarm_type, probable_cause,
      perceived_severity, additional_text,
      alarm_time, generation_time,
      summary,
      fdn,
      sa_template_id
    )
    values
    (v_sa_master_id, :new.id, :new.entity_id, :new.instance_id,
     :new.instance_name,
     :new.scenario_instance_id,
     :new.alarm_type, :new.probable_cause,
     :new.perceived_severity, :new.additional_text,
     :new.alarm_time, :new.generation_time,
     :new.summary,
     :new.fdn,
     :new.sa_template_id
    );
    v_arc_flag:=0;
  end if;
end;
/
show error

create or replace trigger trai_sa_action_tmp
after insert
on sa_action_tmp
for each row
declare
begin
  wm_sa_action.sa_do_action(:new.master_id
                           ,:new.act_type
                           ,:new.user_id
                           ,sysdate
                           ,:new.annotation_text);
end;
/
show error

exit
