---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003, 2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/softalarm/sacheck/en_sasched_evnts_v.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

CREATE OR REPLACE VIEW en_sasched_evnts_v
AS
SELECT /*+ ORDERED */ tmp.event_id,s.schedule_id
FROM en_saevent_unprocessed_tmp tmp,
     schedule_event se,
     schedule s,
     sa_schedule sas,
     pm_holidays h,
     pm_holidays dah,
     en_event_type entyp,
     -- the default 'TIMESLICES' is 24
     (SELECT NVL(MAX(TO_NUMBER(value)), 24) timesclice
        FROM pm_product_info
       WHERE UPPER(property) = 'TIMESLICES') pm_info
WHERE se.event_type_id = entyp.event_type_id
  AND entyp.name = 'Data load'
  AND se.schedule_id = s.schedule_id
  AND s.sched_fk = sas.sa_schedule_id
  AND s.is_suspended = 'N'
  AND s.period = 'N'
  AND tmp.data_tstamp BETWEEN s.start_time AND nvl(s.end_time, tmp.data_tstamp+1)
  AND ((s.inc_mondays = 'Y'    AND to_char(tmp.data_tstamp, 'DY') = 'MON')
    OR (s.inc_tuesdays = 'Y'   AND to_char(tmp.data_tstamp, 'DY') = 'TUE')
    OR (s.inc_wednesdays = 'Y' AND to_char(tmp.data_tstamp, 'DY') = 'WED')
    OR (s.inc_thursdays = 'Y'  AND to_char(tmp.data_tstamp, 'DY') = 'THU')
    OR (s.inc_fridays = 'Y'    AND to_char(tmp.data_tstamp, 'DY') = 'FRI')
    OR (s.inc_saturdays = 'Y'  AND to_char(tmp.data_tstamp, 'DY') = 'SAT')
    OR (s.inc_sundays = 'Y'    AND to_char(tmp.data_tstamp, 'DY') = 'SUN'))
  AND (s.schedule_id, TRUNC((tmp.data_tstamp-TRUNC(tmp.data_tstamp))*(24*60)/(24*60/pm_info.timesclice)) )
          NOT IN
          (SELECT schedule_id, hour
           FROM schedule_hour_ex
           WHERE schedule_id = s.schedule_id)
  AND h.holiday (+)= trunc(tmp.data_tstamp, 'DD')
  AND dah.holiday (+)= trunc(tmp.data_tstamp, 'DD')-1
  AND (s.inc_holidays = 'Y' OR (s.inc_holidays = 'N' AND h.holiday IS NULL))
  AND (s.inc_day_after_hol = 'Y' OR (s.inc_day_after_hol = 'N' AND dah.holiday IS NULL))
;


exit;
