CREATE OR REPLACE TRIGGER
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2001
  --     ./base/db/Oracle8i/status_archive/status_archiveTrigger.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605
  -- ------------------------------------------------------------------------
  status_archive_trigger after INSERT OR UPDATE ON task_status
  FOR each row
  WHEN (new.status_code IN (4,5,7,8,1000))
DECLARE
  ns   task_status%ROWTYPE;
BEGIN 
     
   ns.job_id := :new.job_id;
   ns.status_code := :new.status_code;
   ns.task_id := :new.task_id;
   ns.tstamp := :new.tstamp;
   ns.started := :new.started;
   ns.ended := :new.ended;
   ns.pid := :new.pid;
   ns.complete_flag := :new.complete_flag;
   ns.message := :new.message;
   ns.event_id := :new.event_id;
   
   status_archive.register_status_change(ns);
   
END status_archive_trigger;
/
show errors trigger status_archive_trigger;
-- --------------------------------------------------------------------------
-- Local Variables:
-- mode: pls
