---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/wmlib/wm_log_table.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
  DECLARE
    v_ddl		VARCHAR2(32000);
    v_part_date		VARCHAR2(22);
    v_part_name		VARCHAR2(30);
  BEGIN
     v_part_date := TO_CHAR(trunc(sysdate+2), 'YYYYMMDDHH24');
     v_part_name := 'P' || TO_CHAR(trunc(sysdate+1), 'YYYYMMDDHH24');
     v_ddl := 'CREATE TABLE WM_MESSAGE_LOG
           (MESSAGE_ID		INTEGER NOT NULL, TSTAMP DATE NOT NULL, COMPONENT VARCHAR2(60) NOT NULL,
            MESSAGE_TEXT 	VARCHAR2(1000) NOT NULL, SEVERITY VARCHAR2(10),
            CONSTRAINT 		PK_WM_LOG_MESSAGE PRIMARY KEY (TSTAMP, MESSAGE_ID),
            CONSTRAINT 		CK_WM_LOG_MESSAGE_SEV CHECK (SEVERITY IN (''HIGH'',''MEDIUM'',''LOW'')) ENABLE
           ) ORGANIZATION INDEX PARTITION BY RANGE(tstamp)'
       || '( PARTITION ' || v_part_name || ' VALUES LESS THAN (TO_DATE(''' || v_part_date || ''', ''YYYYMMDDHH24'')) ) '
       || ' TABLESPACE TRAFFIC_MEDIUM';

  EXECUTE IMMEDIATE v_ddl;
  
  END;
/

-- Part maint meta data added in metadata/wmlib

CREATE SEQUENCE  wm_log_message_seq  MINVALUE 1 NOMAXVALUE INCREMENT BY 1 START WITH 1 CACHE 100 NOORDER  NOCYCLE;
