-- ../dbuser/revoke_support.sql = revoke support permissions to schema/owner
-- @(#) ./base/dbuser/revoke_support.sql ; BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527

remark USAGE:  sqlplus {DB_CONNECT}  @revoke_support.sql SYSPASSWD DBUSER DBSID

--connect sys/&1@&3;

set verify off
set serveroutput on SIZE 500000 format wrapped
set feed off
  
Prompt Revoking Support Privileges ...
  
DECLARE   
  Type vTable  IS TABLE OF VARCHAR2(500) INDEX BY Binary_Integer; 

  vSupport_Grants vTable; 

  vDba_users_rec	DBA_USERS%RowType;
  vSql Varchar2(600);
  vMax_Row INTEGER;
  vSchema VARCHAR2(30);
  
BEGIN
   
   SELECT Upper('&2') INTO vSchema FROM Dual;
   
   --  Privileges required to Support
   vSupport_Grants (1) := 'revoke Select_Catalog_Role ';
   
   Select * into vDBA_Users_Rec
     From DBA_USERS
     Where UserName = vSchema;
   
   Dbms_Output.Put_Line (' ');
   Dbms_Output.Put_Line ('User Name                Account Status           Date Created');
   Dbms_Output.Put_Line ('-------------------      ------------------       --------------------');
   Dbms_Output.Put_Line (Rpad(vDba_users_rec.UserName,25,' ') || Rpad(vDba_users_rec.Account_Status,25,' ') || To_Char(vDba_users_rec.Created,'yyyy-Mon-dd hh24:mi:ss') );
   Dbms_Output.Put_Line (' ');

   -- Dbms_Output.Put_line ('Granting Support Privileges ...');
   vMax_Row := vSupport_Grants.Count;

   For I in 1..vMax_Row
   Loop
      Begin
         vSql := vSupport_Grants(I) || ' FROM ' || vSchema;
         Execute Immediate vSql;
      Exception
         When Others Then
           Dbms_output.put_line ('ERROR : ' || vSql );
           Dbms_output.put_line (SQLERRM);
           Dbms_Output.Put_Line (' ');
      End;
   End Loop;
Exception
   When NO_DATA_FOUND THEN
     Dbms_Output.Put_Line (' ');
     Dbms_Output.Put_Line ('"' || vSchema ||'"  SCHEMA DOES NOT EXISTS'); 
     Dbms_Output.Put_Line (' ');
End;
/	

EXIT;

--
------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:
