#! /bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./base/install/chooseLanguage.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
#

# this script provides the option of choosing a language at install time if the DEFAULT_LOCALE env variable is not set.

LOCALIZATION_PATH=$FLEXPM_HOME/pm/pas/etc/localization-templates/

if [[ -z $DEFAULT_LOCALE ]]
then
  LANGUAGES=`ls $LOCALIZATION_PATH`
  # if we do not have any languages installed at this point then just default to English   
  if  [[ -z $LANGUAGES ]]
  then
    print "No languages found, defaulting to English (en)"
    DEFAULT_LOCALE=en
  else
    # PS3 is an environment variable that sets the menu prompt
    PS3="Please enter the DEFAULT_LOCALE:"
    # The select command creates the menu
    select LANGUAGE in $LANGUAGES
    do
      # check to make sure we have a valid selection
      if [[ -n $LANGUAGE ]]
      then
        DEFAULT_LOCALE=$LANGUAGE
        break
      else
        print "Invalid option, please try again."
      fi
    done
    print "DEFAULT_LOCALE is set to ${DEFAULT_LOCALE}"
  fi
else
  print "DEFAULT_LOCALE already set to $DEFAULT_LOCALE"
  if [[ ! -d $LOCALIZATION_PATH/$DEFAULT_LOCALE ]]
  then
    print "Current setting is invalid, defaulting to English (en)"
    DEFAULT_LOCALE=en
  fi
  
fi

expand <<-END > $FLEXPM_HOME/.profile.language
    DEFAULT_LOCALE=${DEFAULT_LOCALE}
END
