#! /bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./base/install/languageInstaller.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
#

# this script will install the appropriate language (& default) based on the value in the DEFAULT_LOCALE variable


function installLanguage
{


  sqlplus -s /NOLOG  <<PLSQL|grep -v "Connected." |grep -v "PL/SQL procedure successfully completed." | grep -v "Commit complete."
    connect $DB_CONNECT
    set serveroutput on size 1000000
    set termout off

    declare
        p_code pm_language.code%type:='$1';
        p_name pm_language.display_name%type:='$2';
        p_default pm_language.is_default%type:='$3';

    begin
        pm_language_api.add_update_language(p_code,p_name,p_default);
    end;
    /
    commit;
    exit;

PLSQL


}


function updateUserDefaultLang
{


  sqlplus -s /NOLOG  <<PLSQL|grep -v "Connected." |grep -v "PL/SQL procedure successfully completed." | grep -v "Commit complete."
    connect $DB_CONNECT
    set serveroutput on size 1000000
    set termout off

    begin
        pm_language_api.update_user_default_language;
    end;
    /
    commit;
    exit;

PLSQL


}

cd $FLEXPM_HOME

. ./.profile

DB_CONNECT=`${FLEXPM_HOME}/pm/adm/crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`

LOCALIZATION_PATH=$FLEXPM_HOME/pm/pas/etc/localization-templates/

if [[ -f $FLEXPM_HOME/.profile.language ]]
then
  . $FLEXPM_HOME/.profile.language
fi

if [[ -z $DEFAULT_LOCALE ]]
then
  # no default locale set therefore just use english
  DEFAULT_LOCALE=en
fi


LANGUAGES=`ls $LOCALIZATION_PATH`
# if we do not have any languages installed at this point then just default to English   
if  [[ -z $LANGUAGES ]]
  then
  print "No languages found, installing English (en) as default"
  LANGUAGE_CODE=en
  LANGUAGE_NAME=english
  DEFAULT=Y
  
  installLanguage $LANGUAGE_CODE $LANGUAGE_NAME $DEFAULT
else
  print "Default Locale: $DEFAULT_LOCALE"
  print "Installing Languages found in $LOCALIZATION_PATH"
  for LANGUAGE in $LANGUAGES
  do
    print "Installing $LANGUAGE"
    LANGUAGE_CODE=`perl -MProperties -e "print Properties::get_property(\"$LOCALIZATION_PATH/$LANGUAGE/SystemLocale.properties\",\"locale.code\");"`
    if [[ -z $LANGUAGE_CODE ]]
    then
      print "Unable to retrieve language code from SystemLocale.properties file, skipping install of $LANGUAGE."
      continue
    fi
    LANGUAGE_NAME=`perl -MProperties -e "print Properties::get_property(\"$LOCALIZATION_PATH/$LANGUAGE/SystemLocale.properties\",\"locale.name\");"`
    if [[ -z $LANGUAGE_NAME ]]
    then
      print "Unable to retrieve language name from Locale.properties file, skipping install of $LANGUAGE."
      continue
    fi
  
    if [[ $DEFAULT_LOCALE = $LANGUAGE_CODE ]]
    then
      DEFAULT=Y
    else
      DEFAULT=N
    fi
    installLanguage $LANGUAGE_CODE $LANGUAGE_NAME $DEFAULT
  done
fi

updateUserDefaultLang
