#!/bin/ksh
#
# (#) ./base/ldap/scripts/create_base.ksh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
#
# COPYRIGHT Watchmark Corp. 2003
#

function usage {
   echo "Usage: $0 [-c] -h host -p port -D bind_dn -w password"
   exit 1
}

#
# Env check
#
if [[ -z ${FLEXPM_HOME} ]]
then
   echo 'ERROR: $FLEXPM_HOME has not been set.'
   exit 1
fi

WMLDAP_HOME=${FLEXPM_HOME}/ldap

# Should we build the client schema
WMCLIENT=0
WMLDAP_HOST=""
WMLDAP_PORT=""
WMLDAP_BIND_DN=""
WMLDAP_PASSWORD=""

USAGE="c?h:p:D:w:"

while getopts "${USAGE}" opt
do
   case $opt in
      c) WMCLIENT=1;;
      h) WMLDAP_HOST=${OPTARG};;
      p) WMLDAP_PORT=${OPTARG};;
      D) WMLDAP_BIND_DN=${OPTARG};;
      w) WMLDAP_PASSWORD=${OPTARG};;
      *) usage;;
   esac
done

if [[ -z ${WMLDAP_HOST} || -z ${WMLDAP_PORT} || -z ${WMLDAP_BIND_DN} || -z ${WMLDAP_PASSWORD} ]]
then
   usage
fi

#
# Should we create the client base
#
if [[ ${WMCLIENT} -eq 1 ]]
then
   ldapmodify -c -v -h ${WMLDAP_HOST} -p ${WMLDAP_PORT} -D "${WMLDAP_BIND_DN}" -w "${WMLDAP_PASSWORD}" -f ${WMLDAP_HOME}/schema/create_client_base.ldif
fi

#
# Create the Watchmark base
#
ldapmodify -c -v -h ${WMLDAP_HOST} -p ${WMLDAP_PORT} -D "${WMLDAP_BIND_DN}" -w "${WMLDAP_PASSWORD}" -f ${WMLDAP_HOME}/schema/create_watchmark_base.ldif

# End
