#!/bin/ksh
#
# (#) ./base/ldap/scripts/prep_templates.ksh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
#
# COPYRIGHT Watchmark Corp. 2003
#

function usage {
   echo "Usage: $0 -w wmsuffix"
   exit 1
}

#
# Env check
#
if [[ -z ${FLEXPM_HOME} ]]
then
   echo 'ERROR: $FLEXPM_HOME has not been set.'
   exit 1
fi
if [[ -z ${VENDOR} ]]
then
   echo 'ERROR: $VENDOR has not been set.'
   exit 1
fi


WMLDAP_VENDOR_HOME=${FLEXPM_HOME}/vendor/${VENDOR}/ldap
WMSUFFIX=""
FBASE=""

USAGE="w:"

while getopts "${USAGE}" opt
do
   case $opt in
      w) WMSUFFIX=${OPTARG};;
      *) usage;;
   esac
done

if [[ -z ${WMSUFFIX} ]]
then
   usage
fi

for i in `ls ${WMLDAP_VENDOR_HOME}/schema/*.template`
do
   echo "Preparing ${i}"
   FBASE=`basename ${i} .template`
   sed "{ 
           s/%WMSUFFIX%/${WMSUFFIX}/g
        } " $i > ${WMLDAP_VENDOR_HOME}/schema/${FBASE}.ldif
done
