--  @(#) ../sql/cleanupImport.sql = remove special functions for 'import'
--  @(#) ./base/migrate/prospect/sql/cleanupImport.sql ; BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527

--  update sequence(s)

    prompt .. exec increment_sequence 'PM_%' ...

    execute increment_sequence ('pm_user',          'id',   'sq_user'         );
    execute increment_sequence ('pm_folder',        'id',   'sq_folder'       );
    execute increment_sequence ('pm_destination',   'id',   'sq_destination'  );
    execute increment_sequence ('pm_pagesetup',     'id',   'sq_pagesetup'    );
    execute increment_sequence ('pm_clientmachine', 'id',   'sq_clientmachine');
    execute increment_sequence ('pm_dtscope',       'id',   'sq_dtscope'      );
    execute increment_sequence ('pm_calendar',      'id',   'sq_calendar'     );
    execute increment_sequence ('pm_busyhour',      'id',   'sq_busyhour'     );
    execute increment_sequence ('pm_hourrange',     'id',   'sq_hourrange'    );
    execute increment_sequence ('pm_scenario',      'id',   'sq_scenario'     );
    execute increment_sequence ('pm_chansetplan',   'id',   'sq_chansetplan'  );
    execute increment_sequence ('pm_template',      'id',   'sq_template'     );
    execute increment_sequence ('pm_reportspec',    'id',   'sq_reportspec'   );
    execute increment_sequence ('pm_report',        'id',   'sq_report'       );
--    execute increment_sequence ('pm_rptgrp',        'id',   'sq_rptgrp'       );
--    execute increment_sequence ('pm_rptgrpitem',    'id',   'sq_rptgrpitem'   );
    execute increment_sequence ('pm_schedule',      'id',   'sq_schedule'     );
    execute increment_sequence ('pm_feature', 'feature_id', 'pm_feature_seq'  );
    execute increment_sequence ('wmq_query',    'query_id', 'wmq_query_seq'   );
    execute increment_sequence ('job_group',    'id', 'job_group_seq'   );
    execute increment_sequence ('job_group_item',    'id', 'job_group_item_seq'   );
    execute increment_sequence ('pm_map',    'id', 'sq_map'   );
    execute increment_sequence ('pm_StringTable',    'id', 'pm_StringTable_sq'   );
    execute increment_sequence ('pm_Graph',    'id', 'sq_Graph'   );
    execute increment_sequence ('pm_GraphItem',    'id', 'sq_GraphItem'   );
    execute increment_sequence ('pm_GraphItemProp',    'id', 'sq_GraphItemprop'   );

    prompt --

--  show templatefields which no longer exist

    set head on
    set pagesize 60

    prompt ** invalid TEMPLATE_FIELDS_NOT_FOUND.FIELD_ID = NULL

    select templateid, ordinal, field_id
	from template_fields_not_found
	    where field_id is null;

    prompt --

--  show invalid templateid in pm_report

    prompt ** invalid PM_REPORT.TEMPLATEID = '-1'

    column category format a40 trunc;

    select id, category, templateid
	from pm_report where templateid=-1;

    prompt --

--  show invalid scenarioid in pm_repot

    prompt ** invalid PM_REPORT.SCENARIOID = '-1'

    column category format a40 trunc;

    select id, category, scenarioid
	from pm_report where scenarioid=-1;

    prompt --

--  update PM_%_TEMP (work around for loader's problem of setting KS flag)

    prompt .. update PM_SCENARIO
    update pm_scenario set systemid = null where type = 'U';

    prompt .. update PM_FILTER
    update pm_filter set pm_filter.criteria =
	(   select PM_FILTER_TEMP.temp
		from PM_FILTER_TEMP
		    where pm_filter.criteria=PM_FILTER_TEMP.id
	)
	where pm_filter.templateid >= 1000
	;

    prompt .. update PM_PARTITION
    update pm_partition set pm_partition.name =
	(   select PM_PARTITION_TEMP.temp
		from PM_PARTITION_TEMP
		    where pm_partition.name=PM_PARTITION_TEMP.id
	)
	where pm_partition.chansetplanid >= 1000
	;

    prompt .. update PM_CHANGRP
    update pm_changrp set pm_changrp.name =
	(   select PM_CHANGRP_TEMP.temp
		from PM_CHANGRP_TEMP
		    where pm_changrp.name=PM_CHANGRP_TEMP.id
	)
	where pm_changrp.chansetplanid >= 1000
	;

    prompt .. update PM_CHANSETGRP
    update pm_chansetgrp set pm_chansetgrp.name =
	(   select PM_CHANSETGRP_TEMP.temp
		from PM_CHANSETGRP_TEMP
		    where pm_chansetgrp.name=PM_CHANSETGRP_TEMP.id
	)
	where pm_chansetgrp.chansetplanid >= 1000
	;

    prompt .. update PM_CHANSET
    update pm_chanset set pm_chanset.name =
	(   select PM_CHANSET_TEMP.temp
		from PM_CHANSET_TEMP where pm_chanset.name=PM_CHANSET_TEMP.id
	)
	where pm_chanset.chansetplanid >= 1000
	;

    prompt .. update PM_CHANNEL
    update pm_channel set pm_channel.chansetname =
	(   select PM_CHANNEL_TEMP.temp
		from PM_CHANNEL_TEMP
		    where pm_channel.chansetname=PM_CHANNEL_TEMP.id
	)
	where pm_channel.chansetplanid >= 1000
	;

    prompt .. update PM_TREND_IMPACT
    update pm_trend_impact set pm_trend_impact.impact =
	(   select PM_TREND_IMPACT_TEMP.impact
		from PM_TREND_IMPACT_TEMP
		    where pm_trend_impact.impact=PM_TREND_IMPACT_TEMP.id
	)
	;

    prompt --

--  drop temp tables;

    prompt .. remove temporary tables, functions, ...

    drop table dummy_table;
    drop table TEMPLATE_FIELDS_NOT_FOUND;
    drop table PM_FILTER_TEMP;
    drop table PM_PARTITION_TEMP;
    drop table PM_CHANGRP_TEMP;
    drop table PM_CHANSETGRP_TEMP;
    drop table PM_CHANSET_TEMP;
    drop table PM_CHANNEL_TEMP;
    drop table PM_TREND_IMPACT_TEMP;
    drop table pm_folder_temp;
    drop table WMD_COL_DEF_ST_TMP;

    prompt --

--  enable trigger

    alter trigger wmq_Query_Tr_BI enable;
    alter trigger pm_feature_tr_bi enable;
    alter trigger pm_user_tr_biu enable;
    alter trigger schedule_post_trigger enable;

    prompt --

--  create index for PM_FOLDER table

    create unique index UNQ_Folder
	ON pm_folder (folderid, Upper(name))
	    tablespace wm_client;

    prompt --

--  drop functions

    drop procedure  increment_sequence;
    drop function   migrate_getTemplateId;
    drop function   migrate_getScenarioId;
    drop function   migrate_getScenarioSeqId;
    drop function   migrate_getChanSetPlanId;
    drop function   migrate_getTriggerId;
    drop function   migrate_getfileformatid;
    drop function   migrate_getUserId;
    drop function   migrate_getCfgTplId;
    drop function   migrate_getparentfolderid;
    drop procedure  populatepm_folder_temp;
    drop procedure  migrate_updateTempField;
    drop function   getfolderpathformigration;
    drop function   migrate_getovrscenarioid;
    drop procedure  update_wmd_coldef_subtype;

    -- SES
    drop function mig_getInstanceID;
    drop function mig_getScenarioId;
    alter table ses_faf drop column id;

    commit;
    exit;

