DECLARE
   vInstanceID      INTEGER;
   vContextID       INTEGER := wm_Scenario.Get_Context;
   vSystemID        INTEGER;
   vScenarioID      INTEGER;
   vCount           INTEGER := 0;

   CURSOR vcInstanceList IS
        SELECT Entity_Name, SubType_Name, Instance_Name, Label, Active, PlaceHldr, FullKey
          FROM Scenario_Entity_Temp;

   CURSOR vcSystemList IS
        SELECT LocalKey
          FROM wmn_instance_context 
          WHERE Context_ID = vContextID
            AND entity_id = wm_Network.Get_Entity('System')
            AND LocalKey <> '<>';

BEGIN
  -- Add each instance in Scenario_Entity_Temp to the Scenario context
  FOR vInstance IN vcINstanceList LOOP
    vInstanceID := wm_Network.Get_Instance( vContextID, wm_Network.Get_Entity( vInstance.Entity_Name ), 
            vInstance.FullKey, vInstance.Instance_Name, vInstance.SubType_Name, vInstance.Label,
            vInstance.Active, vInstance.PlaceHldr );
    IF vCount > 1000 THEN
       COMMIT;
       vCount := 0;
    ELSE
       vCount := vCount + 1;
    END IF;
  END LOOP;

  COMMIT;

  -- Workaround a bug in wm_Network that can add inactive entities into the tree.
  UPDATE wmn_instance SET Active = 'n' WHERE Active = 'y';
  COMMIT;

  FOR vSystem IN vcSystemList LOOP
     vSystemID := vSystem.LocalKey;
     vScenarioID := FS_LookupSystemScenario( vSystemID, 'A' );
     IF ( vScenarioID IS NULL ) THEN
        FS_CreateSystemScenario( vSystemID, 'A' );
     END IF;	
     vScenarioID := FS_LookupSystemScenario( vSystemID, 'C' );
     IF ( vScenarioID IS NULL ) THEN
        FS_CreateSystemScenario( vSystemID, 'C' );
     END IF;	

  END LOOP;

END;
/

EXIT;
