-- *****************************************************
-- *** Update Query ID for PM_SCENARIO with 'U' type ***
-- *****************************************************

-- *** (#) ./base/migrate/prospect/sql/updateQueryID.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- *** (#) 

declare
 cursor cUQueryID(sMaxQID integer) is
  select query.* from wmq_query query, pm_scenario scenario
  where query.query_id = scenario.query_id
    and scenario.type = 'U' and scenario.query_id < sMaxQID; 
 vSmaxQID  integer;
begin
 select max(QUERY_ID) into vSmaxQID
 from pm_scenario
 where type in ('A','C');

 for UQ_id in cUQueryID(vSmaxQID)
 loop

      insert into wmq_query
      values(wmq_Query_Seq.nextval, UQ_ID.Query_Name);

      update wmq_query_text set Query_ID=wmq_Query_Seq.currval
      where Query_ID=UQ_ID.query_id;

      update pm_scenario set query_id=wmq_Query_Seq.currval
      where Query_ID=UQ_ID.query_id;

      delete from wmq_query where query_id = UQ_id.query_id;
   
 end loop;

exception
 when no_data_found then
  null;
end;
/

commit;

exit;
