-- ----------------------------------------------------------------------
-- (#) ./base/migrate/upgrades/sql/Generic/clean_orphaned_skeds.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--

PROMPT START clean_orphaned_skeds.sql

declare
   type t_string64_tab is table of varchar2(64) index by binary_integer;

   name_tab t_string64_tab;
   key_tab t_string64_tab;

   maxRowsPerDelete PLS_INTEGER := 2000;

   vTotalRows PLS_INTEGER;
   vRowCount  PLS_INTEGER;
   vSQL       varchar2(400);

begin

   select distinct 
          replace(schedule_view, '_VIEW') table_name
        , substr(schedule_view, 1, instr(schedule_view, '_')) || 'schedule_id' key
     bulk collect into name_tab, key_tab
     from JOB_TYPE j
        , USER_OBJECTS o
    where upper(replace(schedule_view, '_VIEW')) = o.object_name
      and o.object_type = 'TABLE'
        ;


   for v_idx in 1..name_tab.count
   loop

      vSQL := 'delete from ' || name_tab(v_idx) || ' x '
           ||  'where not exists ( '
           ||              'select 1 from SCHEDULE s '
           ||               'where s.sched_fk = x.' || key_tab(v_idx) 
           ||                   ') '
           ||    'and rownum <= ' || maxRowsPerDelete
            ;

      vTotalRows := 0;
      loop

         execute immediate vSQL;
         vRowCount := SQL%ROWCOUNT;
         vTotalRows := vTotalRows + vRowCount;

         commit;

         exit when vRowCount < 1;
      end loop;

      dbms_output.put_line('OK: Deleted ' || vTotalRows || ' orphaned rows from ' || name_tab(v_idx));

   end loop;

end;
/
 
PROMPT END clean_orphaned_skeds.sql DONE
         
