---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2010. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/migrate/upgrades/sql/Generic/upgrade.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
set timing on;
set serveroutput on size 1000000;

WHENEVER SQLERROR EXIT FAILURE;

--
-- Bump up some parameters since we should be 
-- the only process running on the instance.
--
alter session set sort_area_size          = 500000000;
alter session set sort_area_retained_size = 500000000;
alter session set db_file_multiblock_read_count = 64;

set lines 200;

PROMPT START upgrade.sql

PROMPT 
PROMPT Submitting upgrade procedures...
@ $FLEXPM_HOME/db/Oracle8i/utility/run_sql.sql
@ $FLEXPM_HOME/db/Oracle8i/utility/drop_all_check_constraints
@ $FLEXPM_HOME/db/Oracle8i/utility/wm_patch_pkg.sql
@ $FLEXPM_HOME/db/Oracle8i/utility/wm_patch_pkgb.sql

-- @@ ensures script runs from the same path as this script
PROMPT
PROMPT Update schema...
@@ upgrade_schema.sql

PROMPT
PROMPT Updating partitions...
@@ rename_partitions.sql

PROMPT
PROMPT Update package definitions...
@@ upgrade_pack_def.sql

PROMPT
PROMPT Update views...
@@ upgrade_views.sql

PROMPT
PROMPT Update triggers...
@@ upgrade_trigger.sql

PROMPT
PROMPT Update standalone procedures...
@@ upgrade_procs.sql

PROMPT
PROMPT Update package bodies...
@@ upgrade_pack_body.sql

PROMPT
PROMPT Compiling schema...
@@ upgrade_compile_schema.sql

PROMPT
PROMPT Making miscellaneous fixes...
@@ upgrade_misc_fixes.sql

PROMPT END upgrade.sql DONE

