---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2010. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/migrate/upgrades/sql/Generic/upgrade_pack_def.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

PROMPT START upgrade_pack_def.sql

-- Start Soft alarm/Busy hour export/import
PROMPT
PROMPT Updating exp_scenario_pkg...
@ $FLEXPM_HOME/db/Oracle8i/export2/exp_scenario_pkg.sql

PROMPT
PROMPT Updating export2_custom_data_pkg...
@ $FLEXPM_HOME/db/Oracle8i/export2/export2_custom_data_pkg.sql

PROMPT
PROMPT Updating export2_pkg...
@ $FLEXPM_HOME/db/Oracle8i/export2/export2_pkg.sql
-- End Soft alarm/Busy hour export/import



-- Start 8.0.6 patches
PROMPT
PROMPT Updating BH_CleanPack...
@ $FLEXPM_HOME/db/Oracle8i/bh/BH_CleanPack.sql
PROMPT
PROMPT Updating BH_create_vbhPack...
@ $FLEXPM_HOME/db/Oracle8i/bh/BH_create_vbhPack.sql
PROMPT
PROMPT Updating BH_LibPack...
@ $FLEXPM_HOME/db/Oracle8i/bh/BH_LibPack.sql
PROMPT
PROMPT Updating BH_UpdatePack...
@ $FLEXPM_HOME/db/Oracle8i/bh/BH_UpdatePack.sql
PROMPT
PROMPT Updating CreateBHTabPack...
@ $FLEXPM_HOME/db/Oracle8i/bh/CreateBHTabPack.sql

PROMPT
PROMPT Updating create_schema_objectsPack.sql
@ $FLEXPM_HOME/db/Oracle8i/cfgtool/create_schema_objectsPack.sql
PROMPT
PROMPT Updating load_dictionaryPack.sql
@ $FLEXPM_HOME/db/Oracle8i/cfgtool/load_dictionaryPack.sql

PROMPT
PROMPT Updating part_maintPack...
@ $FLEXPM_HOME/db/Oracle8i/part_maint/part_maintPack.sql

PROMPT
PROMPT Updating rgu_dtscope_pkg...
@ $FLEXPM_HOME/db/Oracle8i/rg/rgu_dtscope_pkg.sql

PROMPT
PROMPT Updating insAct_pkg...
@ $FLEXPM_HOME/db/Oracle8i/scenarioAD/insAct_pkg.sql
PROMPT
PROMPT Updating wm_scenarioupdate_pkg...
@ $FLEXPM_HOME/db/Oracle8i/scenarioAD/wm_scenarioupdate_pkg.sql

PROMPT
PROMPT Updating CreateQueuePack...
@ $FLEXPM_HOME/db/Oracle8i/scheduler/saext_queue_admin/CreateQueuePack.sql 'wm_queues'

PROMPT
PROMPT Updating schedPack...
@ $FLEXPM_HOME/db/Oracle8i/scheduler/sched/schedPack.sql

PROMPT
PROMPT Updating statusPack...
@ $FLEXPM_HOME/db/Oracle8i/scheduler/status/statusPack.sql

PROMPT
PROMPT Updating saext_pkg...
@ $FLEXPM_HOME/db/Oracle8i/softalarm/saext/saext_pkg.sql

PROMPT
PROMPT Updating CreateSumTabPack...
@ $FLEXPM_HOME/db/Oracle8i/summarize/CreateSumTabPack.sql
PROMPT
PROMPT Updating summarizePack...
@ $FLEXPM_HOME/db/Oracle8i/summarize/summarizePack.sql
PROMPT
PROMPT Updating summaryCleanPack...
@ $FLEXPM_HOME/db/Oracle8i/summarize/summaryCleanPack.sql

PROMPT
PROMPT Updating wmd_traffic_redefinitionPack...
@ $FLEXPM_HOME/db/Oracle8i/traffic_redef/wmd_traffic_redefinitionPack.sql

PROMPT
PROMPT Updating autocleanPack...
@ $FLEXPM_HOME/db/Oracle8i/utility/autocleanPack.sql

PROMPT
PROMPT Updating wm_log_pkg...
@ $FLEXPM_HOME/db/Oracle8i/wmlib/wm_log_pkg.sql
-- End 8.0.6 patches


-- Start Analysis FrameWork
PROMPT
PROMPT Updating data_changePack...
@ $FLEXPM_HOME/db/Oracle8i/data_change_event/data_changePack.sql

PROMPT
PROMPT Updating soft_alarm_typePack...
--@ $FLEXPM_HOME/db/Oracle8i/softalarm/soft_alarm_typePack.sql

BEGIN
run_sql ('CREATE OR REPLACE TYPE soft_alarm_type AS OBJECT '
 || ' ( '
 || '   object_class          VARCHAR2(256), '
 || '   managed_object        VARCHAR2(256), '
 || '   alarm_event_type      INTEGER, '
 || '   alarm_time            TIMESTAMP, '
 || '   alarm_severity        INTEGER, '
 || '   alarm_probable_cause  INTEGER, '
 || '   generated_time        TIMESTAMP, '
 || '   additional_text       VARCHAR2(1024), '
 || '   localized_text        NVARCHAR2(1024), '
 || '  '
 || '   STATIC FUNCTION construct( '
 || '     objectClass         VARCHAR2, '
 || '     managedObject       VARCHAR2, '
 || '     alarmEventType      INTEGER, '
 || '     alarmTime           TIMESTAMP, '
 || '     alarmSeverity       INTEGER, '
 || '     alarmProbableCause  INTEGER, '
 || '     generatedTime       TIMESTAMP, '
 || '     additionalText      VARCHAR2, '
 || '     localizedText      NVARCHAR2) '
 || '       RETURN soft_alarm_type '
 || ' ) ');
END;
/


PROMPT
PROMPT Updating sa_queue_apiPack...
@ $FLEXPM_HOME/db/Oracle8i/softalarm/sa_queue_apiPack.sql

-- End Analysis FrameWork



-- Start pm action logging
PROMPT
PROMPT Updating pm_action_logging_api_pkg...
@ $FLEXPM_HOME/db/Oracle8i/action_logging/pm_action_logging_api_pkg.sql

PROMPT
PROMPT Updating wmd_pkg...
@ $FLEXPM_HOME/db/Oracle8i/dictionary/wmd_pkg.sql
-- End pm action logging

-- Report Forecasting - START
PROMPT
PROMPT Updating rg_trending_pkg...
@ $FLEXPM_HOME/db/Oracle8i/rg_trending/rg_trending_pkg.sql

PROMPT
PROMPT Updating rg_syscap_util_pkg...
@ $FLEXPM_HOME/db/Oracle8i/rg_trending/rg_syscap_util_pkg.sql
-- Report Forecasting - FINISH

-- Start Rehoming
PROMPT
PROMPT Updating rh_map_pkg...
@ $FLEXPM_HOME/db/Oracle8i/rehoming/rh_map_pkg.sql

PROMPT
PROMPT Updating rh_rehoming_pkg...
@ $FLEXPM_HOME/db/Oracle8i/rehoming/rh_rehoming_pkg.sql

PROMPT
PROMPT Updating xr_utilPack...
@ $FLEXPM_HOME/db/Oracle8i/xr/xr_utilPack.sql
-- End Rehoming

-- Instance Exclusion Start

PROMPT 
PROMPT Updating wm_features_excluded_pkg...
@ $FLEXPM_HOME/db/Oracle8i/instance_exclusion/wm_features_excluded_pkg.sql

-- Instance Exclusion End

-- Jloader Start
PROMPT 
PROMPT Updating jloader_pdo_pkg...
@ $FLEXPM_HOME/db/Oracle8i/jloader/jloader_pdo_pkg.sql

PROMPT 
PROMPT Updating wml_loadPack...
@ $FLEXPM_HOME/db/Oracle8i/load/wml_loadPack.sql

PROMPT
PROMPT Updating wm_sysval_pkg...
@ $FLEXPM_HOME/db/Oracle8i/wmlib/wm_sysval_pkg.sql
-- Jloader End


-- Japanese Lite Start 

PROMPT 
PROMPT Updating pm_language_api_Pack...
@ $FLEXPM_HOME/db/Oracle8i/client/pm_language_api_Pack.sql

PROMPT 
PROMPT Updating pm_group_user_pkg...
@ $FLEXPM_HOME/db/Oracle8i/client/pm_group_user_pkg.sql

PROMPT 
PROMPT Updating pm_doc_pkg...
@ $FLEXPM_HOME/db/Oracle8i/client/pm_doc_pkg.sql

-- Japanese Lite End


--Sentry Loader Start

PROMPT 
PROMPT Updating pmSentryLoaderConfigPack...
@ $FLEXPM_HOME/db/Oracle8i/sentryloader/pmSentryLoaderConfigPack.sql

PROMPT 
PROMPT Updating pmSentryLoaderPack...
@ $FLEXPM_HOME/db/Oracle8i/sentryloader/pmSentryLoaderPack.sql

-- Sentry Loader End


-- R23 Upgrade

PROMPT
PROMPT Updating analyzePack...
@ $FLEXPM_HOME/db/Oracle8i/utility/analyzePack.sql

-- 8.0.7 patch 1
PROMPT
PROMPT Updating rg_utilPack...
@ $FLEXPM_HOME/db/Oracle8i/rg/rg_utilPack.sql

PROMPT
PROMPT Updating rg_commonPack...
@ $FLEXPM_HOME/db/Oracle8i/rg/rg_commonPack.sql

PROMPT 
PROMPT Updating HC_db_tablespacePack...
@ $FLEXPM_HOME/wm/healthcheck/generic/install/HC_db_tablespacePack.sql

PROMPT 
PROMPT Updating HC_future_partPack...
@ $FLEXPM_HOME/wm/healthcheck/generic/install/HC_future_partPack.sql

PROMPT 
PROMPT Updating exceptPack...
@ $FLEXPM_HOME/db/Oracle8i/scheduler/except/exceptPack.sql

-- 8.0.7 patch 2
PROMPT
PROMPT Updating sa_snap_pkg...
@ $FLEXPM_HOME/db/Oracle8i/softalarm/sa_snap_pkg.sql

-- 8.0.7 patch 3
PROMPT
PROMPT Updating dict_updatePack...
@ $FLEXPM_HOME/db/Oracle8i/cfgtool/dict_updatePack.sql

PROMPT
PROMPT Updating saext_pm_pkg...
@ $FLEXPM_HOME/db/Oracle8i/softalarm/saext/saext_pm_pkg.sql

-- Delete NE feature
PROMPT
PROMPT Updating wmn_pkg...
@ $FLEXPM_HOME/db/Oracle8i/dictionary/wmn_pkg.sql

-- 8.0.7 patch 5
PROMPT
PROMPT Updating rgu_scenario_pkg...
@ $FLEXPM_HOME/db/Oracle8i/rg/rgu_scenario_pkg.sql

PROMPT 
PROMPT Updating wms_pkg...
@ $FLEXPM_HOME/db/Oracle8i/dictionary/wms_pkg.sql

PROMPT END upgrade_pack_def.sql DONE


