---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/migrate/upgrades/sql/Generic/upgrade_trigger.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

PROMPT START upgrade_trigger.sql

-- Start 8.0.6 patches
PROMPT
PROMPT Updating PM_BusyHour_Trigger...
@ $FLEXPM_HOME/db/Oracle8i/client/PM_BusyHour_Trigger.sql
-- End 8.0.6 patches

-- Instance Exclusion Start

-- Added trigger to activate feature
CREATE OR REPLACE TRIGGER WM_DEVICE_EXCLUDED_INSERT
AFTER INSERT 
ON WM_DEVICE_EXCLUDED
BEGIN
    wm_sysval.mergesysval(pname  => 'PWebInstanceExclusion',
                          pvalue => 'TRUE'); 
END;
/

-- Added trigger to check for deactivation of feature
CREATE OR REPLACE TRIGGER WM_DEVICE_EXCLUDED_DELETE
AFTER DELETE 
ON WM_DEVICE_EXCLUDED
DECLARE
 vCount         PLS_INTEGER:=0;
BEGIN
  SELECT COUNT(*) INTO vCount
    FROM WM_DEVICE_EXCLUDED;

  IF vCount = 0 THEN
    wm_sysval.mergesysval(pname  => 'PWebInstanceExclusion',
                          pvalue => 'FALSE');
  END IF;
 
END;
/


-- Instance Exclusion End

PROMPT END upgrade_trigger.sql DONE
