---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2010. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/migrate/upgrades/sql/Pweb/upgrade.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
PROMPT START PWEB upgrade.sql

set timing on;
set serveroutput on size 1000000;

WHENEVER SQLERROR EXIT FAILURE;

--
-- Bump up some parameters since we should be 
-- the only process running on the instance.
--
alter session set sort_area_size          = 500000000;
alter session set sort_area_retained_size = 500000000;
alter session set db_file_multiblock_read_count = 64;

set lines 200;

--- run_sql installed by generic (core) upgrade

prompt
prompt Running generic upgrade...
@ ../Generic/upgrade.sql

-- @@ ensures script runs from the same path as this script
prompt
prompt Update schema...
@@ upgrade_schema.sql

prompt
prompt Update package definitions...
@@ upgrade_pack_def.sql

prompt
prompt Update views...
@@ upgrade_views.sql

prompt
prompt Update triggers...
@@ upgrade_trigger.sql

prompt
prompt Update standalone procedures...
@@ upgrade_procs.sql

prompt
prompt Update package bodies...
@@ upgrade_pack_body.sql

prompt
prompt Compile schema...
@ ../Generic/upgrade_compile_schema.sql

prompt
prompt Update metadata...
@@ upgrade_misc_fixes.sql

PROMPT END PWEB upgrade.sql DONE

