-- -------------------------------------
-- @(#) rebuild_tables.sql 1.3.0 07/12/04 16:55:35
-- @(#) 
-- -------------------------------------

PROMPT START rebuild_tables805.sql

SET SERVEROUTPUT ON SIZE 1000000;
WHENEVER SQLERROR EXIT FAILURE;

-- ----------------------------------------
--
-- sched_license
-- This table needs to be reloaded with metadata, that is saved 
-- in the sched_license_KEEP table.
-- 
EXEC DBMS_OUTPUT.PUT_LINE('***** Please ignore drop statement errors');
exec run_sql('DROP TABLE sched_license_KEEP');
EXEC DBMS_OUTPUT.PUT_LINE('***** Creating sched_license_KEEP to hold sched_license data');
CREATE TABLE sched_license_KEEP 
AS
   SELECT * FROM sched_license;

COMMIT;

-- ----------------------------------------
--
-- sched_cleanup
-- This table needs to be reloaded with the metadata, that is saved
-- in the sched_cleanup_keep table.
--
EXEC DBMS_OUTPUT.PUT_LINE('***** Please ignore drop statement errors');
exec run_sql('DROP TABLE sched_cleanup_KEEP');
EXEC DBMS_OUTPUT.PUT_LINE('***** Creating sched_cleanup_KEEP to hold sched_cleanup data');
CREATE TABLE sched_cleanup_KEEP
AS
   SELECT * FROM sched_cleanup;

COMMIT;


-- ----------------------------------------
--
-- Rebuild and reload sched_license
--
EXEC DBMS_OUTPUT.PUT_LINE('***** Rebuilding sched_license');
ALTER TABLE sched_job_types DROP CONSTRAINT fk_sched_job_types_id;

DROP TABLE sched_license;

CREATE TABLE sched_license (
        job_type  integer,
        in_use    integer,
        maximum   integer,
        disabled  char DEFAULT 'N'
        CONSTRAINT sched_license_disabled
             CHECK (disabled IN ('Y', 'N') AND disabled IS NOT NULL),
        CONSTRAINT pk_sched_license PRIMARY KEY (job_type)
)
ORGANIZATION INDEX
PCTFREE 30
STORAGE
( INITIAL 16K
  NEXT 16K
);


EXEC DBMS_OUTPUT.PUT_LINE('***** Reloading data for sched_license');
INSERT INTO sched_license
   SELECT * FROM sched_license_keep;

COMMIT;

ALTER TABLE sched_job_types ADD CONSTRAINT
 fk_sched_job_types_id FOREIGN KEY (job_type) REFERENCES sched_license(job_type);


-- ----------------------------------------
--
-- Rebuild and reload sched_cleanup
--
EXEC DBMS_OUTPUT.PUT_LINE('***** Rebuilding sched_cleanup');
exec run_sql('DROP TABLE sched_cleanup');

CREATE TABLE sched_cleanup (
        job_type         integer,
        schedule_cleanup integer,
        job_cleanup      integer,
        CONSTRAINT pk_sched_cleanup PRIMARY KEY (job_type)
)
ORGANIZATION INDEX
PCTFREE 30
STORAGE
( INITIAL 16K
  NEXT 16K
);

EXEC DBMS_OUTPUT.PUT_LINE('***** Reloading data for sched_cleanup');
INSERT INTO sched_cleanup
   SELECT * FROM sched_cleanup_KEEP;

COMMIT;

exec run_sql('DROP TABLE sched_license_KEEP');
exec run_sql('DROP TABLE sched_cleanup_KEEP');
-- ----------------------------------------
-- END
-- ----------------------------------------

PROMPT END rebuild_tables805.sql DONE
