---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/migrate/upgrades/sql/R23Generic/upgrade.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
set timing on;
set serveroutput on size 1000000;

WHENEVER SQLERROR EXIT SQL.SQLCODE;

--
-- Bump up some parameters since we should be 
-- the only process running on the instance.
--
alter session set sort_area_size          = 500000000;
alter session set sort_area_retained_size = 500000000;
alter session set db_file_multiblock_read_count = 64;

set lines 200;

PROMPT START upgrade.sql

PROMPT 
PROMPT Updating SYSTEM Privileges generic ...
!chmod +x update_system_privs805.sh; ./update_system_privs805.sh GENERIC

PROMPT 
PROMPT Submitting upgrade procedures...
@ $FLEXPM_HOME/db/Oracle8i/utility/run_sql.sql
@ $FLEXPM_HOME/db/Oracle8i/utility/drop_all_check_constraints.sql
@ $FLEXPM_HOME/db/Oracle8i/utility/wm_patch_pkg.sql
@ $FLEXPM_HOME/db/Oracle8i/utility/wm_patch_pkgb.sql

PROMPT
PROMPT Update schema...
@ dew_drops805.sql

--
-- <any 807 custom schema change files>
--
PROMPT
PROMPT dropping R23 objects
@ drop_schemaR23.sql

@ upgrade_schemaR23.sql

@ upgrade_schema805.sql
@ upgrade_schema806.sql
@ upgrade_saext_schema.sql
@ upgrade_schema.sql

PROMPT
PROMPT Upgrading wmd_udc_def...
@ upgrade_udc_calc_source805.sql

PROMPT
PROMPT Rebuild tables...
@ rebuild_tables805.sql

PROMPT
PROMPT Updating partitions...
@ rename_partitions.sql

PROMPT 
PROMPT Updating index idx_sa_arc_mid_id...
@ upgrade_idx_sa_arc_mid_id805.sql

PROMPT 
PROMPT Upgrading ad_scan_tables...
@ upgrade_ad_scan_tables805.sql

PROMPT
PROMPT Update package definitions...
@ upgrade_pack_defR23.sql

@ upgrade_pack_def805.sql
@ upgrade_pack_def806.sql
@ upgrade_pack_def.sql


PROMPT
PROMPT Update views...
@ upgrade_views805.sql
@ upgrade_views806.sql
@ upgrade_views.sql

PROMPT
PROMPT Update triggers...
@ upgrade_triggerR23.sql

@ upgrade_trigger805.sql
@ upgrade_trigger806.sql
@ upgrade_trigger.sql



PROMPT
PROMPT Update standalone procedures...
@ upgrade_procs805.sql
@ upgrade_procs806.sql
@ upgrade_procs.sql
@upgrade_procsR23.sql

--
-- Call R23->807 custom schema change files here
--
PROMPT
PROMPT Update package bodies...
@ upgrade_pack_bodyR23.sql

@ upgrade_pack_body805.sql
@ upgrade_pack_body806.sql
@ upgrade_pack_body.sql


PROMPT
PROMPT Compiling schema...
@ upgrade_compile_schema.sql

PROMPT
PROMPT Submitting Builder objects...
@ upgrade_sbi805.sql

PROMPT
PROMPT Making miscellaneous fixes...
@ upgrade_misc_fixes805.sql
@ upgrade_misc_fixes806.sql
@ upgrade_misc_fixes.sql
@ upgrade_misc_fixesR23.sql


PROMPT END upgrade.sql DONE

exit;
