PROMPT START upgrade_saext_schema.sql
PROMPT
PROMPT Updating SAEXT message type...
BEGIN
run_sql(' CREATE OR REPLACE TYPE saext_message AS OBJECT '
|| '   ( '
|| '   ThresholdName      VARCHAR2(32), '
|| '   Tech               VARCHAR2(4), '
|| '   NEType             VARCHAR2(20), '
|| '   DataDateTime       DATE, '
|| '   BSCName            VARCHAR2(32), '
|| '   SectorName         VARCHAR2(32), '
|| '   Vendor             VARCHAR2(32), '
|| '   LAC                VARCHAR2(5), '
|| '   CID                VARCHAR2(5), '
|| '   Origin             VARCHAR2(20), '
|| '   CurVal             NUMBER, '
|| '   MeanVal            NUMBER, '
|| '   SampleCount        NUMBER, '
|| '   StddevPct          NUMBER, '
|| '   KPIInternalTime    NUMBER, '
|| '   Severity           VARCHAR2(20), '
|| '   NetworkDomain      VARCHAR2(10), '
|| '   STATIC FUNCTION construct( '
|| '      ThresholdName      VARCHAR2 DEFAULT NULL, '
|| '      Tech               VARCHAR2 DEFAULT NULL, '
|| '      NEType             VARCHAR2 DEFAULT NULL, '
|| '      DataDateTime       DATE DEFAULT NULL, '
|| '      BSCName            VARCHAR2 DEFAULT NULL, '
|| '      SectorName         VARCHAR2 DEFAULT NULL, '
|| '      Vendor             VARCHAR2 DEFAULT NULL, '
|| '      LAC                VARCHAR2 DEFAULT NULL, '
|| '      CID                VARCHAR2 DEFAULT NULL, '
|| '      Origin             VARCHAR2 DEFAULT NULL, '
|| '      CurVal             NUMBER DEFAULT NULL, '
|| '      MeanVal            NUMBER DEFAULT NULL, '
|| '      SampleCount        NUMBER DEFAULT NULL, '
|| '      StddevPct          NUMBER DEFAULT NULL, '
|| '      KPIInternalTime    NUMBER DEFAULT NULL, '
|| '      Severity           VARCHAR2 DEFAULT NULL, '
|| '      NetworkDomain      VARCHAR2 DEFAULT NULL '
|| '   ) RETURN saext_message '
|| '   ) '
);
run_sql(' CREATE OR REPLACE TYPE BODY saext_message IS '
|| ' '
|| '   STATIC FUNCTION construct( '
|| '      ThresholdName      VARCHAR2 DEFAULT NULL, '
|| '      Tech               VARCHAR2 DEFAULT NULL, '
|| '      NEType             VARCHAR2 DEFAULT NULL, '
|| '      DataDateTime       DATE DEFAULT NULL, '
|| '      BSCName            VARCHAR2 DEFAULT NULL, '
|| '      SectorName         VARCHAR2 DEFAULT NULL, '
|| '      Vendor             VARCHAR2 DEFAULT NULL, '
|| '      LAC                VARCHAR2 DEFAULT NULL, '
|| '      CID                VARCHAR2 DEFAULT NULL, '
|| '      Origin             VARCHAR2 DEFAULT NULL, '
|| '      CurVal             NUMBER DEFAULT NULL, '
|| '      MeanVal            NUMBER DEFAULT NULL, '
|| '      SampleCount        NUMBER DEFAULT NULL, '
|| '      StddevPct          NUMBER DEFAULT NULL, '
|| '      KPIInternalTime    NUMBER DEFAULT NULL, '
|| '      Severity           VARCHAR2 DEFAULT NULL, '
|| '      NetworkDomain      VARCHAR2 DEFAULT NULL '
|| '   ) RETURN saext_message  '
|| 'IS '
|| '   BEGIN '
|| ' '
|| '   RETURN saext_message( '
|| '      ThresholdName, '
|| '      Tech, '
|| '      NEType, '
|| '      DataDateTime, '
|| '      BSCName, '
|| '      SectorName, '
|| '      Vendor, '
|| '      LAC, '
|| '      CID, '
|| '      Origin, '
|| '      CurVal, '
|| '      MeanVal, '
|| '      SampleCount, '
|| '      StddevPct, '
|| '      KPIInternalTime, '
|| '      Severity, '
|| '      NetworkDomain '
|| '   ); '
|| ' '
|| '   END; '
|| 'END; '
);
END;
/
PROMPT
PROMPT Updating SAEXT queue admin...
@ $FLEXPM_HOME/db/Oracle8i/scheduler/saext_queue_admin/CreateQueuePack.sql 'wm_queues'
@ $FLEXPM_HOME/db/Oracle8i/scheduler/saext_queue_admin/CreateQueue.sql
PROMPT
PROMPT Updating SAEXT schema and queue...
BEGIN
run_sql(' CREATE SEQUENCE saext_seq '
|| '    START WITH 1 '
|| '    INCREMENT BY 1 '
|| '    MAXVALUE 9999 '
|| '    MINVALUE 1 '
|| '    CYCLE '
|| '    CACHE 100 '
|| '    NOORDER '
);
run_sql(' CREATE GLOBAL TEMPORARY TABLE saext_log '
|| '( '
|| '  tstamp    DATE NOT NULL, '
|| '  msg       VARCHAR2(512) '
|| ') '
|| 'ON COMMIT DELETE ROWS   '
);
run_sql(' BEGIN '
|| ' saext_queue_admin.make_queue(''saext_q'', '
|| '       ''saext_qt'', '
|| '       ''saext_message''); '
|| 'END; '
);
END;
/
PROMPT
PROMPT Updating SAEXT KPI...
BEGIN
run_sql( ' CREATE TABLE saext_kpi_tab ( '
        || ' tstamp   DATE  NOT NULL, '
        || ' sa_id    INTEGER NOT NULL, '
        || ' instance_id    INTEGER NOT NULL, '
        || ' correlation_task_id  INTEGER DEFAULT 0 NOT NULL, '
        || ' exclude    CHAR(1) DEFAULT ''N'' NOT NULL, '
        || ' value    FLOAT   NOT NULL, '
        || ' CONSTRAINT pk_saext_kpi_tab PRIMARY KEY (tstamp, sa_id, instance_id) ENABLE, '
        || ' CONSTRAINT exclude_chk CHECK (exclude IN (''N'', ''Y'')) ENABLE ) '
        || ' ORGANIZATION INDEX PARTITION BY RANGE(tstamp) ' 
        || ' ( '
        || ' PARTITION P' || to_char(wm_date.trunc_to_last_period(SYSDATE, 'D'), 'YYYYMMDDHH24')
        || ' VALUES LESS THAN(to_date(' || to_char(wm_date.trunc_to_last_period(SYSDATE, 'D') +1, 'YYYYMMDDHH24') || ',''YYYYMMDDHH24'')) '
        || ' ) ' 
        || ' TABLESPACE traffic_jumbo MONITORING '
);
END;
/
PROMPT
PROMPT Updating SAEXT Alarm...
BEGIN
run_sql( ' CREATE TABLE saext_alarm '
|| '( '
|| '   task_id          INTEGER NOT NULL, '
|| '   tstamp           DATE    NOT NULL, '
|| '   instance_id      INTEGER NOT NULL  '
|| ') '
|| 'TABLESPACE traffic_large '
);
run_sql( ' CREATE INDEX saext_alarm_idx on saext_alarm ( task_id, tstamp) '
);
END;
/
PROMPT
PROMPT Updating SAEXT Exclude...
BEGIN
run_sql( ' CREATE GLOBAL TEMPORARY TABLE saext_exclude '
|| '( '
|| '   instance_id          INTEGER  NOT NULL, '
|| '   sa_id                INTEGER  NOT NULL, '
|| '   value                NUMBER   NOT NULL, '
|| '   sd                   NUMBER   NOT NULL, '
|| '   aver                 NUMBER   NOT NULL, '
|| '   samples              INTEGER  NOT NULL '
|| ') '
|| 'ON COMMIT DELETE ROWS '
);
END;
/
PROMPT END upgrade_saext_schema.sql DONE
