-- 
-- 
-- PURPOSE:
--  :  Rename/drop columns/tables/views/objects not covered by Core scripts
--  :  Undo Moto changes not in Core
-- 
-- 

PROMPT START upgrade_schemaR23.sql

BEGIN

--Update tables in R23 + upgrade to match Core
run_sql ( 'ALTER TABLE rg_regression_data_tmp MODIFY fullkey VARCHAR2(900)');
run_sql ( 'ALTER TABLE rg_regression_tmp MODIFY fullkey VARCHAR2(900)');

-- No longer necessary see upgrade_misc_fixesR23.sql
--run_sql ( 'ALTER TABLE PM_ACTION_LOGGING drop CONSTRAINT FK_ACTION_LOGGING_USER');

run_sql ( 'ALTER TABLE WM_DEVICE_EXCLUDED drop COLUMN ENTITY_NAME');
run_sql ( 'ALTER TABLE WM_DEVICE_EXCLUDED drop CONSTRAINT FK_INSTANCE');
run_sql ( 'ALTER TABLE WM_DEVICE_EXCLUDED add CONSTRAINT FK_INSTANCE FOREIGN KEY (INSTANCE_ID) REFERENCES WMN_INSTANCE (INSTANCE_ID) ON DELETE CASCADE ');
run_sql ( 'alter table wm_device_excluded modify (ENTITY_ID not null)'); 
run_sql ( 'ALTER INDEX pk_features RENAME TO PK_WM_FEATURE');
run_sql ( 'ALTER TABLE XR_SCENARIO_TMP MODIFY LOCALKEY VARCHAR2(60)');
run_sql ( 'ALTER TABLE GEN_ENT_NE_SYSTEM ADD DA_SHOW CHAR(1) DEFAULT ''Y'' ');
run_sql ( 'ALTER TABLE wm_feature RENAME CONSTRAINT pk_features TO pk_wm_feature'); 
run_sql ( 'alter table rg_schedule rename column resultFolderId to pe_resultfolder');
--Rebuild views/triggers
gen_scheduler_view.write_code( 'RG_SCHEDULE', 1 );


run_sql ( 'ALTER TABLE wmn_instance_context MODIFY localkey VARCHAR2(90)');
run_sql ( 'ALTER TABLE wmda_scenario_instance_tmp MODIFY localkey VARCHAR2(90)');
run_sql ( 'ALTER TABLE rg_scenario MODIFY localkey VARCHAR2(90)');
run_sql ( 'ALTER TABLE rg_scenario_tmp MODIFY localkey VARCHAR2(90)');
run_sql ( 'ALTER TABLE rg_instance_tree_mv MODIFY localkey VARCHAR2(90)');
run_sql ( 'ALTER TABLE xr_scenario_tmp MODIFY localkey VARCHAR2(90)');


--Update SEQ to match with Core
run_sql ( 'ALTER SEQUENCE seq_file_config MAXVALUE 999999999999999999999999999');
run_sql ( 'ALTER SEQUENCE SEQ_SENTRY_FILE_SUFFIX MAXVALUE 999999999999999999999999999');
run_sql ( 'ALTER SEQUENCE SEQ_LOADER_TASK_PARAM MAXVALUE 999999999999999999999999999');
run_sql ( 'ALTER SEQUENCE SEQ_LOADER_TASK MAXVALUE 999999999999999999999999999');
run_sql ( 'ALTER SEQUENCE SEQ_SENTRY_FILE MAXVALUE 999999999999999999999999999');
run_sql ( 'ALTER SEQUENCE SEQ_SENTRY_CONFIG MAXVALUE 999999999999999999999999999');
run_sql ( 'ALTER SEQUENCE SEQ_LOADER_TASK MAXVALUE 999999999999999999999999999');
run_sql ( 'ALTER SEQUENCE SEQ_LOADER_CONFIG MAXVALUE 999999999999999999999999999');
run_sql ( 'ALTER SEQUENCE SEQ_SENTRY_FILE_GROUP MAXVALUE 999999999999999999999999999');
run_sql ( 'ALTER SEQUENCE SEQ_SENTRY_FILE_HISTORY MAXVALUE 999999999999999999999999999');
run_sql ( 'ALTER SEQUENCE SEQ_LOADER_ACTION MAXVALUE 999999999999999999999999999');

-- Taken from regular Generic upgrade schema (core-web-upgrade)
run_sql( 'DROP TYPE INTEGER_ARRAY_TYPE' );

END;
/

PROMPT END upgrade_schemaR23.sql DONE
