---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/migrate/upgrades/sql/Generic/upgrade_trigger.sql BL_core_schema_8.0.6.0.13_20081104  180142
-- (#) 
--

PROMPT START upgrade_trigger806.sql

BEGIN

   run_sql( ' Create OR Replace Trigger WMN_Instance_Context_Tr_AIUD ' 
         || '     AFTER INSERT OR UPDATE OR DELETE ON WMN_INSTANCE_CONTEXT '
         || '         FOR EACH ROW '
         || ' Begin '
         || '    IF INSERTING OR UPDATING THEN '
         || '       IF (:new.context_id=wm_scenario.get_context) THEN '
         || '           wm_scenario.Entity_Alert( :new.Entity_ID ); '
         || '       END IF; '
         || '    ELSE '
         || '       IF (:old.context_id=wm_scenario.get_context) THEN '
         || '           wm_scenario.Entity_Alert( :old.Entity_ID ); '
         || '       END IF; '
         || '    END IF; ' 
         || ' End; ');


   run_sql(' CREATE OR REPLACE TRIGGER sa_softalarm_bu '
         || ' BEFORE UPDATE '
         || ' ON sa_softalarm '
         || ' FOR EACH ROW '
         || ' DECLARE '
         || '    l_client_info VARCHAR2(64); '
         || ' BEGIN '
         || '    IF ( :old.time_range_id IS NOT NULL '
         || '         AND :old.time_range_id = 6 '
         || '         AND ( :new.time_range_id IS NULL  '
         || '               OR :new.time_range_id != 6 ) ) THEN '
         || '  '
         || '       DBMS_APPLICATION_INFO.READ_CLIENT_INFO( l_client_info ); '
         || '  '
         || '       IF ( l_client_info IS NULL OR l_client_info != ''SAEXT'' ) THEN '
         || '          RAISE_APPLICATION_ERROR( -20085, ''The client is not compatible with SAEXT. Please update your client.'' ); '
         || '       END IF; '
         || '  '
         || '    END IF; '
         || '  '
         || ' END; ');

END;
/

PROMPT
PROMPT Rebuilding en_event_status_change_trigger...
@$FLEXPM_HOME/db/Oracle8i/event/en_event_status_change_trigger.sql

PROMPT END upgrade_trigger806.sql DONE
