PROMPT START PWEB upgrade.sql
-- -------------------------------------
--
-- Replacement upgrade.sql to call 805, 806, 807 upgrade_*.sql scripts 
-- in correct order for R23->807 upgrade process
--
-- -------------------------------------
set timing on;
set serveroutput on size 1000000;
WHENEVER SQLERROR EXIT SQL.SQLCODE;
--
-- Bump up some parameters since we should be 
-- the only process running on the instance.
--
alter session set sort_area_size          = 500000000;
alter session set sort_area_retained_size = 500000000;
alter session set db_file_multiblock_read_count = 64;
set lines 200;
--- run_sql installed by generic (core) upgrade
prompt
prompt Running generic upgrade...
! cd ../Generic; sqlplus $DB_CONNECT @ upgrade

prompt
prompt Update schema...
@ upgrade_schemaR23.sql
@ upgrade_schema225.sql
prompt
prompt Update udc calc source ...
@ upgrade_udc_calc_source225.sql
prompt
prompt Update rg_schedule schema...
@ upgrade_rg_schedule225.sql
prompt
prompt Update performance schema...
@ upgrade_perf_schema225.sql
prompt
prompt Update to add is_mappable to pe_field...
@ upgrade_pe_field_is_mappable225.sql
prompt
@ upgrade_schema226.sql
@ upgrade_schema.sql

prompt Update package definitions...
@ upgrade_pack_defR23.sql
@ upgrade_pack_def225.sql
@ upgrade_pack_def226.sql
@ upgrade_pack_def.sql

prompt
prompt Update views...
@ upgrade_viewsR23.sql
@ upgrade_views225.sql
@ upgrade_views226.sql
@ upgrade_views.sql

prompt
prompt Update triggers...
@ upgrade_triggerR23.sql
@ upgrade_trigger225.sql
@ upgrade_trigger226.sql
@ upgrade_trigger.sql

prompt
prompt Update standalone procedures...
@ upgrade_procs225.sql
@ upgrade_procs226.sql
@ upgrade_procs.sql

prompt
prompt Update package bodies...
@ upgrade_pack_bodyR23.sql
@ upgrade_pack_body225.sql
@ upgrade_pack_body226.sql
@ upgrade_pack_body.sql

prompt
prompt Update Add reserved fields to pe_field...
@ upgrade_pe_field_add_reserved_fields225.sql
prompt
prompt Compile schema...
@ ../Generic/upgrade_compile_schema.sql
prompt
prompt Update data repository...
@ upgrade_data_repository225.sql
prompt
prompt Update metadata...
@ upgrade_misc_fixesR23.sql
@ upgrade_misc_fixes225.sql
@ upgrade_misc_fixes226.sql
@ upgrade_misc_fixes.sql

PROMPT
PROMPT drop R23 objects
@ drop_schemaR23.sql
PROMPT END PWEB upgrade.sql DONE
EXIT;
