PROMPT START PWEB upgrade_misc_fixes226.sql
---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/migrate/upgrades/sql/Pweb/upgrade_misc_fixes.sql BL_core_schema_8.0.6.0.13_20081104  180142
-- (#) 
--
--
-- SEAde48956 - Always do every upgrade - Do not remove next two lines
-- They force the java system to run upgrade code
UPDATE pe_agent_types SET active = 'N';
UPDATE pe_system SET ldap_url = 'temp' WHERE ldap_url IS NOT NULL;
-- Disable bh_summary so clean_iot runs 
-- pweb only since sched_job_types will have row for prospect/moto
UPDATE schedule
   SET is_suspended='Y'
 WHERE job_type = 30
   AND period NOT IN ('I','O')
   AND NOT EXISTS (SELECT 1
                     FROM sched_job_types
                    WHERE job_type = 30);
-- Update sched_license to raise to 500 since reporting is under
-- agent control if command is null.
UPDATE sched_license s
   SET s.maximum = 500
 WHERE s.job_type IN (SELECT job_type
                        FROM sched_job_types
                       WHERE command IS NULL
                         AND job_type IN (1, 10));
                         
-- This is to mark any immediate schedules in pweb with a cleanup time if one is missing
UPDATE schedule
   SET cleanup_time=sysdate+1, needs_msg_update ='N'
WHERE cleanup_time is null
  AND period = 'I'
  AND job_type in (1,10);
-- Updates for the new report result export agent
INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description, max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes, modify_pool_size)
SELECT pe_seq_agent_types.nextval, 'REPORT_EXPORT','Report Result Export Agent', 1, 5, 10, 1.1, 'L', 'ReportExportAgentHome', 10, 'N'
  FROM DUAL
 WHERE NOT EXISTS(SELECT 1 
                    FROM pe_agent_types
                   WHERE agent_type_name = 'REPORT_EXPORT');
--- When adding a new agent type rebuild agent dependencies
--- Clean old dependencies first
DELETE pe_agent_depend;
--- INSTANCE depends on the TRAFFIC, INSTANCESCHEMA and TRAFFICSCHEMA
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'INSTANCE'
   AND b.agent_type_name IN ('TRAFFIC', 'INSTANCESCHEMA', 'TRAFFICSCHEMA');
   
--- TRAFFIC depends on the INSTANCE, INSTANCESCHEMA and TRAFFICSCHEMA
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'TRAFFIC'
   AND b.agent_type_name IN ('INSTANCE', 'INSTANCESCHEMA', 'TRAFFICSCHEMA');
  
--- INSTANCESCHEMA depends on INSTANCE AND TRAFFIC
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'INSTANCESCHEMA'
   AND b.agent_type_name IN ('INSTANCE', 'TRAFFIC', 'TRAFFICSCHEMA');
   
--- TRAFFICSCHEMA depends on INSTANCE, TRAFFIC and INSTANCESCHEMA
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'TRAFFICSCHEMA'
   AND b.agent_type_name IN ('INSTANCE', 'TRAFFIC', 'INSTANCESCHEMA');
 
--- LDAP_SYNC depends on all agents
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'LDAP_SYNC'
   AND b.agent_type_name != 'LDAP_SYNC';
--- All agents depend on LDAP_SYNC
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name != 'LDAP_SYNC'
   AND b.agent_type_name = 'LDAP_SYNC';
COMMIT;
PROMPT END PWEB upgrade_misc_fixes226.sql DONE
