PROMPT START PWEB upgrade_misc_fixesR23.sql
BEGIN
  run_sql( ' CREATE OR REPLACE TYPE BODY pe_concat_all_obj '
            || '  AS '
            || '     STATIC FUNCTION odciaggregateinitialize (sctx IN OUT pe_concat_all_obj) '
            || '        RETURN NUMBER '
            || '     IS '
            || '        BEGIN '
            || '           sctx := pe_concat_all_obj(NULL, NULL); '
            || '           RETURN odciconst.success; '
            || '        END; '
            || '   '
            || '     MEMBER FUNCTION odciaggregateiterate(SELF IN OUT pe_concat_all_obj, '
            || '                                          ctx  IN pe_concat_expr_obj) '
            || '        RETURN NUMBER '
            || '     IS '
            || '        BEGIN '
            || '           IF SELF.vString IS NOT NULL THEN '
            || '              SELF.vString := SELF.vString || SELF.vDelimiter; '
            || '           ELSE '
            || '              SELF.vDelimiter := ctx.vDelimiter; '
            || '           END IF; '
            || '           SELF.vString := SELF.vString || ctx.vString; '
            || '           RETURN odciconst.success; '
            || '        END; '
            || '   '
            || '     MEMBER FUNCTION odciaggregateterminate(SELF IN pe_concat_all_obj, '
            || '                                            returnvalue OUT VARCHAR2, '
            || '                                            flags IN NUMBER) '
            || '        RETURN NUMBER '
            || '     IS '
            || '        BEGIN '
            || '           returnvalue := SELF.vString; '
            || '           RETURN odciconst.success; '
            || '        END; '
            || '   '
            || '     MEMBER FUNCTION odciaggregatemerge(SELF IN OUT pe_concat_all_obj, '
            || '                                        ctx2 IN pe_concat_all_obj) '
            || '        RETURN NUMBER '
            || '     IS '
            || '        BEGIN '
            || '           IF SELF.vString IS NOT NULL THEN '
            || '              SELF.vString := SELF.vString || SELF.vDelimiter; '
            || '           END IF; '
            || '           SELF.vString := SELF.vString || ctx2.vString; '
            || '           RETURN odciconst.success; '
            || '        END; '
            || '  END;   ');
END; 
/
PROMPT START SYSTEM_VARIABLE UPDATES 
BEGIN
  wm_sysval.deletesysval('Catch_TagentError');
  wm_sysval.updatesysval('EnableGOSDefaultsExtension', 'TRUE');
  wm_sysval.updatesysval('EnableMotd', 'FALSE');
  wm_sysval.updatesysval('EnableNHighAttempts', 'TRUE');
  DECLARE
    existing_sys_val wm_system_value.VALUE%TYPE;
    vcnt             INTEGER := 0;
  BEGIN
    SELECT COUNT(VALUE)
      INTO vcnt
      FROM wm_system_values_v
     WHERE upper(NAME) = 'PART_MAINT_NUMBER_OF_SESSIONS';
    IF vcnt = 1 THEN
      SELECT VALUE
        INTO existing_sys_val
        FROM wm_system_values_v
       WHERE upper(NAME) = 'PART_MAINT_NUMBER_OF_SESSIONS';
      wm_sysval.updatesysval('PartMaintSessions', existing_sys_val);
      wm_sysval.deletesysval('PART_MAINT_NUMBER_OF_SESSIONS');
    END IF;
  END;
  wm_sysval.updatesysval('PW_POPULATE_CACHE_AT_START', 'FALSE');
  wm_sysval.deletesysval('ReportBlockingKillSession');
  wm_sysval.deletesysval('mot.audit.log.ex.mode');
  wm_sysval.updatesysval('action.logging.autologout.on', 'TRUE');
  wm_sysval.newsysvalifnotexists('action.logging.classic.autologout.on',
                                 'TRUE');
  wm_sysval.newsysvalifnotexists('action.logging.ex.mode', 'FALSE');
  wm_sysval.updatesysval('action.logging.on', 'TRUE');
  DECLARE
    existing_mot_audit_log_folder wm_system_value.VALUE%TYPE;
    existing_mot_audit_log_level  wm_system_value.VALUE%TYPE;
    existing_mot_audit_log_retain wm_system_value.VALUE%TYPE;
    vcnt                          INTEGER := 0;
  BEGIN
    SELECT COUNT(VALUE)
      INTO vcnt
      FROM wm_system_values_v
     WHERE lower(NAME) = 'mot.audit.log.folder';
    IF vcnt = 1 THEN 
      SELECT VALUE
        INTO existing_mot_audit_log_folder
        FROM wm_system_values_v
       WHERE lower(NAME) = 'mot.audit.log.folder';
      wm_sysval.updatesysval('action.logging.folder',
                             existing_mot_audit_log_folder);
      wm_sysval.deletesysval('mot.audit.log.folder');
    END IF;
    vcnt := 0;
    SELECT COUNT(VALUE)
      INTO vcnt
      FROM wm_system_values_v
     WHERE lower(NAME) = 'mot.audit.log.level';
    IF vcnt = 1 THEN
      SELECT VALUE
        INTO existing_mot_audit_log_level
        FROM wm_system_values_v
       WHERE lower(NAME) = 'mot.audit.log.level';
      wm_sysval.updatesysval('action.logging.level',
                             existing_mot_audit_log_level);
      wm_sysval.deletesysval('mot.audit.log.level');
    END IF;
    vcnt := 0;
    SELECT COUNT(VALUE)
      INTO vcnt
      FROM wm_system_values_v
     WHERE lower(NAME) = 'mot.audit.log.retain';
    IF vcnt = 1 THEN
      SELECT VALUE
        INTO existing_mot_audit_log_retain
        FROM wm_system_values_v
       WHERE lower(NAME) = 'mot.audit.log.retain';
      wm_sysval.updatesysval('action.logging.retain',
                             existing_mot_audit_log_retain);
      wm_sysval.deletesysval('mot.audit.log.retain');
    END IF;
  END;
  wm_sysval.newsysvalifnotexists('analysis.framework.on', 'TRUE');
  wm_sysval.newsysvalifnotexists('is.moto.hybrid', 'TRUE');
  wm_sysval.updatesysval('EAServerType', 'Unknown');
  wm_sysval.newsysvalifnotexists(pName => 'PWebReportTimeout', pValue => to_char(nvl(wm_sysval.getInteger('ReportBlockingTimeoutMinutes')*60,14400)));
  wm_sysval.deletesysval('ReportBlockingTimeoutMinutes');
  wm_sysval.updatesysval('PE_ActivityAgentMaxRunTime','14400');
END;
/
update sched_job_types set name = 'Immediate Reports', command = 'rgp.sh' where name = 'Immediate Report';
update sched_job_types set name = 'Scheduled Reports', command = 'rgp.sh' where name = 'Scheduled Report';
UPDATE sched_job_types t
   SET t.snapshot = 'pe_snap_definition.snap'
 WHERE t.job_type IN (1, 10);
COMMIT;
PROMPT END SYSTEM_VARIABLE UPDATES 
PROMPT END PWEB upgrade_misc_fixesR23.sql DONE
