PROMPT START PWEB upgrade_schema226.sql
---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/migrate/upgrades/sql/Pweb/upgrade_schema.sql BL_core_schema_8.0.6.0.13_20081104  180142
-- (#) 
--
BEGIN
   run_sql(' CREATE INDEX pe_idx_auto_dl_set_folder_id ON pe_auto_downloaded_settings(result_folder_id) ');
   run_sql(' CREATE INDEX pe_idx_section_page_id ON pe_section(page_id) ');
   run_sql(' CREATE INDEX pe_idx_section_doc_id ON pe_section(result_document_id) ');
   run_sql(' CREATE INDEX pw_idx_page_urls_docid ON pw_page_urls(report_doc_id) ');
   run_sql( ' CREATE TABLE pe_result_export ' 
        ||  ' ( '
        ||  '   report_result_id       INTEGER NOT NULL, '
        ||  '   email_addr             VARCHAR2(64), '
        ||  '   destination            VARCHAR2(4000), '
        ||  '   format_type            VARCHAR2(23), '
        ||  '   status                 VARCHAR2(20), '
        ||  '   email_enabled          CHAR(1) NOT NULL, '
        ||  '   auto_down_enabled      CHAR(1) NOT NULL, '
        ||  '   CONSTRAINT pk_result_export PRIMARY KEY (report_result_id), '
        ||  '   CONSTRAINT ck_result_export_status CHECK (status IN (''processed'', ''not processed'', ''email failure'', ''download failure'')), '
        ||  '   CONSTRAINT fk_result_export_result_id FOREIGN KEY ( report_result_id ) '
        ||  '   REFERENCES pe_report_result( report_result_id ) ON DELETE CASCADE '
        ||  ' ) ');
   run_sql( ' CREATE TABLE PE_EXPORTED_RESULT_FILES ' 
        ||  ' ( '
        ||  '   filename               VARCHAR2(4000) '
        ||  ' ) ');
   run_sql( ' CREATE TABLE pe_schedule_extension ' 
        ||  ' ( '
        ||  '   rg_schedule_id       INTEGER NOT NULL, '
        ||  '   user_mail_address    VARCHAR2(64), '
        ||  '   file_format          VARCHAR2(23), '
        ||  '   email_notif_enabled  CHAR(1) NOT NULL, '
        ||  '   autodownload_enabled CHAR(1) NOT NULL, '
        ||  '   destination_path      VARCHAR2(256), '
        ||  '   CONSTRAINT pk_pe_schedule_extension PRIMARY KEY (rg_schedule_id), '
        ||  '   CONSTRAINT ck_schedule_ext_email CHECK (email_notif_enabled IN (''Y'', ''N'')), '
        ||  '   CONSTRAINT ck_schedule_ext_download CHECK (autodownload_enabled IN (''Y'', ''N'')), '
        ||  '   CONSTRAINT ck_schedule_ext_format CHECK (file_format IN (''CSV (with rollups)'', ''CSV (without rollups)'', ''Excel (with rollups)'', ''Excel (without rollups)'', ''XML'')), '
        ||  '   CONSTRAINT fk_pe_schedule_ext_schedule_id FOREIGN KEY ( rg_schedule_id ) '
        ||  '   REFERENCES schedule ( schedule_id ) ON DELETE CASCADE '
        ||  ' ) ');
   run_sql(' ALTER TABLE pe_feature DROP CONSTRAINT chk_feature ');
   -- this will be handled in the upgrade_schema.sql file
   -- run_sql(' ALTER TABLE pe_feature ADD ( CONSTRAINT chk_feature check (supported_feature IN (''ENTERPRISE'',''RESULT_AUTOMATIC_DOWNLOAD'',''EMAIL_NOTIFICATION''))) ');
  
   run_sql(' ALTER TABLE pe_remote_file DROP CONSTRAINT ck_pe_remote_file_type ');
   run_sql(' ALTER TABLE pe_remote_file ADD ( CONSTRAINT ck_pe_remote_file_type check (file_type  IN (''LOG'', ''CSV'', ''TMP'', ''XLS''))) ');
END;
/
prompt
prompt Update performance schema...
@ upgrade_perf_schema226.sql
PROMPT END PWEB upgrade_schema226.sql DONE
