PROMPT START PWEB upgrade_udc_calc_source225.sql
-- -------------------------------------
-- @(#) upgrade_udc_calc_source.sql 1.2.0 07/12/08 17:55:55
-- @(#) 
-- -------------------------------------
DECLARE 
   v_dataType user_tab_columns.data_type%TYPE;
BEGIN
  
  SELECT data_type
    INTO v_dataType
    FROM user_tab_columns
   WHERE table_name = 'PE_MV_UDC_FIELD'
     AND column_name = 'CALC_SOURCE';
     
  IF (v_dataType = 'VARCHAR2') THEN
    BEGIN
      dbms_output.put_line('Updating PE_MV_UDC_FIELD');
     
      -- Create temp table
      run_sql('CREATE TABLE PE_MV_UDC_FIELD_SAVE ( ' ||
              'mv_field_id                 INTEGER NOT NULL, ' ||
              'datasource_id               INTEGER NOT NULL, ' ||
              'field_name                  VARCHAR2(128) NOT NULL, ' ||
              'heading1                    VARCHAR2(40), ' ||
              'heading2                    VARCHAR2(40), ' ||
              'description                 VARCHAR2(1000), ' ||
              'udc_source                  VARCHAR2(4000), ' ||
              'calc_source                 CLOB, '||
              'owner                       VARCHAR2(64), ' ||
              'modified                    DATE, ' ||
              'original_datasource_id      INTEGER, ' ||
              'column_type_id              INTEGER NOT NULL, ' ||
              'aggr                        CHAR(1) NOT NULL, ' ||
              'is_valid                    CHAR(1) DEFAULT ''N'' NOT NULL, ' ||
              'is_complex                  CHAR(1) DEFAULT ''N'' NOT NULL, ' ||
              'is_deleted                  CHAR(1) DEFAULT ''N'' NOT NULL ' ||
              ') ' ||
              'TABLESPACE WM_FLEXPM', 'Y');
        
      -- Save data
      run_sql('INSERT INTO PE_MV_UDC_FIELD_SAVE(mv_field_id, datasource_id, field_name, ' ||
              '                                   heading1, heading2, description, ' ||
              '                                   udc_source, calc_source, owner, ' ||
              '                                   modified, original_datasource_id, '||
              '                                   column_type_id, aggr, is_valid, ' ||
              '                                   is_complex, is_deleted) ' ||
              'SELECT mv_field_id, datasource_id, field_name, heading1, heading2, '||
              '       description, udc_source, calc_source, owner, modified, '||
              '       original_datasource_id, column_type_id, aggr, is_valid, '||
              '       is_complex, is_deleted ' ||
              '  FROM PE_MV_UDC_FIELD ', 'Y');
                      
      -- Drop old tables        		
      run_sql('DROP TABLE PE_MV_UDC_FIELD CASCADE CONSTRAINTS', 'Y');
      run_sql('DROP TABLE PE_MV_UDC_FIELD_TMP CASCADE CONSTRAINTS', 'Y');
      -- Create new tables
      run_sql('CREATE TABLE pe_mv_udc_field ( ' ||
              'mv_field_id                 INTEGER NOT NULL, ' ||
              'datasource_id               INTEGER NOT NULL, ' ||
              'field_name                  VARCHAR2(128) NOT NULL, ' ||
              'heading1                    VARCHAR2(40), ' ||
              'heading2                    VARCHAR2(40), ' ||
              'description                 VARCHAR2(1000), ' ||
              'udc_source                  VARCHAR2(4000), ' ||
              'calc_source                 CLOB, '||
              'owner                       VARCHAR2(64), ' ||
              'modified                    DATE, ' ||
              'original_datasource_id      INTEGER, ' ||
              'column_type_id              INTEGER NOT NULL, ' ||
              'aggr                        CHAR(1) NOT NULL, ' ||
              'is_valid                    CHAR(1) DEFAULT ''N'' NOT NULL, ' ||
              'is_complex                  CHAR(1) DEFAULT ''N'' NOT NULL, ' ||
              'is_deleted                  CHAR(1) DEFAULT ''N'' NOT NULL, ' ||
              'CONSTRAINT pk_mv_udc_field_id PRIMARY KEY (mv_field_id, datasource_id), ' ||
              'CONSTRAINT fk_mv_udc_field_ctid FOREIGN KEY (column_type_id) REFERENCES pe_column_type (column_type_id), ' ||
              'CONSTRAINT fk_mv_udc_field_aggr FOREIGN KEY (aggr) REFERENCES wmd_aggregator_base (aggr_id), ' ||
              'CONSTRAINT fk_mv_udc_field_valid CHECK (is_valid IN (''Y'', ''N'')), ' ||
              'CONSTRAINT ck_mv_udc_field_complex CHECK(is_complex IN (''Y'', ''N'')), ' ||
              'CONSTRAINT ck_mv_udc_field_deleted CHECK(is_deleted IN (''Y'', ''N'')), ' ||
              'CONSTRAINT fk_mv_udc_field_fid  FOREIGN KEY (mv_field_id) REFERENCES pe_mv_field (mv_field_id) ON DELETE CASCADE, ' ||
              'CONSTRAINT fk_mv_udc_field_dsid FOREIGN KEY (datasource_id) REFERENCES pe_datasource (datasource_id) ON DELETE CASCADE, ' ||
              'CONSTRAINT fk_mv_udc_field_odsid FOREIGN KEY (original_datasource_id) REFERENCES pe_datasource (datasource_id) ' ||
              ') tablespace WM_FLEXPM', 'Y');
      run_sql('CREATE GLOBAL TEMPORARY TABLE pe_mv_udc_field_tmp ( ' ||
              'entity_name                 VARCHAR2(100) NOT NULL, ' ||
              'module_version_id           INTEGER NOT NULL, ' ||
              'mv_entity_id                INTEGER, ' ||
              'field_name                  VARCHAR2(128) NOT NULL, ' ||
              'heading1                    VARCHAR2(40), ' ||
              'heading2                    VARCHAR2(40), ' ||
              'description                 VARCHAR2(1000), ' ||
              'field_group_name            VARCHAR2(20), ' ||
              'column_type_name            VARCHAR2(30) NOT NULL, ' ||
              'is_dimension                CHAR(1) NOT NULL, ' ||
              'is_virtual                  CHAR(1) NOT NULL, ' ||
              'aggr_name                   VARCHAR2(20) NOT NULL, ' ||
              'original_datasource_name    VARCHAR2(100), ' ||
              'udc_source                  VARCHAR2(4000), ' ||
              'calc_source                 CLOB, ' ||
              'owner                       VARCHAR2(64), ' ||
              'modified                    DATE, ' ||
              'is_valid                    CHAR(1), ' ||
              'is_complex                  CHAR(1), ' ||
              'CONSTRAINT pk_mv_udc_field_tmp PRIMARY KEY (entity_name, field_name) ' ||
              ') ON COMMIT DELETE ROWS ', 'Y');
      -- Copy saved data from temp table
      run_sql('INSERT INTO PE_MV_UDC_FIELD SELECT * FROM PE_MV_UDC_FIELD_SAVE', 'Y');
      
      -- Restore index
      run_sql('CREATE INDEX pe_mv_udc_field_idx ON pe_mv_udc_field(mv_field_id)');
      -- Remove temp table
      run_sql('DROP TABLE PE_MV_UDC_FIELD_SAVE');
        
    END;
  ELSE
    dbms_output.put_line('Table PE_MV_UDC_FIELD is up to date');
  END IF;
  SELECT data_type
    INTO v_dataType
    FROM user_tab_columns
   WHERE table_name = 'PE_UDC_FIELD'
     AND column_name = 'CALC_SOURCE';
     
  IF (v_dataType = 'VARCHAR2') THEN
    BEGIN
      dbms_output.put_line('Updating PE_UDC_FIELD');
     
      -- Create temp table
      run_sql('CREATE TABLE PE_UDC_FIELD_SAVE ( ' ||
              'field_id                    INTEGER NOT NULL, ' ||
              'udc_source                  VARCHAR2(4000) NOT NULL, ' ||
              'calc_source                 CLOB, ' ||
              'error_msg                   VARCHAR2(2000), ' ||
              'owner                       VARCHAR2(64), '||
              'modified                    DATE NOT NULL, ' ||
              'is_valid                    CHAR(1) DEFAULT ''N'' NOT NULL, ' ||
              'is_complex                  CHAR(1) DEFAULT ''N'' NOT NULL ' ||
              ') ' ||
              'TABLESPACE WM_FLEXPM', 'Y');
        
      -- Save data
      run_sql('INSERT INTO PE_UDC_FIELD_SAVE(field_id, udc_source, calc_source, error_msg, ' ||
              '                               owner, modified, is_valid, is_complex) ' ||
              'SELECT field_id, udc_source, calc_source, error_msg, ' ||
              '       owner, modified, is_valid, is_complex ' ||
              '  FROM PE_UDC_FIELD ', 'Y');
                      
      -- Drop old table        		
      run_sql('DROP TABLE PE_UDC_FIELD CASCADE CONSTRAINTS', 'Y');
	
      -- Create new table
      run_sql('CREATE TABLE pe_udc_field ( ' ||
              'field_id                    INTEGER NOT NULL, ' ||
              'udc_source                  VARCHAR2(4000) NOT NULL, ' ||
              'calc_source                 CLOB, ' ||
              'error_msg                   VARCHAR2(2000), ' ||
              'owner                       VARCHAR2(64), '||
              'modified                    DATE NOT NULL, ' ||
              'is_valid                    CHAR(1) DEFAULT ''N'' NOT NULL, ' ||
              'is_complex                  CHAR(1) DEFAULT ''N'' NOT NULL, ' ||
              'CONSTRAINT pk_udc_field_id PRIMARY KEY (field_id), ' ||
              'CONSTRAINT fk_udc_field_valid CHECK (is_valid IN (''Y'', ''N'')), ' ||
              'CONSTRAINT ck_udc_field_complex CHECK(is_complex IN (''Y'', ''N'')), ' ||
              'CONSTRAINT fk_udc_field_fid  FOREIGN KEY (field_id) REFERENCES pe_field (field_id) ON DELETE CASCADE ' ||
              ') tablespace WM_FLEXPM', 'Y');
      -- Copy saved data from temp table
      run_sql('INSERT INTO PE_UDC_FIELD SELECT * FROM PE_UDC_FIELD_SAVE', 'Y');
      
      -- Remove temp table
      run_sql('DROP TABLE PE_UDC_FIELD_SAVE');
    END;
  ELSE
    dbms_output.put_line('Table PE_UDC_FIELD is up to date');
  END IF;
END;
/
PROMPT END PWEB upgrade_udc_calc_source225.sql DONE
