PROMPT START PWEB upgrade_views225.sql
-- -------------------------------------
-- @(#) upgrade_views.sql 1.18.0 07/01/19 17:05:33
-- @(#) 
-- -------------------------------------
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_report_result_doc_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW 
  pe_report_result_doc_vw
AS
  SELECT d.document_id, r.report_result_id, 
         f.document_fk folder_id, d.document_type_id,
         d.name, r.focal_entity_name, r.size_in_bytes, 
         d.user_id, d.group_id, p.filename, r.task_id,
         r.datasource_id, r.remote_task_id,
         r.report_id, r.job_time, r.row_count
   FROM  pm_document d, 
         pe_report_result r,
	 pm_document f,
         pm_document_type dt,
         pm_file p
   WHERE d.document_fk = r.report_result_id
     AND f.document_id = d.parent_doc_id
     AND d.document_type_id = dt.document_type_id
     AND r.file_id = p.file_id
     AND UPPER(dt.document_type_name) = 'REPORT RESULT'
/
SHOW ERRORS VIEW pe_report_result_doc_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_task_status_v...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_task_status_v AS
SELECT 
v.task_Id,
v.job_Id,
v.report_Name,
nvl2(ds.datasource_name, 'Web', 'Enterprise') report_Type,
v.owner,
v.job_Scheduled_Start,
v.task_started,
v.task_ended,
v.status_Word,
v.status_Message,
nvl(ds.datasource_name, 'Enterprise') datasource_name
FROM report_status_v v,
rg_tasklist tl,
pe_remote_reportspec rs,
pe_datasource ds
WHERE tl.id = v.task_id
  AND rs.reportspec_id (+)= tl.pe_reportspecid
  AND ds.datasource_id (+)= rs.datasource_id
ORDER BY v.task_id
/
SHOW ERRORS VIEW pe_task_status_v;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_remote_reportspec_field_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_remote_reportspec_field_vw AS
SELECT pr.ID report_id,
       pr.folderID,
       pr.name report_name,
       pf.field_name mv_field_name,
       pe.entity_name mv_entity_name,
       NVL2(pu.datasource_id, pu.heading1, pf.heading1) heading1,
       NVL2(pu.datasource_id, pu.heading2, pf.heading2) heading2,
       NVL2(pu.datasource_id, pu.description, pf.description) description,
       pf.is_dimension,
       grp.field_group_name,
       ct.type_name field_type,
       a.aggr_name,
       pu.datasource_id,
       prf.ordinal
  FROM pm_report pr,
       pe_mv_field pf,
       pe_mv_entity pe,
       pe_mv_udc_field pu,
       pe_remote_reportfield prf,
       pe_remote_reportspec prs,
       pe_mv_field_group grp,
       pe_column_type ct,
       wmd_aggregator_base a
 WHERE pr.pe_reportspecid = prf.reportspec_id
   AND prs.reportspec_id = pr.pe_reportspecid
   AND pf.mv_field_id = prf.mv_field_id
   AND pe.mv_entity_id = pf.mv_entity_id
   AND NVL2(pu.datasource_id, pu.aggr, pf.aggr) = a.aggr_id
   AND NVL2(pu.datasource_id, pu.column_type_id, pf.column_type_id) = ct.column_type_id
   AND pf.field_group_id = grp.field_group_id ( + )
   AND pf.mv_field_id = pu.mv_field_id ( + )
   AND NVL(pu.datasource_id, prs.datasource_id) = prs.datasource_id
/
SHOW ERRORS VIEW pe_remote_reportspec_field_vw;
-- ------------------------------------------------------------------------
-- View updates to support Enterprise UDCs
-- ------------------------------------------------------------------------
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_field_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_field_vw AS
SELECT e.entity_name,
       f.field_name,
       f.field_id,
       ct.type_name field_type,
       df.key_ordinal,
       DECODE ( df.local_data,
                NULL,
                'N',
                df.local_data ) local_data,
       DECODE ( df.local_data,
                NULL,
                'N',
                'Y' ) is_dimension,
       f.ordinal field_ordinal,
       f.heading1,
       f.heading2,
       f.description,
       'Peg Count' field_group_name,
       f.is_enabled,
       a.aggr_name,
       a.aggr_bh_ok bh_ok,
       DECODE ( parent_field.key_ordinal,
                NULL,
                'N',
                'Y' ) is_parentkey,
       f.is_deleted,
       t.table_name,
       s.name column_status,
       f.is_mappable
  FROM pe_field f,
       pe_udc_field u,
       pe_entity e,
       pe_dimension_field df,
       pe_table t,
       pe_db_status s,
       pe_column_type ct,
       wmd_aggregator_base a,
       ( SELECT f.field_id,
                df.key_ordinal
           FROM pe_entity e,
                pe_field f,
                pe_field fp,
                pe_dimension_field df
          WHERE e.entity_id = f.entity_id
            AND fp.field_id = df.field_id
            AND f.field_name = fp.field_name
            AND e.parententity_id = fp.entity_id ) parent_field
 WHERE e.entity_id = f.entity_id
   AND f.aggr = a.aggr_id
   AND f.column_type_id = ct.column_type_id
   AND f.field_id = df.field_id ( + )
   AND df.table_id = t.table_id ( + )
   AND df.status = s.status ( + )
   AND f.field_id = parent_field.field_id ( + )
   AND f.field_id = u.field_id ( + )
   AND u.udc_source IS NULL
/
SHOW ERRORS VIEW pe_field_vw;
      
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_udc_field_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_udc_field_vw AS
SELECT e.entity_name,
       f.field_name,
       f.field_id,
       ct.type_name field_type,
       NULL key_ordinal,
       'N' local_data,
       'N' is_dimension,
       f.ordinal field_ordinal,
       f.heading1,
       f.heading2,
       f.description,
       'UDC' field_group_name,
       f.is_enabled,
       a.aggr_name,
       a.aggr_bh_ok bh_ok,
       'N' is_parentkey,
       f.is_deleted,
       NULL table_name,
       NULL column_status,
       u.udc_source,
       u.calc_source,
       u.error_msg,
       u.owner,
       u.modified,
       u.is_valid,
       u.is_complex
  FROM pe_field f,
       pe_udc_field u,
       pe_entity e,
       pe_column_type ct,
       wmd_aggregator_base a
 WHERE e.entity_id = f.entity_id
   AND f.field_id = u.field_id
   AND f.aggr = a.aggr_id
   AND f.column_type_id = ct.column_type_id
/
SHOW ERRORS VIEW pe_udc_field_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_remote_field_grouping_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_remote_field_grouping_vw AS
SELECT pr.ID report_id,
       pr.folderID,
       pr.name report_name,
       pf.field_name mv_field_name,
       pe.entity_name mv_entity_name,
       pf.heading1,
       pf.heading2,
       pf.description,
       pf.is_dimension,
       grp.field_group_name,
       ct.type_name field_type,
       a.aggr_name,
       prg.ordinal
  FROM pm_report pr,
       pe_mv_field pf,
       pe_mv_entity pe,
       pe_remote_reportgrouping prg,
       pe_mv_field_group grp,
       pe_column_type ct,
       wmd_aggregator_base a
 WHERE pr.pe_reportspecid = prg.reportspec_id
   AND pf.mv_field_id = prg.mv_field_id
   AND pe.mv_entity_id = pf.mv_entity_id
   AND pf.aggr = a.aggr_id
   AND pf.column_type_id  = ct.column_type_id
   AND pf.field_group_id = grp.field_group_id ( + )
/
SHOW ERRORS VIEW pe_remote_field_grouping_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_ent_remote_reportspec_vw...
-- --------------------------------------------------------------------------------------------- 
  CREATE OR REPLACE VIEW pe_ent_remote_reportspec_vw AS
     SELECT pr.id report_id,
            pr.folderId,
            pe_folder.fs_lookuppathbyfolderid ( nvl ( pr.folderId, 1 ) ) report_folder_path,
            pr.name report_name,
            pr.description,
            prs.report_type type,
            pu.name user_name,
            DECODE((SELECT value FROM wm_system_values_v WHERE name = 'UseFirstBHWhenEqual'), '1', 'Y', 'N') first_bh_equal,
            pd.delimiter,
            prrs.system_id,
            ds.datasource_name,
            pmve.entity_name mv_entity_name,
            pe.entity_name
     FROM   pm_report pr,
            pm_user pu,
            pm_destination pd,
            pe_remote_reportspec prrs,
            pe_reportspec prs,
            pe_datasource ds,
            pe_mv_entity pmve,
            pe_entity pe
     WHERE  pu.id = pr.userid
     AND    pr.destinationid = pd.id
     AND    prrs.reportspec_id(+)=pr.pe_reportspecid
     AND    prrs.datasource_id=ds.datasource_id(+)
     AND    prrs.mv_entity_id=pmve.mv_entity_id(+)
     AND    prs.reportspec_id(+)=pr.pe_reportspecid
     AND    prs.entity_id=pe.entity_id(+)
     AND    pr.name not like 'TMP-%'
/
SHOW ERRORS VIEW pe_ent_remote_reportspec_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_reportspec_vw...
-- --------------------------------------------------------------------------------------------- 
     CREATE OR REPLACE VIEW pe_reportspec_vw AS
     SELECT pr.id report_id,
            pr.folderID,
            pr.name report_name,
            prs.reportspec_id,
            pr.dtscopeid,
            prs.filter_expression_id,
            pe.entity_name,
            wf.tag frequency_tag,
            pr.description,
            prs.report_type type,
            pd.FormatId,
            pd.toDisplay,
            pd.toprinter,
            pd.tofile,
            pd.toemail,
            pd.delimiter,
            pd.directory,
            pu.name user_name,
            DECODE((SELECT value FROM wm_system_values_v WHERE name = 'UseFirstBHWhenEqual'), '1', 'Y', 'N') first_bh_equal,
            prs.RESULTNAME report_result
       FROM pm_report pr,
            pe_entity pe,
            pe_reportspec prs,
            wm_frequency wf,
            pm_destination pd,
            pm_user pu,
            pe_remote_reportspec prrs
      WHERE pr.pe_reportspecid=prs.reportspec_id
        AND pr.userid=pu.id
        AND prs.entity_id=pe.entity_id(+)
        AND prs.frequency_id=wf.frequency_id
        AND pr.destinationid=pd.id
        AND prs.reportspec_id=prrs.reportspec_id(+)
        AND prrs.reportspec_id is NULL
/
SHOW ERRORS VIEW pe_reportspec_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_reportspec_fields_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_reportspec_fields_vw AS
SELECT pr.id report_id,
       pr.folderID, 
       pr.name report_name,
       pf.field_name, 
       pe.entity_name,
       pf.heading1,
       pf.heading2,
       pf.description,
       DECODE ( df.local_data,
                NULL,
                'N',
                'Y' ) is_dimension,
       nvl2(pu.udc_source, 'UDC', 'Peg Count') field_group_name,
       ct.type_name field_type,
       a.aggr_name,
       prf.ordinal
  FROM pm_report pr, 
       pe_reportfield prf,
       pe_field pf,
       pe_entity pe,
       pe_udc_field pu,
       pe_dimension_field df,
       pe_column_type ct,
       wmd_aggregator_base a
 WHERE pr.pe_reportspecid = prf.reportspec_id
   AND pf.field_id = prf.pe_field_id
   AND pf.entity_id = pe.entity_id
   AND pf.column_type_id = ct.column_type_id
   AND pf.aggr = a.aggr_id
   AND pf.field_id = df.field_id ( + )
   AND pf.field_id = pu.field_id ( + )
/
SHOW ERRORS VIEW pe_reportspec_fields_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_dtscope_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_dtscope_vw AS
SELECT pr.id report_id, s.id schedule_id,
       pdts.id, pdts.scopetype, pdts.startofweek, pdts.timeunit, pdts.dtperiod,
       pdts.howmanyunits, pdts.extendrange,
       pdts.quickrange, pdts.includecurrent,
       pdts.samehourseachday, pdts.includeholidays,
       pdts.weekendsonly, pdts.sundays, pdts.mondays,
       pdts.tuesdays, pdts.wednesdays, pdts.thursdays,
       pdts.fridays, pdts.saturdays, pdts.includeweekends,
       pdts.holidaysonly
  FROM pm_report pr,
       pm_dtscope pdts,
       rg_schedule_view s
 WHERE pdts.id = pr.dtscopeid (+)
   AND pdts.id = s.ovrdtscopeid (+) 
/
SHOW ERRORS VIEW pe_dtscope_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_calendar_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_calendar_vw AS
SELECT pr.id report_id, s.id schedule_id,
       pc.calendardate, pc.firsthour, pc.lasthour,
       pc.firstseconds, pc.lastseconds
  FROM pm_report pr,
       pm_calendar pc,
       rg_schedule_view s
 WHERE pc.DTSCOPEID = pr.dtscopeid (+)
   AND pc.DTSCOPEID = s.ovrdtscopeid (+)
/
SHOW ERRORS VIEW pe_calendar_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_report_schedule_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_report_schedule_vw AS
SELECT pr.ID report_id,
       pr.name report_name,
       pe_folder.fs_lookuppathbyfolderid( nvl ( pr.folderid, 1 ) ) report_folder_path,
       rgsv.folderID,
       pe_folder.fs_lookuppathbyfolderid( rgsv.folderID ) schedule_folder_path,
       rgsv.ID schedule_id,
       rgsv.name schedule_name,
       rgsv.periodicity,
       rgsv.frequency,
       pu.name userName
  FROM rg_schedule_view rgsv,
       job_group_item jgi,
       pm_report pr,
       pm_user pu,
       pe_reportspec rs
 WHERE rgsv.rptgrpid = jgi.group_id
   AND document_id = pr.ID
   AND pu.ID = rgsv.userid
   AND pr.pe_reportspecid = rs.reportspec_id(+)
   AND (rgsv.CLEANUP_TIME > sysdate
   OR   rgsv.CLEANUP_TIME is null)
/
SHOW ERRORS VIEW pe_report_schedule_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_schedule_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_schedule_vw AS
SELECT rgsv.folderID,
       pe_folder.fs_lookuppathbyfolderid( rgsv.folderID ) schedule_folder_path,
       rgsv.ID schedule_id,
       rgsv.firstdatetime,
       nvl(rgsv.finaldatetime, sysdate + 365 * 19) finaldatetime,
       rgsv.scheduledtime,
       rgsv.tzregion,
       rgsv.whichmonthdate,
       rgsv.whichweek,
       rgsv.whichweekday,
       rgsv.periodicity,
       rgsv.frequency,
       rgsv.scheduleactive,
       rgsv.includemondays,
       rgsv.includetuesdays,
       rgsv.includewednesdays,
       rgsv.includethursdays,
       rgsv.includefridays,
       rgsv.includesaturdays,
       rgsv.includesundays,
       rgsv.includeholidays,
       rgsv.includedayafterhol,
       pu.name userName,
       rgsv.name schedule_name,
       rgsv.description,
       rgsv.runmode,
       rgsv.retrievemode,
       rgsv.auto_organize,
       rgsv.rptgrpid,
       rgsv.ovrdtscopeid,
       rgsv.pe_resultfolder result_folderid,
       pe_folder.fs_lookuppathbyfolderid( rgsv.pe_resultfolder ) result_path
  FROM rg_schedule_view rgsv,
       pm_user pu
 WHERE pu.ID = rgsv.userid
   AND (rgsv.CLEANUP_TIME > sysdate
   OR   rgsv.CLEANUP_TIME is null)
/
SHOW ERRORS VIEW pe_schedule_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_remote_reportspec_vw...
-- --------------------------------------------------------------------------------------------- 
 CREATE OR REPLACE VIEW pe_remote_reportspec_vw AS
     SELECT pr.id report_id,pr.folderID, pr.name report_name,
            prs.reportspec_id,
            rrs.system_id,
            ds.datasource_name,
            prs.filter_expression_id,
            pe.entity_name,
            wf.tag frequency_tag, pr.description,
            prs.report_type type, pd.FormatId,
            pd.toDisplay, pd.toprinter, pd.tofile,
            pd.toemail, pd.delimiter, pd.directory,
            pu.name user_name,
            (SELECT value FROM wm_system_values_v WHERE name = 'UseFirstBHWhenEqual') first_bh_equal,
            prs.RESULTNAME report_result
       FROM pm_report pr,
            pe_mv_entity pe,
            pe_reportspec prs,
            wm_frequency wf,
            pm_destination pd,
            pm_user pu,
            pe_remote_reportspec rrs,
            pe_datasource ds
      WHERE pr.pe_reportspecid=rrs.reportspec_id
        AND ds.datasource_id = rrs.datasource_id
        AND pr.pe_reportspecid=prs.reportspec_id
        AND pr.userid=pu.id
        AND rrs.mv_entity_id = pe.mv_entity_id
        AND prs.frequency_id=wf.frequency_id
        AND pr.destinationid=pd.id ;
/
SHOW ERRORS VIEW pe_remote_reportspec_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_reportgroup_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_reportgroup_vw AS
SELECT g.id,
       pe_folder.fs_lookupPathByFolderId(g.folderid) path,
       g.folderid,
       g.name,
       u.name user_name,
       g.description,
       g.changed,
       g.group_type
  FROM job_group g, pm_user u
 WHERE g.userid = u.id
/
SHOW ERRORS VIEW pe_reportgroup_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_reportgroup_report_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_reportgroup_report_vw AS
SELECT i.group_id,
       i.ordinal,
       r.id,
       pe_folder.FS_LookupPathbyFolderID(r.folderid) path,
       r.name,
       u.name user_name,
       r.description,
       r.changed
  FROM job_group_item i, pm_report r, pm_user u
 WHERE i.document_id = r.id
   AND r.userid = u.id
/
SHOW ERRORS VIEW pe_reportgroup_report_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_import_doc_depend_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_import_doc_depend_vw AS
SELECT d.name document_name,
       d.document_fk, 
       t.document_type_name,
       pe_folder.FS_LOOKUPFOLDERPATH(
           DECODE( t.document_type_name,
                   'Folder',   f.folderid,
                   'Schedule', s.folderid,
                   'Report',   r.folderid,
                   'Report Group', g.folderid,
                   NULL )
                                     ) folder_name
   FROM pm_document      d,
        pm_document_type t,
        pm_folder        f,
        rg_schedule_view s,
        pm_report        r,
        job_group        g
  WHERE d.document_type_id = t.document_type_id
    AND t.document_type_name IN ( 'Folder', 'Report', 'Schedule', 'Report Group' )
    AND d.document_fk = f.id(+)
    AND d.document_fk = s.id(+)
    AND d.document_fk = r.id(+)
    AND d.document_fk = g.id(+)
/
SHOW ERRORS VIEW pe_import_doc_depend_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_entity_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_entity_vw AS 
SELECT e.entity_id,
       e.entity_name entity_name,
       e.image_key,
       e.is_defined,
       e.is_enabled,
       (SELECT p.entity_name FROM pe_entity p WHERE e.parententity_id = p.entity_id) parent_entity_name,
       e.retention_days,
       e.parententity_id,
       (SELECT f.seconds FROM wm_frequency f WHERE e.data_frequency_id = f.frequency_id) data_frequency_sec
  FROM pe_entity e
/
SHOW ERRORS VIEW pe_entity_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_entity_relation_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_entity_relation_vw AS
SELECT er.primary_field_id,
       ep.entity_name primary_entity_name,
       fp.field_name primary_field_name,
       ep.is_defined primary_entity_defined,
       er.secondary_field_id,
       es.entity_name secondary_entity_name,
       fs.field_name secondary_field_name,
       es.is_defined secondary_entity_defined
  FROM pe_entity_relation er,
       pe_field fp,
       pe_entity ep,
       pe_field fs,
       pe_entity es
 WHERE er.primary_field_id = fp.field_id
   AND fp.entity_id = ep.entity_id
   AND er.secondary_field_id = fs.field_id
   AND fs.entity_id = es.entity_id
/
SHOW ERRORS VIEW pe_entity_relation_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_mv_dimension_field_map_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_mv_dimension_field_map_vw AS
SELECT dim.module_version_id,
       dim.module_name,
       dim.version_name,
       dim.entity_name,
       dim.entity_id,
       dim.field_name,
       dim.field_id,
       dim.field_ordinal,
       dim.key_ordinal,    -- if it's not null, it's a key
       dim.local_data,
       mvfm.mv_field_name,
       mvfm.mv_entity_name,
       mvfm.mv_group_id
  FROM ( -- find all the enabled and implemented dimension fields
         SELECT e.entity_name,
                e.entity_id,
                f.field_name,
                f.field_id,
                f.ordinal field_ordinal,
                df.key_ordinal,
                df.local_data,
                mve.module_version_id,
                m.module_name,
                mv.version_name,
                mve.entity_name mv_entity_name,
                mve.mv_entity_id mv_entity_id
           FROM pe_entity e,
                pe_field f,
                pe_dimension_field df,
                pe_mv_entity mve,
                pe_module m,
                pe_module_version mv
          WHERE e.entity_id = f.entity_id
            AND e.is_enabled = 'Y'
            AND f.is_enabled = 'Y'
            AND f.field_id = df.field_id
            AND df.table_id IS NOT NULL
            AND df.status = 'I'
            AND e.entity_id = mve.entity_id
            AND mve.module_version_id = mv.module_version_id
            AND mv.module_id = m.module_id ) dim,
       ( -- Join field name to mapped module version field
         SELECT mvfm.field_id, mvfm.module_version_id, mvf.mv_entity_id, 
                mvf.field_name mv_field_name, mvfm.mv_group_id,
                mve.entity_name mv_entity_name
           FROM pe_mv_field_map mvfm,
                pe_mv_field mvf,
                pe_mv_entity mve
          WHERE mvfm.mv_field_id = mvf.mv_field_id
            AND mvf.is_dimension = 'Y'
            AND mvf.mv_entity_id = mve.mv_entity_id ) mvfm
 WHERE dim.field_id = mvfm.field_id ( + )
   AND dim.module_version_id = mvfm.module_version_id ( + )
/
SHOW ERRORS VIEW pe_mv_dimension_field_map_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_perf_stats_report_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_perf_stats_report_vw AS 
   select 
       pmr.tstamp,
       decode(pmr.user_id, -1, 'Report Purged', decode(pmr.datasource_id, -1, 'E2E', nvl(ds.datasource_name, 'Unknown'))) datasource_Name,
       decode(pmr.user_id, -1, 'Report Purged', nvl(u.name, 'Unknown')) user_name
from 
     pe_perf_stats_report pmr, pm_user u, pe_datasource ds
where
     pmr.datasource_id = ds.datasource_id (+)
 and pmr.user_id = u.id (+)
/
SHOW ERRORS VIEW pe_perf_stats_report_vw;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_remote_report_bh_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW PE_REMOTE_REPORT_BH_VW AS
SELECT
       rp.ID                 REPORT_ID,
       bh.MV_STORED_ID       STORED_ID,
       bh.MV_STORED_NAME     STORED_NAME,
       cl.ENTITY_NAME        ENTITY_NAME,
       fe.entity_name        FIELD_ENTITY_NAME,
       f.FIELD_NAME          FIELD_NAME,
       bh.frequency_id       frequency_id,
       bh.percentile         percentile,
       bh.bh_type	     bh_type
   FROM
       pe_busyhour bh,
       pe_mv_field f,
       pm_report rp,
       pe_mv_entity cl,
       pe_mv_entity fe
   WHERE bh.MV_FIELD_ID = f.MV_FIELD_ID(+)
     AND bh.MV_ENTITY_ID = cl.MV_ENTITY_ID
     AND bh.REPORTSPEC_ID = rp.PE_REPORTSPECID
     AND f.mv_entity_id = fe.mv_entity_id(+)
     AND NOT ( bh.MV_STORED_ID IS NULL AND bh.MV_FIELD_ID IS NULL )
/
SHOW ERRORS VIEW PE_REMOTE_REPORT_BH_VW;
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_activity_running_vw...
-- --------------------------------------------------------------------------------------------- 
CREATE OR REPLACE VIEW pe_activity_running_vw AS
SELECT ads.agent_type_id,
       ads.datasource_id,
       NVL(a.agent_type_running, 0) agent_type_running,
       NVL(b.datasource_running, 0) datasource_running,
       NVL(b.agent_datasource_running, 0) agent_datasource_running
  FROM ( SELECT agent_type_id,
                SUM ( COUNT ( agent_type_id ) )
                      OVER ( PARTITION BY agent_type_id ) agent_type_running
           FROM pe_activity
          WHERE state = 'RUNNING'
          GROUP BY agent_type_id ) a,
       ( SELECT agent_type_id,
                NVL ( datasource_id, - 1 ) datasource_id,
                SUM ( NVL2 ( datasource_id, COUNT ( datasource_id ), 0 ) )
                      OVER ( PARTITION BY datasource_id ) datasource_running,
                SUM ( NVL2 ( agent_type_id, NVL2 ( datasource_id, COUNT ( datasource_id ), 0 ), 0 ) )
                      OVER ( PARTITION BY agent_type_id, datasource_id ) agent_datasource_running
           FROM pe_activity
          WHERE state = 'RUNNING'
          GROUP BY agent_type_id,
                   datasource_id ) b,
       ( SELECT t.agent_type_id,
                d.datasource_id
           FROM pe_agent_types t,
                pe_datasource d
          WHERE t.agent_type = 'R'
          UNION ALL 
         SELECT n.agent_type_id,
                -1 datasource_id
           FROM pe_agent_types n
          WHERE agent_type = 'L') ads
 WHERE ads.agent_type_id = a.agent_type_id ( + )
   AND ads.agent_type_id = b.agent_type_id ( + )
   AND ads.datasource_id = b.datasource_id ( + )
/
SHOW ERRORS VIEW pe_activity_running_vw;
PROMPT END PWEB upgrade_views225.sql DONE
