#!/usr/bin/ksh
# ------------------------------------------------------------------------
#     COPYRIGHT WatchMark Corp 2003
# *** (#) ./base/pm/adm/AD_scan_tab_maint.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# *** (#) 
# ------------------------------------------------------------------------
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`

usage()
{
 echo 'Usage:'
 echo "$SCRIPTNAME  [ -a|-d table_name ] | [ -l [ entity_name ] ]"
 echo '-a : add the specified table to scan table list'
 echo '-d : remove the specified table from scan table list'
 echo '-l : list the scan tables for specified entity, if not specify'
 echo '     entity name, list tables for all entities'
 echo ''
 exit
}

ACTION=NULL
TABLE_NAME=NULL
ENTITY_NAME=NULL
INPUT_PARAMETER=NULL

if [ $# -eq 0 ]
 then
 usage
fi

while [ $# -gt 0 ]
do

    case $1 in
      -a) ACTION=add_table
          shift
          TABLE_NAME=$1
          break;
          ;;
      -d) ACTION=remove_table
          shift
          TABLE_NAME=$1
          break;
          ;;
      -l) ACTION=list_tables
          shift
          ENTITY_NAME=$1
          break;
          ;;
      -v) 
          usage
          ;;
       *) echo "$SCRIPTNAME: Invalid parameter $1"
          usage
          ;;
     esac

     if [ $# -gt 0 ]
      then
       shift
     fi
done
if [ $ACTION = "list_tables" ]
 then
   if [ ${ENTITY_NAME:=NULL} = "NULL" ]
   then
      INPUT_PARAMETER='' 
   else
      INPUT_PARAMETER=$ENTITY_NAME
   fi
 else
   INPUT_PARAMETER=$TABLE_NAME 
fi

sqlplus -s /NOLOG  <<!|grep -v Connected. |grep -v "PL/SQL procedure successfully completed."
connect $DB_CONNECT
set serveroutput on size 1000000
set termout off
begin
 ad_scan_tab_maint.$ACTION('$INPUT_PARAMETER');
end;
/
!

