#!/bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2009,2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./base/pm/adm/enable_password_encryption.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
#
# Eoghan Shields  05/03/09
# Enables the password encryption feature

cd ${FLEXPM_HOME}
# source $FLEXPM_HOME/.profile to ensure we get all  profiles environment variables
#
# valnt00093528: For old versions of ksh it is necessary 
# to give the path (./) to the file being sourced 
#
.  ./.profile

if [[ -z ${DBPASSWD} ]]; then
   echo "DBPASSWD not defined.  Encryption likely already enabled"
   exit 0;
fi

PSWD=${DBPASSWD};
CRYPT_PASSWD=`crypt_util.ksh -g $DBUSER`
#If case DBPASSWD and crypt_util password do not match, we'll exit.
if [[ "x${PSWD}" != "x${CRYPT_PASSWD}" ]]; then
 echo "`date` [ERROR] - Environment DBPASSWD and password in password encryption store, differ. Please synchronize these first!"
 exit 1;
fi
echo "`date` [INFO] - Switching over profile."
#Overwrite  existing with new profile
mv .profile.connect.encrypt .profile.connect
DB_CONN_C=`grep -i DB_CONNECT .profile.custom|wc -l`
echo "`date` [INFO] - Switching over profile complete."
#Update DB_CONNECT to user@sid in custom profile and remove DBPASSWD if exists
if [[ $DB_CONN_C -gt 0 ]]; then
	echo "`date` [INFO] - Updating custom profile."
	. ./.profile.custom
	sed 's!\(.*/\).*\(@.*\)!\1\2!;s/\/@/@/' .profile.custom > .profile.custom1
	mv .profile.custom1 .profile.custom
	echo "`date` [INFO] - Updated DB_CONNECT in custom profile."
	echo "`date` [INFO] - Updating custom profile complete."
fi

#Check to see if dbpasswd is mentioned in our chooser menu
PSWD_COUNT=`grep ${PSWD} ${FLEXPM_BASE}/../.chooser.menu|wc -l`

if [[ $PSWD_COUNT -gt 0 ]]; then
	echo "`date` [WARNING] - The Database password may be present in the .chooser.menu"
fi

echo "`date` [INFO] - Complete, please logout and login again to obtain the environment changes."
