#! /bin/ksh
#Updated 10/02/2009 - valnt00077479
DBPASSWD=`crypt_util.ksh -g ${DBUSER}`


SCRIPTNAME=`basename $0`
usage() {
   echo " "
   echo "$SCRIPTNAME -t -f | -t all | -d |-v"
   #echo " -t : default timeout "
   echo " -t : timeout to override the default value in wm_file_control for a file type"
   echo " -f : file type "
   echo "all : all file types "
   echo " -d : Displays the File Type, Timeout, and Interval for existing entries "  
   echo " -v : usage "
   echo " "  

   exit 1
}

timeout=0
filetype=none
display=n

while [ $# -gt 0 ]
do
   case $1 in
      -t)
         shift
         timeout=$1
         ;;
      -f)
          shift
          filetype=$1
          ;;
      all)
         filetype=all
         ;; 
      -d)
         display=y
         ;;
      -v)
         usage
         ;;

       *)
          echo "$SCRIPTNAME: Invalid parameter $1"
          usage       
          ;;
     esac

     shift
done

if [ "$filetype" == "none" -a "$display" == "n" ]
then
   usage
elif [ "$filetype" == "none" -a "$display" == "y" ]
then
   sqlplus -s /NOLOG <<EOF  
   set feed off
   set serveroutput on size 1000000 format wrapped
   connect $DBUSER/$DBPASSWD@$DBSID
   exec xpt.display_default_timeouts;
EOF
else
   sqlplus -s /NOLOG <<EOF  
   set feed off
   set serveroutput on size 1000000 format wrapped
   connect $DBUSER/$DBPASSWD@$DBSID
      exec xpt.override_default('$timeout','$filetype');
EOF
fi
