#!/bin/ksh
# ------------------------------------------------------------------------
#     COPYRIGHT WatchMark Corp 2003
# *** (#) ./base/pm/adm/removeRH.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# *** (#) 
# ------------------------------------------------------------------------
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`
usage() 
{ 
 echo 'Usage:' 
 echo "$SCRIPTNAME -e entity_name -k fullkey [ -D endtime ] [ -u username ]" 
 echo '-e : the entity name of the reparenting fullkey' 
 echo '-k : the fullkey' 
 echo '-D : the end time of the new fullkey; format YYYYMMDDHH24:MI; example 2003102015:23' 
 echo '-u : the user who conducts the action'
 echo '-v : help' 
 echo '' 
 exit 
} 

if [ $# -eq 0 ]
 then
 usage
fi

ENTITY_NAME=NULL
FULLKEY=NULL
END_DATE=NULL
USERNAME=NULL

while [ $# -gt 0 ]
do

    case $1 in
      -e)
          shift
          ENTITY_NAME=\'$1\'
          ;;
      -k) 
          shift
          FULLKEY=\'$1\'
          ;;
      -D) 
          shift
          END_DATE=\'${1}:59\'
          ;;
      -u) 
          shift
          USERNAME=\'$1\'
          ;;
      -v) 
          usage
          ;;
       *) echo "$SCRIPTNAME: Invalid parameter $1"
          usage
          ;;
     esac

     if [ $# -gt 0 ]
      then
       shift
     fi
done

if [ ${ENTITY_NAME:=NULL} = "NULL" -o ${FULLKEY:=NULL} = "NULL" ]
 then
      usage
fi

sqlplus -s /NOLOG  <<! |grep -v Connected.|grep -v "PL/SQL procedure successfully completed" |grep -v "Session altered."|grep -v "Commit complete."
connect ${DB_CONNECT}
set serveroutput on size 1000000

ALTER SESSION SET NLS_DATE_FORMAT='YYYYMMDDHH24:MI:SS';

BEGIN
     rh_rehoming.deleteRH(${ENTITY_NAME},
                       ${FULLKEY},
                       ${END_DATE},
                       ${USERNAME}
                       );

                       
END;
/

COMMIT;
!

