###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./base/pm/adm/templates/bridge.properties.tpl BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
#

### This is the connection information to connect to the corresponding
### Prospect Instance.
### The bridge will configure JBoss on the fly to get the appropriate 
### JDBC connection pool
jdbcUrl = jdbc:oracle:thin:@__DBHOST__:__DBPORT__:__DBSID__
jdbcUser = __DBUSER__

### The RGP to contact
port = __WM_PASBRIDGE_PORT__
serviceMonitor = __WmServiceMonitorPort__@__FQSN__

### ########################################################
### Database server properties. All sizes in MB
### The physicalMemory parameter shouold automatically updated
### by the script launching the bridge JVM

# Do not edit. This value is altered automatically on startup
physicalMemory = __MEMSIZE__

# percentMemoryAvailable indicates the maximum total amount of memory
# JDDSQL should allocate for Oracle sort_area_size. The maximum
# number of reports that can be run by JDDSQL simultaneously is
# therefore:
# (physicalMemory * percentMemoryAvailable / 100.0 ) / sortAreaSize
percentMemoryAvailable = 50
hashAreaSize = __REP_HASH_AREA_SIZE__
sortAreaSize = __REP_SORT_AREA_SIZE__
sortAreaRetainedSize = __REP_SORT_AREA_RETAINED_SIZE__
parallelDegree = __REP_PARALLEL_DEGREE__
useGroupByHintCursorSharingExact= __USE_GROUPBY_HINT_CURSOR_SHARING_EXACT__
reportTimeout = __REP_TIMEOUT__

### The log setup for the bridge
logLevel = info
logFile = __FLEXPM_HOME__/pm/log/bridge.log
logPattern = %d{ABSOLUTE} %-5p (%t) %m%n
logRollingPattern = '.'yyyy-MM-dd

### JNDI properties
java.naming.factory.initial = org.jnp.interfaces.NamingContextFactory
java.naming.provider.url = jnp://localhost:__PAS_NAME_PORT__
java.naming.factory.url.pkgs = org.jboss.naming:org.jnp.interfaces

#####################
### DO NOT EDIT: these are specific to JBoss' configuration
rpControllerHome = RPControllerHome
dsAdminHome = java:/DSAdminHome
jndiDSName = DefaultProspectDS
createDSIfAbsent = true
removeDSOnExit = true
standalone = false
serviceToRegister = DDSQL
socketTimeout = 1000

### Maximum cache size percentage of max memory for ReportViewer 
maxCacheSizePercentage.ReportViewer = 30 

### Maximum report size percentage of maximum cache size for ReportViewer 
maxReportSizePercentage.ReportViewer = 50 

### Reserved system memory for general system running 
reservedSystemMemory = 256 

### File memory ratio used for save file into cache based on file size 
fileMemoryRatio.ReportViewer = 4 
