/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.framework;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Map;
import org.w3c.dom.Element;

public interface FileReader
{
  /**
   * Returns the name of this reader.
   * @return 
   */
  public String getName();
  
  public void setController(Controller c);


  /**
   * Configure the Processor using data it finds under this element. Usually only
   * things specific to this instance.
   * @param e
   */
  public void configure(Element e);

  /**
   * Adds a pattern that can be used to match filenames
   * @param p
   */
  public void addPattern(String p);

  /**
   * 
   * @param filename
   * @param readerName
   * @return true if this FileReader should handle the given file. 
   */
  public boolean accept(String filename);
  
  /**
   * Read this input stream and process the data in it.
   * @param is
   */
  public void process(String filename, Controller controller)
    throws FileNotFoundException, IOException;
  
}