/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.framework;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class MessageTypeMap
{
  private String _mapName;
  
  private Map _messages = new HashMap();
  
  public MessageTypeMap(String name)
  {
    _mapName = name;
  }
  
  public String getMapName()
  {
    return _mapName;
  }
  
  
  public Message addMessage(String messageName)
  {
    Message msg = createMessage(messageName);
    MessageName mn = new MessageName(messageName);
    _messages.put(mn, msg);
    
    return msg;
  }
  
  public Message addMessage(MessageName mn)
  {
    Message msg = createMessage(mn);
    _messages.put(mn, msg);
    
    return msg;
  }
  
  protected Message createMessage(String messageName)
  {
    MessageName mn = new MessageName(messageName);
    return createMessage(mn);
  }

  protected Message createMessage(MessageName mn)
  {
    return new Message(mn);
  }
  
  public Message getMessage(String messageName)
  {
    // Simplest case is where a messages are distinguished just by name.
    MessageName mn = new MessageName(messageName);
    return (Message)_messages.get(mn);
  }
  
  public Message getMessage(MessageName mn)
  {
    return (Message)_messages.get(mn);
  }
  
  public Iterator getMessageIterator()
  {
    return _messages.values().iterator();
  }
  
  public int getMaxKeyCount()
  {
    int result = 0;
    Iterator it = getMessageIterator();
    while (it.hasNext())
    {
      Message m = (Message)it.next();
      if (m.getKeyCount() > result)
        result = m.getKeyCount();
    }
    
    return result;
  }
}