/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.framework;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.regexp.*;

public class MessageName
{
  private String _name;
  private List _parts = new ArrayList();
  private int _hashCode;
  
  public MessageName(String name)
  {
    _name = name;
    _hashCode = _name.hashCode();
  }
  
  public String getName()
  {
    return _name;
  }
  
  public void addPart(String partName)
  {
    _parts.add(partName);
    _hashCode = 37 * _hashCode + partName.hashCode();
  }
  
  public List getParts()
  {
    return _parts;
  }
  
  public boolean equals(Object o)
  {
    if (o == null)
      return false;
      
    if (o == this)
      return true;
      
    if (!(o instanceof MessageName))
      return false;
    
    MessageName other = (MessageName)o;
    boolean result = _name.equals(other.getName()) &&
      _parts.size() == other.getParts().size();
    
    // Need to iterate over all the parts to make sure they're also the
    // same (we consider order to be important too).
    for (int i=0; result && i<_parts.size(); i++)
    {
      result = _parts.get(i).equals(other.getParts().get(i));
    }
    
    return result;
  }
  
  public int hashCode()
  {
    return _hashCode;
  }

}

