/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.framework;

import java.io.IOException;
import java.text.ParseException;

import java.util.ArrayList;
import java.util.List;

import java.util.Map;
import org.apache.log4j.Logger;
import org.w3c.dom.*;
import org.xml.sax.SAXException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.FactoryConfigurationError;
import javax.xml.parsers.ParserConfigurationException;

public class ZipStreamUtil
{
  static public String loadMessageTypeMap(String processorName, Element e, 
    Map messageMaps, Map translators)
  {
    String filename = "";
    Node messageMap = XmlUtil.getFirstNodeByName(e, "message-map");
    if (messageMap != null)
    {
      Node url = XmlUtil.getFirstNodeByName(messageMap, "URL");
      if (url != null)
      {
        filename = XmlUtil.getAttributeValue(url, "path");
        if (filename != null && filename.length() > 0)
        {
          ZipStreamUtil.readMessageTypeMap(processorName, filename, messageMaps, translators);
        }
        else
        {
          System.err.println(processorName + ": <message-map><URL> must specify a valid path attribute");
        }
      }
      else
      {
        System.err.println(processorName + ": <message-map> must specify a <URL>");
      }
    }
    else
    {
      System.err.println(processorName + ": No <message-map> entry configured");
    }
    
    return filename;
  }

  static public void readMessageTypeMap(String processorName, String filename, Map messageMaps,
    Map translators)
  {
    MessageTypeMapReader reader = new MessageTypeMapReader(messageMaps, translators);
    try
    {
      reader.readTypeMaps(filename);
    }
    catch (IOException ioe)
    {
      System.err.println(processorName + ": " + ioe.getMessage());
    }
  }
}
