/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.translator;
import com.watchmark.loader.framework.Translator;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class DBCache
{
  Map _cache = new HashMap();
  String _url;
  String _statement;

  public DBCache(String url, String statement)
  {
    _url = url;
    _statement = statement;
  }
  
  public String getURL()
  {
    return _url;
  }
  
  public String getStatement()
  {
    return _statement;
  }
  
  public int hashCode()
  {
    return _url.hashCode() * 37 + _statement.hashCode();
  }
  
  public boolean equals(Object o)
  {
    if (o == null)
      return false;
      
    if (o == this)
      return true;
      
    if (!(o instanceof DBCache))
      return false;
    
    DBCache other = (DBCache)o;

    return _url.equals(other.getURL()) &&
      _statement.equals(other.getStatement());
  }
  
  public String find(Map attributes, List args)
  {
    String result = "";
    
    // Before we resort to using the database, let's see if this value is
    // already in our cache. We need to build a CacheKey out of the args.
    CacheKey key = new CacheKey(args);
    
    CacheEntry entry = (CacheEntry)_cache.get(key);
    if (entry == null)
    {
      // no luck. Have to go to the database.
    }
    else
    {
      result = entry.getValue();
    }
        
    return result;
  }
  
  public void initialize()
  {
    
  }
}