/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.xml.model;

import java.io.IOException;
import java.io.StringReader;

import java.text.ParseException;

import org.apache.log4j.Logger;
import org.xml.sax.Attributes;

/**
 * @author Robin Arnold
 * @version 1.0 2004/03/19
 * 
 */

public interface Controller
{
  /**
   * A stack of Adapters is maintained to match the element hierarchy of the
   * file we're processing.
   * @see #aaa
   * @param paramName comments
   * @exception XxxxxxException if ...
   * @return comments
   */
  public void push(Adapter a);
  public Adapter pop();
  public Adapter peek();

  /**
   * Simplify things a bit by providing a logger that Adapters can use (all
   * Adapters can see their controller, hence they can also see the logger).
   * @see #aaa
   * @param paramName comments
   * @exception XxxxxxException if ...
   * @return comments
   */
  public Logger getLogger();

  /**
   * The controller can act as a factory for Adapters, which makes it easy to
   * create different types of adapters when we need to support different
   * versions of the input file etc.
   * @see #aaa
   * @param paramName comments
   * @exception XxxxxxException if ...
   * @return comments
   */
  public Adapter create(String elementName, Attributes attributes) 
    throws Exception;
    
  public void write(String value) throws IOException;
  public void endLine() throws IOException;
}