/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Mar 19, 2004
 * 
 * An Adapter encapsulates an object that is being configured from an XML
 * document. The adapter translates the elements as they are streamed in
 * converting them to setFoo calls on the target object, or create
 * sub-adapters that handle sub-classes.
 */
package com.watchmark.loader.xml.model;

import java.io.IOException;
import java.io.StringReader;

import java.text.ParseException;

import org.apache.log4j.Logger;

import org.xml.sax.Attributes;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.helpers.XMLReaderFactory;

import java.util.List;
import java.sql.Connection;

/**
 * @author robin
 * @version 1.0 2004/03/19
 * 
 * 
 */

public class XMLBaseAdapter extends BaseAdapter
{
  XMLController _controller;
  Connection _connection;
  
  public static final String ADAPTER_NAME = "everything";
  
  public XMLBaseAdapter(XMLController c, Connection conn)
  {
    _controller = c;
    _connection = conn;
  }

  /**
   * Every Adapter must know about its parent Controller
   * @see #aaa
   * @param paramName comments
   * @exception XxxxxxException if ...
   * @return comments
   */
  public Controller getController()
  {
    return _controller;
  }
  
  public String getName()
  {
    return ADAPTER_NAME;
  }

  public Adapter create(String tag, Attributes attributes)
    throws Exception
  {
    Adapter result = this;
    
    if (tag.equals(MeasurementDataAdapter.ADAPTER_NAME))
      result = new MeasurementDataAdapter(_controller, _connection);

    return result;
  }
  
  public void setAttributes(Attributes a)
  {
    // We don't really care at a generic level.
  }

}