/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.zipstream;

import com.ice.tar.TarEntry;
import com.ice.tar.TarInputStream;
import com.watchmark.loader.framework.ArchiveReader;
import com.watchmark.loader.framework.Controller;
import com.watchmark.loader.framework.FileReader;
import com.watchmark.loader.framework.Processor;

// import com.ice.tar.*;

import java.io.BufferedInputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.zip.GZIPInputStream;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class TarFileReader extends ArchiveReader
{
  boolean _compressed = false;
  
  public TarFileReader(String name)
  {
    super(name);
  }

  /**
   * Configure the Processor using data it finds under this element. Usually only
   * things specific to this instance.
   * @param e
   */
  public void configure(Element e)
  {
    super.configure(e);
    
    // Hmm, now are we compressed? If so, we probably need to read through
    // a GZIPInputStream.
    _compressed = "true".equalsIgnoreCase(ConfigHandler.getValueByName(e, "compressed"));
  }

  /**
   * Open the file as a ZIP.
   * @param is
   */
  public void process(String filename, Controller controller)
    throws FileNotFoundException, IOException
  {
    FileInputStream fis = new FileInputStream(filename);
    TarInputStream tis = null;
    GZIPInputStream gz = null;
    
    try
    {
      if (_compressed)
      {
        gz = new GZIPInputStream(new BufferedInputStream(fis));
        tis = new TarInputStream(gz);
      }
      else
      {
        tis = new TarInputStream(new BufferedInputStream(fis));
      }
      
      TarEntry entry;
      while((entry = tis.getNextEntry()) != null)
      {
        processEntry(tis, entry.getName());
      }
    }
    finally
    {
      if (gz != null)
        gz.close();
      tis.close();
    }
  }
}