#!/bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2008, 2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./saext/bin/saext.ksh BL_core_mw_extra_8.0.7_8.0.7.5.02_20100605  062248
# (#) 
#
#-- saext.ksh
#--
#-- This script run the External Soft Alarms component.
###########################################################################

CLI_ARGS="$@"

if [ -z "$JAVA_HOME" ]; then
  echo "ERROR: JAVA_HOME not found in your environment."
  echo ""
  echo "Please, set the JAVA_HOME environment variable to match the"
  echo "root directory of the Java Virtual Machine you want to use."
  echo ""
  exit 1;
else
  echo PATH | grep $JAVA_HOME || PATH=$JAVA_HOME/bin:$PATH
fi

EXTRA_HOME=$FLEXPM_HOME/pm/extra
EXTRA_LIB=$EXTRA_HOME/lib
SAEXT_HOME=$EXTRA_HOME/saext
SAEXT_LIB=$SAEXT_HOME/lib
SAEXT_CONF=$SAEXT_HOME/conf


if [ "x$LOG_DIR" = "x" ]; then
   LOG_DIR="$FLEXPM_HOME/pm/log"
fi

# set the class path
UNIXCP=""

for jarfile in `find $EXTRA_LIB -name '*.jar' -print 2>/dev/null`
do
  UNIXCP="$UNIXCP:$jarfile"
done

for jarfile in `find $SAEXT_LIB -name '*.jar' -print 2>/dev/null`
do
  UNIXCP="$UNIXCP:$jarfile"
done

# database properties
DB_PROPERTIES="-Ddb.name=$DBSID -Ddb.user=$DBUSER -Ddb.host=$DBHOST -Ddb.listener.port=$DBPORT"

# other properties required by saext
NONDB_PROPERTIES="-Dlog.dir=$LOG_DIR -Dconf.dir=$SAEXT_CONF"

# the main class
MAINCLASS="com.ibm.saext.main.ExternalSoftAlarmer"

JAVA_PROPS="-client"

PATH="$JAVA_HOME/bin:$PATH"

#echo "$JAVA_HOME/bin/java $JAVA_PROPS -classpath $UNIXCP $DB_PROPERTIES $NONDB_PROPERTIES $MAINCLASS $CLI_ARGS

exec $JAVA_HOME/bin/java $JAVA_PROPS -classpath $UNIXCP $DB_PROPERTIES $NONDB_PROPERTIES $MAINCLASS $CLI_ARGS

