#!/bin/sh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
#
# @(#) bhd.sh = start 'rgp' for Busy-Hour determination
# USAGE:
#   called by 'wmtm'
##  for monitoring ... keep a record of each run
# NOTES:
#   starts 'rgp' for the busy-hour determiner
#   uses a slightly different report definition gateway ${RGDS_HOME}
# NOTES:
#   rgp use -mainPorti(rgp) and -MainService(rg/ds) for port
#   rgp tries to bind to RG/DS at ${RG_DS_PORT} ... or above
# FILES:
#   ${RG_LOGS}/wmtm-T-J.log		-- for -taskType(10) -jobId(J)
#   pm/run/taskSet.hdd			-- for report task types
# NOTES:
#   see "wmtm-T-J.log" for trace/output from 'rg/ds' and 'rgp' 

    export  RGDS_HOME           ;#  contains DS definition for RG
    #       RGDS_HOME="${PM_HOME}/ds/rg"        ## set by ~/.profile

    Date=`date +'%Y.%m.%d'`
    LOGFILE=${PM_LOGS}/run-rg.log.${Date}

    echo >> ${LOGFILE} \
        ": `date +"%D-%T"` ; $0 $@"

    echo >> ${LOGFILE} \
         : \
    exec ReportGenerator \
        -dds  ${DD_DS_PORT}@${WM_SERVER} \
        -sds  ${FX_DS_PORT}@${WM_SERVER} \
        -bhds ${FX_DS_PORT}@${WM_SERVER} \
        -store -bhStoreProc BH_Update.RunUpdate \
	 -wmpm ${PM_PORT}@${WM_SERVER} \
        -dsTimeout 3600 \
	-entityNameForDepend "${WM_ENTITY_NAME_FOR_DEPEND}" \
        -ta 0 $* \
        ;

    exec ReportGenerator \
        -dds  ${DD_DS_PORT}@${WM_SERVER} \
        -sds  ${FX_DS_PORT}@${WM_SERVER} \
        -bhds ${FX_DS_PORT}@${WM_SERVER} \
        -store -bhStoreProc BH_Update.RunUpdate \
	 -wmpm ${PM_PORT}@${WM_SERVER} \
        -dsTimeout 3600 \
	-entityNameForDepend "${WM_ENTITY_NAME_FOR_DEPEND}" \
        -ta 0 $* \
        ;
# 
