#!/bin/sh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
#
# @(#) udr.sh = start 'rg' for UDR
# USAGE:
#   called by 'rgp' in 'wmtm' with ${RGDS_HOME} to start RG/DS
##  for monitoring ... keep a record of each run
# NOTES:
#   Before starting 'rgp' the 'wmtm' issues the following --
#   <SQL Query="select ... RG_Software.program ... 
#    where RG_Software.Id = RG_TaskList.ReportTypeId ... />"
#   DB must contain: RG_Software.program = './udr.sh'
# NOTES:
#   rgp use -mainPorti(rgp) and -MainService(rg/ds) for port
#   rgp tries to bind to RG/DS at ${RG_DS_PORT} ... or above
# FILES:
#   ${PM_PATH}/udr.sh	-- this program
#   ${RG_LOGS}/rg-server.log		-- output from this process
#   ${RG_LOGS}/wmtm-T-J.log		-- for -taskType(10) -jobId(J)
# NOTES:
#   see "wmtm-T-J.log" for trace/output from 'rg/ds' and 'rgp' 

    export  RGDS_HOME           ;#  contains DS definition for RG
    #       RGDS_HOME="${PM_HOME}/ds/rg"	## set by ~/.profile

    Date=`date +'%Y.%m.%d'`
    LOGFILE=${PM_LOGS}/run-ud.log.${Date}

    echo >> ${LOGFILE} \
	": `date +"%D-%T"` ; $0 $@"

    echo >> ${LOGFILE} \
	 : \
    exec UDRGenerator \
	-noSort \
	-dds  ${DD_DS_PORT}@${WM_SERVER} \
	-sds  ${FX_DS_PORT}@${WM_SERVER} \
	-bhds ${FX_DS_PORT}@${WM_SERVER} \
	-wmpm ${PM_PORT}@${WM_SERVER} \
	-ta 0 $* \
	;

    exec UDRGenerator \
	-noSort \
	-dds  ${DD_DS_PORT}@${WM_SERVER} \
	-sds  ${FX_DS_PORT}@${WM_SERVER} \
	-bhds ${FX_DS_PORT}@${WM_SERVER} \
	-wmpm ${PM_PORT}@${WM_SERVER} \
	-ta 0 $* \
	;
# 
