#!/bin/ksh
# ------------------------------------------------------------------------
#     COPYRIGHT WatchMark Corp 2003-2004
# *** (#) ./base/post-vendor/bh/sync_bh_col.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# *** (#) 
# ------------------------------------------------------------------------
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`

usage()
{
 echo 'Usage:'
 echo "$SCRIPTNAME  [ -preview | -execute | -help ]"
 echo '-preview : generate the SQL scripts only'
 echo '-execute : generate the SQL scripts and execute them'
 echo '-help : help'
 echo ''
 exit
}

if [ $# -eq 0 -o $# -gt 1 ]
 then
 usage
fi

case $1 in
 -preview )
    ACTION=PREVIEW
    ;;
 -execute )
    ACTION=EXECUTE
    ;;
 * )
    usage
    ;;
esac


# check on tables first
sqlplus   /NOLOG  << ! 
connect ${DB_CONNECT}
set serveroutput on size 1000000

exec sync_bh_col.populate_table_info;
exec sync_bh_col.populate_table_col_info;
exec sync_bh_col.check_tables;
exec sync_bh_col.compare_bh_tab_cols;

COMMIT;

EXIT
!

# keep working on columns

echo ""
echo "Generating column synchronizing scripts, SYNC_BH_COL.sql"
echo ""
sqlplus -s /NOLOG <<! 
connect ${DB_CONNECT}
set serveroutput on size 1000000

set echo off
set termout off
set term off
set pagesize 0
set feedback off
set lin 300

spool SYNC_BH_COL.sql

SELECT 'set pagesize 0' FROM DUAL;
SELECT 'set echo on' FROM DUAL;

SELECT DECODE(msg_type, 'ALTER TABLE', msg||';',
'--'||msg_type||':  '||msg)
FROM upgrade_bh_col_msg
WHERE NVL(msg_type,-1) <> 'MESSAGE'
ORDER by table_name, DECODE(msg_type, 'ERROR', 1, 'WARNING', 2, 'MESSAGE', 3, 4), column_name;
 

SELECT 'EXIT;' FROM DUAL;

spool off
exit;

!

if [ ${ACTION} = "PREVIEW" ]
  then
  echo "Verify SYNC_BH_COL.sql file, and execute it in sqlplus as following example;" 
  echo ""
  echo "$ sqlplus ${DBUSER}/******@${DB_SID} @SYNC_BH_COL"
  echo ""
else
  if [ ${ACTION} = "EXECUTE" ]
    then
    echo ""
    echo "" 
    echo "Applying the column synchronizing scripts...."
    echo ""
    echo "sqlplus ${DBUSER}/******@${DB_SID} @SYNC_BH_COL"
    echo ""
    echo "@SYNC_BH_COL.sql" | sqlplus $DB_CONNECT 
  else
    usage
  fi
fi

