--
-- (#) ./base/post-vendor/gos/load_gos_defaults.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
--   COPYRIGHT WatchMark Corp 2003
--
set serveroutput on size 1000000
DECLARE

   v_user_id INTEGER;

   UNIQUE_CONSTRAINT EXCEPTION;
   PRAGMA EXCEPTION_INIT( UNIQUE_CONSTRAINT, -00001 );

BEGIN

   SELECT id INTO v_user_id FROM pm_user WHERE name ='system' and type = 'S';

   -- Hardcoded gos_id is required for the defaults

   BEGIN
      INSERT INTO wmd_gos_type(gos_id,user_id,description,default_value) 
         VALUES( 1,v_user_id,'PERFORMANCE MONITORING',.02 );
   EXCEPTION
      WHEN UNIQUE_CONSTRAINT THEN
         -- The record already exists
         NULL;
   END;

   BEGIN
      INSERT INTO wmd_gos_type(gos_id,user_id,description,default_value) 
         VALUES( 2,v_user_id,'SWITCH FORECASTING',.001 );
   EXCEPTION
      WHEN UNIQUE_CONSTRAINT THEN
         -- The record already exists
         NULL;
   END;

   COMMIT;

EXCEPTION
    
  WHEN NO_DATA_FOUND THEN
         DBMS_OUTPUT.PUT_LINE ('ERROR: Unable to find the user named ''system'' ' );

  WHEN OTHERS THEN
         DBMS_OUTPUT.PUT_LINE ('ERROR: '|| SQLERRM || ' ' || SQLCODE);

END;
/
EXIT;
