#!/bin/ksh
# ------------------------------------------------------------------------
#     COPYRIGHT WatchMark Corp 2003-2004
# *** (#) ./base/post-vendor/summarize/sync_sm_col.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# *** (#) 
# ------------------------------------------------------------------------
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`

usage()
{
 echo 'Usage:'
 echo "$SCRIPTNAME  [ -preview | -execute | -help ]"
 echo '-preview : generate the SQL scripts only'
 echo '-execute : generate the SQL scripts and execute them'
 echo '-help : help'
 echo ''
 exit
}

if [ $# -eq 0 -o $# -gt 1 ]
 then
 usage
fi

case $1 in
 -preview )
    ACTION=PREVIEW
    ;;
 -execute )
    ACTION=EXECUTE
    ;;
 * )
    usage
    ;;
esac

#SEAde59664 $LOG not defined
if [[ ${LOG}x = x ]]; then
  echo "\$LOG Not defined"
  export LOG=${FLEXPM_HOME}/sync_sm_col.log
  echo "Defaulting to $LOG"
fi
#SEAde59664 Upgrade fails trying write log file defined as dir
if [[ -d ${LOG} ]]; then
  echo "value for \$LOG=$LOG is a directory"
  export LOG=${LOG}/sync_sm_col.log
  echo "Changing to $LOG"
fi

# check on tables first
sqlplus -S /NOLOG  << ! 
connect ${DB_CONNECT}
set serveroutput on size 1000000

exec sync_sm_col.validate_columns;

EXIT
!

# keep working on columns

echo ""
echo "Generating column synchronizing scripts, SYNC_SM_COL.sql"
echo ""
sqlplus -S /NOLOG <<! 
connect ${DB_CONNECT}
set serveroutput on size 1000000

set echo off
set termout off
set term off
set pagesize 0
set feedback off
set line 300

spool SYNC_SM_COL.sql

SELECT DECODE(msg_type, 'ALTER TABLE', msg||';',
'--'||msg_type||':  '||msg)
FROM upgrade_sm_col_msg
WHERE NVL(msg_type,-1) <> 'MESSAGE'
ORDER by table_name, DECODE(msg_type, 'ERROR', 1, 'WARNING', 2, 'MESSAGE', 3, 4), column_name;

 
SELECT 'EXIT;' FROM DUAL;

spool off
exit;

!

if [ ${ACTION} = "PREVIEW" ]
  then
  echo "Verify SYNC_SM_COL.sql file, and execute it in sqlplus as following example;" 
  echo ""
  echo "$ sqlplus ${DBUSER}@${DBSID} @SYNC_SM_COL"
  echo ""
else
  if [ ${ACTION} = "EXECUTE" ]
    then
    echo ""
    echo "" 
    echo "Applying the column synchronizing scripts .... "
    echo ""
    echo "sqlplus ${DBUSER}@${DBSID} @SYNC_SM_COL"
    echo ""
    echo "@SYNC_SM_COL.sql" | sqlplus -S $DB_CONNECT >> ${LOG}
  else
    usage
  fi
fi

