#! /bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2010. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./scripts/preUpgradeCleanup.sh BL_wminstall_8.0.7_8.0.7.5.02_20100605  065855
# (#) 
#

cd $FLEXPM_HOME

# Ensure FLEXPM_HOME is valid because sometimes users get it wrong
# Do this before we attempt to delete stuff
#
if [[ ! -d ${FLEXPM_HOME}/db/Oracle8i ]]; then
   echo "FLEXPM_HOME = ${FLEXPM_HOME}"
   echo "FLEXPM_HOME does not appear to be valid. Halting upgrade."
   exit 2
fi
if [[ ! -d ${FLEXPM_HOME}/pm/adm ]]; then
   echo "FLEXPM_HOME = ${FLEXPM_HOME}"
   echo "FLEXPM_HOME does not appear to be valid. Halting upgrade."
   exit 2
fi
if [[ ! -d ${FLEXPM_HOME}/ds/fx ]]; then
   echo "FLEXPM_HOME = ${FLEXPM_HOME}"
   echo "FLEXPM_HOME does not appear to be valid. Halting upgrade."
   exit 2
fi

echo " "
echo "====================================================="
echo " Preserving files for upgrade ....   "
echo "====================================================="

[ -f ${FLEXPM_HOME}/pm/pas/etc/addUserToLdap.properties ] && \
  mv ${FLEXPM_HOME}/pm/pas/etc/addUserToLdap.properties ${FLEXPM_HOME}

# Preserve for SSO
[ -f ${FLEXPM_HOME}/pm/pas/etc/sso.properties ] && \
  mv ${FLEXPM_HOME}/pm/pas/etc/sso.properties ${FLEXPM_HOME}

[ -f ${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}/server/default/conf/server.keystore ] && \
  mv ${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}/server/default/conf/server.keystore ${FLEXPM_HOME}

[ -f ${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}/server/default/conf/server.truststore ] && \
  mv ${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}/server/default/conf/server.truststore ${FLEXPM_HOME}

[ -f ${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}/server/default/conf/moto.crl ] && \
  mv ${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}/server/default/conf/moto.crl ${FLEXPM_HOME}

# Preserve for SSL
[ -f ${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}/server/default/conf/keystore ] && \
  mv ${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}/server/default/conf/keystore ${FLEXPM_HOME}


## cleanup old files that may fail the upgrade
echo " "
echo "====================================================="
echo " Cleaning old files ....   "
echo "====================================================="

rm -rf ${FLEXPM_HOME}/db/Oracle8i/cfgtool/scripts
rm -rf ${FLEXPM_HOME}/db/Oracle8i/dictionary/wm_scenarioupdate_pkg.sql
rm -rf ${FLEXPM_HOME}/db/Oracle8i/dictionary/wm_scenarioupdate_pkgb.sql
rm -rf ${FLEXPM_HOME}/db/Oracle8i/dictionary/scripts/backupScenario.sh
rm -rf ${FLEXPM_HOME}/db/Oracle8i/dictionary/scripts/restoreScenario.sh
rm -rf ${FLEXPM_HOME}/db/Oracle8i/dictionary/scripts/updateScenario.sh
rm -rf ${FLEXPM_HOME}/install
rm -rf ${FLEXPM_HOME}/ldap
rm -rf ${FLEXPM_HOME}/pm/pas     
rm -rf ${FLEXPM_HOME}/pm/bin    
rm -rf ${FLEXPM_HOME}/pm/lib  
rm -rf ${FLEXPM_HOME}/pm/extra 
rm -rf ${FLEXPM_HOME}/pm/adm/config_pm_log.ksh
rm -rf ${FLEXPM_HOME}/pm/adm/DiskUtil.jar 
rm -rf ${FLEXPM_HOME}/pm/adm/Object* 
rm -rf ${FLEXPM_HOME}/pm/adm/configure_propagation_queues.sh
rm -rf ${FLEXPM_HOME}/pm/adm/crypt_util.ksh
rm -rf ${FLEXPM_HOME}/pm/adm/enable_ssl.pl
rm -rf ${FLEXPM_HOME}/pm/adm/get_ssl.pl
rm -rf ${FLEXPM_HOME}/pm/adm/gtar 
rm -rf ${FLEXPM_HOME}/pm/adm/g*zip 
rm -rf ${FLEXPM_HOME}/pm/adm/listHF.sh
rm -rf ${FLEXPM_HOME}/pm/adm/pmcheck
rm -rf ${FLEXPM_HOME}/pm/adm/pmstart
rm -rf ${FLEXPM_HOME}/pm/adm/pmstop
rm -rf ${FLEXPM_HOME}/pm/adm/pmtop   
rm -rf ${FLEXPM_HOME}/pm/adm/pmon   
rm -rf ${FLEXPM_HOME}/pm/adm/proc* 
rm -rf ${FLEXPM_HOME}/pm/adm/Properties.pm
rm -rf ${FLEXPM_HOME}/pm/adm/SSL_Helper.pm 
rm -rf ${FLEXPM_HOME}/pm/adm/templates/rpDeploy* 
rm -rf ${FLEXPM_HOME}/pm/adm/top  
rm -rf ${FLEXPM_HOME}/pm/adm/update_report_results.pl 
rm -rf ${FLEXPM_HOME}/pm/run/taskSet.hdd  
rm -rf ${FLEXPM_HOME}/licenses
rm -rf ${FLEXPM_HOME}/migrate 
rm -rf ${FLEXPM_HOME}/sw/oracle/dbstart
rm -rf ${FLEXPM_HOME}/sw/perl
rm -rf ${FLEXPM_HOME}/upgrades
rm -rf ${FLEXPM_HOME}/wm

return 0
