#!/bin/ksh


#
#  Generate .profile.custom from .profile.custom_
#  as a PRE step for MotoR23 to Core 807 upgrade
#  and preserve custom values found in environment
#


function quit {
	echo ${1:-""}
	exit ${2:-0}
}

function die {
	quit "$@" 1
}

PROFILE_BKUP=".profile.custom.bak-$$"

function rollback {
	[ -f ${PROFILE_BKUP} ] && mv ${PROFILE_BKUP} .profile.custom
	exit
}

trap rollback  1
trap rollback  2
trap rollback  3
trap rollback 15

[ -z "${FLEXPM_HOME}" ] && die "\$FLEXPM_HOME not set."
[ -d "${FLEXPM_HOME}" ] || die "\$FLEXPM_HOME is not a directory [${FLEXPM_HOME}]."
cd ${FLEXPM_HOME}

cp .profile.custom ${PROFILE_BKUP}
# Set Java VM size variables to 2048m
sed -e 's!#    export JAVA_MIN_VM_SIZE=\"512m\"!    export JAVA_MIN_VM_SIZE=\"2048m\"!' \
	.profile.custom > .profile.tmp
mv .profile.tmp .profile.custom

sed -e 's!#    export JAVA_MAX_VM_SIZE=\"512m\"!    export JAVA_MAX_VM_SIZE=\"2048m\"!' \
	.profile.custom > .profile.tmp
mv .profile.tmp .profile.custom
