#!/bin/ksh

## (#) ./base/sw/oracle/getOraVer.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527

MY_ORACLE_HOME=${ORACLE_HOME:-NOTDEFINED}

if [ ${MY_ORACLE_HOME} = NOTDEFINED ]
 then
   echo 'ORACLE_HOME is not set. Check Oracle environment setup'
   echo '1'
   exit -1
fi

ORACLE_VER=`basename "${ORACLE_HOME}" | sed 's/[^0-9]//g'`
case ${ORACLE_VER} in
 8*)
   if [ ! -a ${ORACLE_HOME}/bin/svrmgrl ]
    then
      echo "ORACLE_HOME=${ORACLE_HOME}, cannot find svrmgrl"
      echo '1'
      exit -1
   fi
   VER=8
   ;;
 9*)
   if [ -a ${ORACLE_HOME}/bin/svrmgrl ]
    then
      echo "ORACLE_HOME=${ORACLE_HOME}, found svrmgrl"
      echo '1'
      exit -1
   fi
   VER=9
   ;;
 10*)
   if [ -a ${ORACLE_HOME}/bin/svrmgrl ]
    then
      echo "ORACLE_HOME=${ORACLE_HOME}, found svrmgrl"
      echo '1'
      exit -1
   fi
   VER=10
   ;;

 *)
      echo '1'
      exit -1
   ;;

esac

echo ${VER}
exit 0
