#!/bin/ksh
#-----------------------------------------------------------------------
# (#) ./base/sw/wm_monitor/adm/generate_rc.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
# Copyright 2003 WatchMark Corp.
#-----------------------------------------------------------------------
#
MYNAME=$(basename $0)
MONITOR_HOME=$(pwd)
OUTFILE="monitor.rc"

#----------------------------------------------------------------------
printenv()
#----------------------------------------------------------------------
{
   tester="test \"\$$1\" = \"\""
   eval $tester
   if [ $? -eq 0 ]
   then
      echo "Enter Value for $1:\c" >&2
      read VARVAL
   else
      eval VARVAL=\"\$$1\"
   fi
   echo "$1=\"$VARVAL\"" >> $OUTFILE
}

#----------------------------------------------------------------------
printout()
#----------------------------------------------------------------------
{
   echo $1 >> $OUTFILE
}

#----------------------------------------------------------------------
# M A I N
#----------------------------------------------------------------------
while getopts ho:m: opt
do
   case $opt in
   o ) OUTFILE=$OPTARG ;;
   m ) MONITOR_HOME=$OPTARG ;;
   h | \? )
       echo "Usage: $MYNAME [-o OutputFile][-m MonitorHome]" >&2
       exit 1
   esac
done
shift `expr $OPTIND - 1`

echo
echo "Generating $OUTFILE ..."
echo
   

> $OUTFILE
printout "#####################################################################"
printout "# Oracle"
printout "#####################################################################"
printenv "ORACLE_BASE"
printenv "ORACLE_HOME"
printenv "ORACLE_SID"

printout "LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:\$ORACLE_HOME/lib"
printout "PATH=\$PATH:\$ORACLE_HOME/bin"
printout
printout "export ORACLE_BASE ORACLE_HOME ORACLE_SID PATH LD_LIBRARY_PATH"
printout

printout "#####################################################################"
printout "# Prospect"
printout "#####################################################################"
printenv "DBUSER"
printenv "DBSID"
printenv "FLEXPM_HOME"
printenv "PROSPECT_HOME"
printout "PATH=\$PATH:\$FLEXPM_HOME/pm/adm"
printout
printout "export DBUSER DBSID FLEXPM_HOME PROSPECT_HOME"
printout

printout "#####################################################################"
printout "# WM_MONITOR"
printout "#####################################################################"
printout "WM_MONITOR_HOME=\"$MONITOR_HOME\""
printout
printout "export WM_MONITOR_HOME"
printout
