#!/bin/ksh
#----------------------------------------------------------------------
# (#) ./base/sw/wm_monitor/monitors/arc_logs.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
# Copyright 2003 WatchMark Corp.
#----------------------------------------------------------------------
#

MYNAME=`basename $0`
# protect TSTAMP from SCCS
TIMESTAMP=`date "+%Y\
%m\
%d\
%H\
%M\
%S"`

MONITOR_HOME=${WM_MONITOR_HOME:-".."}
MONITOR_ARCDIR="$WM_MONITOR_HOME/archive"
MONITOR_LOGDIR="$WM_MONITOR_HOME/logs"

ARC_NAME="${MONITOR_ARCDIR}/logs-${TIMESTAMP}.tar.gz"


#
# Test if gtar is available
#
eval gtar --version > /dev/null 2>&1
if [ $? -ne 0 ]
then
   echo "$MYNAME: Cannot find the gtar utility" >&2
   exit 2
fi

#
# Test if the arc dir exists, else create it
#
if [ ! -d $MONITOR_ARCDIR ]
then
   mkdir $MONITOR_ARCDIR
   if [ $? -ne 0 ]
   then
      echo "$MYNAME: Cannot create directory $MONITOR_ARCDIR" >&2
      exit 4
   fi
fi

if [ ! -d $MONITOR_LOGDIR ]
then
   echo "$MYNAME: Cannot access $MONITOR_LOGDIR" >&2
   exit 6
fi

cd $MONITOR_LOGDIR

gtar cvfz $ARC_NAME \
   `find . -name "*.log" ! -size 0` \
   `find . -name "*.err" ! -size 0`

if [ $? -ne 0 ]
then
   echo "$MYNAME: Archive failed" >&2
   exit 9
else
   find . -name "*.log" ! -size 0 -exec rm {} \;
   find . -name "*.err" ! -size 0 -exec rm {} \;
fi

