-- ----------------------------------------------------------------------
-- (#) ./base/sw/wm_monitor/sql/schedules.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
set feedback off
set pagesize 0
set heading off
set line 500

select 'JOB_TYPE|NAME|START_TIME|NEXT_TIME|IS_SUSPENDED' x from dual
union all
select SK.job_type                                       || '|'
    || JT.name                                           || '|'
    || to_char(SK.start_time, 'YYYY/MM/DD HH24:MI:SS')   || '|'
    || to_char(SK.next_time , 'YYYY/MM/DD HH24:MI:SS')   || '|'
    || SK.is_suspended
  from SCHEDULE SK
     , (
          select 25 job_type, 'daily_summary' name from dual
union all select 30         , 'bh_summary'         from dual
       ) JT
 where JT.job_type = SK.job_type
   and SK.period not in ('I', 'O')
union all
select SK.job_type                                       || '|'
    || JT.name                                           || '|'
    || to_char(SK.start_time, 'YYYY/MM/DD HH24:MI:SS')   || '|'
    || to_char(SK.next_time , 'YYYY/MM/DD HH24:MI:SS')   || '|'
    || SK.is_suspended
  from SCHEDULE SK
     , (
          select 12 sched_fk, 20 job_type, 'pm_daily' name    from dual
union all select 13         , 20         , 'pm_weekly'        from dual
union all select 14         , 20         , 'pm_monthly'       from dual
union all select 8          , 20         , 'bh_clean'         from dual
union all select 4          , 20         , 'summary_clean'    from dual
union all select 6          , 15         , 'rgfp'             from dual
union all select 6          , 20         , 'misc_clean'       from dual
union all select 19         , 20         , 'event_clean'      from dual
       ) JT
 where JT.sched_fk = SK.sched_fk
   and JT.job_type = SK.job_type
   and SK.period not in ('I', 'O')
;

exit

