-- ----------------------------------------------------------------------
-- (#) ./base/wm/healthcheck/generic/scripts/prospect_data.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
set lines 120
set feedback off
set serveroutput on size 1000000 format wrapped;
set timing on
-- This "format wrapped" is to avoid trim leading space in dbms_output.put_line

DECLARE


   cursor cur_available_data
   is
   select ie.instance_id
        , fc.entity_name
        , fc.file_type
        , ic.fullkey
        , min(ad.timestamp) min_tstamp
        , max(ad.timestamp) max_tstamp
        , count(distinct trunc(ad.timestamp)) num_days
     from WM_AVAILABLE_DATA ad
        , WM_FILE_CONTROL   fc
        , WMN_INSTANCE_CONTEXT ic
        , (
             select distinct
                    a1.instance_id
                  , a1.entity_id
                  , f1.file_type_id
               from WM_AVAILABLE_DATA a1
                  , WM_FILE_CONTROL   f1
              where a1.entity_id = f1.entity_id
          ) ie
    where ie.instance_id = ad.instance_id (+)
      and ie.file_type_id = ad.file_type_id (+)
      and ie.entity_id = fc.entity_id
      and ie.file_type_id = fc.file_type_id
      and ie.instance_id = ic.instance_id
    group
       by ie.instance_id
        , fc.entity_name
        , fc.file_type
        , ic.fullkey
        ;


   vDiff_Days 	   PLS_INTEGER := 0;
   vNo_Of_Days	   PLS_INTEGER;
   
   vFirstPos	   PLS_INTEGER := 0;
   vSecondPos	   PLS_INTEGER := 0;
   vFirstKey       VARCHAR2(50) := ''; 
   vSecondKey      VARCHAR2(50) := '';

BEGIN

   Dbms_Output.Put_Line ('	==================================================================================================================');
   Dbms_Output.Put_Line ('	  System Id  NE Id  NE Name            	   Data Type         Start Date      End Date    Days Range  Data Available');
   Dbms_Output.Put_Line ('                                                                                                             Days ');
   Dbms_Output.Put_Line ('	==================================================================================================================');


   for r_ava in cur_available_data
   loop

      vDiff_Days := trunc(r_ava.max_tstamp) - trunc(r_ava.min_tstamp) + 1;
      
      vFirstPos  := TO_NUMBER(INSTR(r_ava.fullkey,'-')) - 1 ;
      vFirstKey  := SUBSTR(r_ava.fullkey,1,vFirstPos);
      IF TO_NUMBER(INSTR(r_ava.fullkey,'-',vFirstPos+2)) - 1  > 0
      THEN         
         vSecondPos := TO_NUMBER(INSTR(r_ava.fullkey,'-',vFirstPos+2)) -1;
         vSecondKey := SUBSTR(r_ava.fullkey,vFirstPos+2,(vSecondPos - vFirstPos) -1); 
      ELSE
         vSecondKey := SUBSTR(r_ava.fullkey,vFirstPos+2);
      END IF;	 				        

      IF r_ava.num_days = 0
      THEN
         vNo_Of_Days := NULL;
      ELSE
         vNo_Of_Days := r_ava.num_days;
      END IF;
		  
      dbms_output.put_line ('	'|| lpad(vFirstKey,10) || 
                                    lpad(vSecondKey, 8) || 
                                    lpad(' ', 2) || 
                                    rpad(r_ava.entity_name, 25) || 
                                    rpad(r_ava.file_type, 16) ||  
                                    lpad(To_Char(r_ava.min_tstamp,'dd-Mon-yyyy'),12) || 
                                    lpad(' ', 2) || 
                                    lpad(To_Char(r_ava.max_tstamp,'dd-Mon-yyyy'),12) || 
                                    lpad(vDiff_Days, 10) || 
                                    lpad(vNo_Of_Days, 10) );

   end loop;

  
   Dbms_Output.Put_Line ('	==================================================================================================================');
   
END;

/
exit
--
------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:
