package wmc_general;
#---------------------------------------------------------
# (#) ./base/tools/wm_consumer/scripts/modules/wmc_general.pm BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
# COPYRIGHT 2003 WatchMark Corp.
#---------------------------------------------------------
#

BEGIN {
  use Env qw(FLEXPM_HOME);
  unshift @INC, $ENV{FLEXPM_HOME} ."/sw/perl/lib" if exists $ENV{FLEXPM_HOME};
}

use File::Basename;
use Getopt::Long;

my $SCRIPT_NAME = basename($0);

#---------------------------------------------------------------------------
sub error_out($)
#---------------------------------------------------------------------------
{
   my $msg = shift;

   die "$SCRIPT_NAME: $msg\n";
}

#---------------------------------------------------------------------------
sub show_usage
#---------------------------------------------------------------------------
{
   print STDERR "USAGE:\n\n";
   print STDERR "$SCRIPT_NAME --logfile <logfile> --settstamp <tstamp> [--sitedir <sitedir>]\n";
   print STDERR "$SCRIPT_NAME --help\n\n";
   print STDERR "Where:\n";
   print STDERR " <logfile>  : log file generated by a WM Monitor script\n";
   print STDERR " <tstamp>   : timestamp of a set. Must be in the form of 'YYYYMMDDHHMISS',\n";
   print STDERR "              where HH is in 24-hour format.\n";
   print STDERR " <sitedir>  : path of the site where the site information file\n";
   print STDERR "              can be read.  <sitedir> defaults to the parent directory\n";
   print STDERR "              of either the logfile or setlist file if --sitedir is\n";
   print STDERR "              omitted.\n";

}

#---------------------------------------------------------------------------
sub process_CommandLine
#---------------------------------------------------------------------------
{
   my %Options;

   $Options{"LOGFILE"}   = '';
   $Options{"SETTSTAMP"} = '';
   $Options{"SITEDIR"}   = '';
   $Options{"MODE"}      = '';

   my $ShowUsage         = 0;

   my $opt_status = GetOptions( 'logfile=s'   => \$Options{"LOGFILE"}
                              , 'settstamp=i' => \$Options{"SETTSTAMP"}
                              , 'sitedir=s'   => \$Options{"SITEDIR"}
                              , 'help'        => \$ShowUsage
                              );

   if ( $ShowUsage )
   {
      $Options{"MODE"} = "USAGE";
   }
   elsif ( $opt_status != 1 )
   {
      wmc_general::error_out("try --help");
   }
   elsif ( $Options{"LOGFILE"} ne '' )
   {
      $Options{"MODE"} = "LOGFILE";
      if ( $Options{"SETTSTAMP"} eq '' )
      {
         wmc_general::error_out("Option --settstamp must be specified");
      }
      if ( $Options{"SITEDIR"} eq '' )
      {
         #
         # use the logfile's parent directory as default sitedir
         #
         $Options{"SITEDIR"} = dirname($Options{"LOGFILE"}) . "/..";
      }
   }
   else
   {
      wmc_general::error_out("Option --logfile must be specified");
   }

   return %Options;
}

1;
