#!/usr/bin/env perl -w
#---------------------------------------------------------
# (#) ./base/tools/wm_consumer/scripts/script_selector.pl BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
# COPYRIGHT 2003 WatchMark Corp.
#---------------------------------------------------------
#

BEGIN {
  use File::Basename;
  unshift @INC, dirname($0) . "/modules";
}

use wmc_general;
use wmc_file;

use Env;

my $SCRIPT_ID   = basename($0);
my $FLEXPM_HOME = $ENV{"FLEXPM_HOME"} || '';
my $SCRIPTLIST  = dirname($0) . '/SCRIPTLIST';

my $SCRIPT_FP = F_SCRIPTLIST;
my $LOG_FP    = F_LOGFILE;

#---------------------------------------------------------------------------
sub retrieve_consumer($)
#---------------------------------------------------------------------------
{
   my $monitor_name  = shift;
   my $consumer_name = '';

   my $scr_fp = wmc_file::open_file($SCRIPT_FP, $SCRIPTLIST);

   while (<$scr_fp>)
   {
      chomp;
      if ( $_ !~ /^[ 	]*#/ && $_ !~ /^[ 	]$/ )
      {

         @axline = split(' ', $_, 2);

         if (defined $axline[0] && defined $axline[1])
         {

            if ( $monitor_name eq $axline[0] )
            {
               $consumer_name = $axline[1];
               last;
            }

         }

      }
   }

   wmc_file::close_file($scr_fp); 
   return $consumer_name;
}

#---------------------------------------------------------------------------
sub get_MonitorName($)
#---------------------------------------------------------------------------
{
   my $log_file = shift;

   my $log_fp = wmc_file::open_file($LOG_FP, $log_file);
   my %HeaderInfo = wmc_file::read_header($log_fp);

   wmc_file::close_file($log_fp);

   if (defined $HeaderInfo{'Name'})
   {
      return $HeaderInfo{'Name'};
   }

   return '';

}

#---------------------------------------------------------------------------
sub main()
#---------------------------------------------------------------------------
{
   my $exit_status = 0;

   wmc_general::error_out("FLEXPM_HOME is not set.")
      if ( $FLEXPM_HOME eq '' );

   wmc_general::error_out("$FLEXPM_HOME does not exist.")
      if ( ! -d $FLEXPM_HOME );

   wmc_general::error_out("Usage: $SCRIPT_ID <logfile>")
      if ( $#ARGV < 0 );

   my $monitor_name = get_MonitorName($ARGV[0]);
   
   wmc_general::error_out("Cannot find 'Name' in Header of $ARGV[0]")
      if ( $monitor_name eq '' );

   my $script_name = retrieve_consumer($monitor_name);
   $exit_status = 9 if ( $script_name eq '' );
   

   print "$script_name\n";
   return $exit_status;
}

exit main;
