-- ----------------------------------------------------------------------
-- (#) ./base/tools/wm_consumer/sql/wmon_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--

----------------------------------------------------------------------
create table WMON_SITE
----------------------------------------------------------------------
(
  site_id integer      NOT NULL constraint WMON_SITE_PK PRIMARY KEY
, name    varchar2(64) NOT NULL
, vendor  varchar2(30)
, info    varchar2(255)
);

----------------------------------------------------------------------
create sequence WMON_SITE_SEQ start with 1;
----------------------------------------------------------------------

----------------------------------------------------------------------
create table WMON_SITE_SET
----------------------------------------------------------------------
(
  set_id     integer NOT NULL constraint WMON_SITE_SET_PK PRIMARY KEY
, site_id    integer NOT NULL constraint WMON_SITE_SET_SITE_ID REFERENCES WMON_SITE
, set_tstamp date
);

----------------------------------------------------------------------
create sequence WMON_SET_SEQ start with 1;
----------------------------------------------------------------------

----------------------------------------------------------------------
create table WMON_LOG_INFO
----------------------------------------------------------------------
(
  set_id      integer      NOT NULL constraint WMON_LOGINFO_SET_ID_FK REFERENCES WMON_SITE_SET
, log_name    varchar2(64) NOT NULL
, log_tstamp  date         NOT NULL
, info_name   varchar2(64) NOT NULL
, info_value  varchar2(255)
, constraint 
     WMON_LOG_INFO_PK PRIMARY KEY (set_id, log_name, log_tstamp, info_name)
);

----------------------------------------------------------------------
create table WMON_IOS
----------------------------------------------------------------------
(
  set_id        integer NOT NULL constraint WMON_IOS_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp    date    NOT NULL
, sample_tstamp date    NOT NULL
, tty_tin       integer
, tty_tout      integer
, disk1_kps     integer
, disk1_tps     integer
, disk1_serv    integer
, disk2_kps     integer
, disk2_tps     integer
, disk2_serv    integer
, disk3_kps     integer
, disk3_tps     integer
, disk3_serv    integer
, disk4_kps     integer
, disk4_tps     integer
, disk4_serv    integer
, cpu_us        integer
, cpu_sy        integer
, cpu_wt        integer
, cpu_id        integer
, constraint
     WMON_IOS_PK PRIMARY KEY (set_id, log_tstamp, sample_tstamp)
);

----------------------------------------------------------------------
create table WMON_PARTMAINT
----------------------------------------------------------------------
(
  set_id       integer      NOT NULL constraint WMON_PMAINT_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date         NOT NULL
, table_type   varchar2(30) NOT NULL
, setting      varchar2(30)
, constraint
     WMON_PARTMAINT_PK PRIMARY KEY (set_id, log_tstamp, table_type)
);

----------------------------------------------------------------------
create table WMON_MOD_WHODOFULL
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_WHODO_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, pid          integer NOT NULL
, sid          integer NOT NULL
, username     varchar2(15)
, osuser       varchar2(15)
, machine      varchar2(30)
, piece        integer NOT NULL
, sqltext      varchar2(64)
, constraint
     WMON_MOD_WHODOFULL_PK PRIMARY KEY (set_id, log_tstamp, pid, piece)
);

----------------------------------------------------------------------
create table WMON_CMDRRS
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_CMDRRS_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, cpu          integer
, commanders   integer
, rs           integer
, constraint
     WMON_CMDRRS_PK PRIMARY KEY (set_id, log_tstamp)
);

----------------------------------------------------------------------
create table WMON_DF
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_DF_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, filesystem   varchar2(64) NOT NULL
, kbytes       integer
, used         integer
, avail        integer
, capacity     varchar2(4)
, mounted_on   varchar2(64) NOT NULL
, constraint
     WMON_DF_PK PRIMARY KEY (set_id, log_tstamp, filesystem, mounted_on)
);

----------------------------------------------------------------------
create table WMON_MPS
----------------------------------------------------------------------
(
  set_id        integer NOT NULL constraint WMON_MPS_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp    date    NOT NULL
, sample_tstamp date    NOT NULL
, cpu           integer NOT NULL
, minf          integer
, mjf           integer
, xcal          integer
, intr          integer
, ithr          integer
, csw           integer
, icsw          integer
, migr          integer
, smtx          integer
, srw           integer
, syscl         integer
, usr           integer
, sys           integer
, wt            integer
, idl           integer
, constraint
     WMON_MPS_PK PRIMARY KEY (set_id, log_tstamp, sample_tstamp, cpu)
);

----------------------------------------------------------------------
create table WMON_PS
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_PS_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, line_no      integer NOT NULL
, usrid        varchar2(15)
, pid          integer
, ppid         integer
, c            integer
, stime        varchar2(16)
, tty          varchar2(16)
, time         varchar2(16)
, cmd          varchar2(255)
, constraint
     WMON_PS_PK PRIMARY KEY (set_id, log_tstamp, line_no)
);

----------------------------------------------------------------------
create table WMON_PSR
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_PSR_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, processor    number(3,0) NOT NULL
, status       varchar2(15)
, speed        varchar2(15)
, constraint
     WMON_PSR_PK PRIMARY KEY (set_id, log_tstamp, processor)
);

----------------------------------------------------------------------
create table WMON_RGLOGS
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_RGLOGS_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, process_name varchar2(64) NOT NULL
, logfile      varchar2(64) NOT NULL
, start_time   date
, end_time     date
, constraint
     WMON_RGLOGS_PK PRIMARY KEY (set_id, log_tstamp, logfile)
);

----------------------------------------------------------------------
create table WMON_AVAILABLEDATA_COUNT
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_AVACNT_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, file_type    varchar2(30) NOT NULL
, row_count    integer
, constraint
     WMON_AVAILABLEdATA_COUNT_PK PRIMARY KEY (set_id, log_tstamp, file_type)
);

----------------------------------------------------------------------
create table WMON_BH_DEFS
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_BH_DEFS_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, line_no      integer NOT NULL
, bh_id        integer
, name         varchar2(64)
, username     varchar2(15)
, bh_field     varchar2(64)
, description  varchar2(64)
, firstneeded  date
, lastavail    date
, child_entity varchar2(64)
, child_field  varchar2(64)
, constraint
     WMON_BH_DEFS_PK PRIMARY KEY (set_id, log_tstamp, line_no)
);

----------------------------------------------------------------------
create table WMON_EVENT_COUNT
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_EVENTCNT_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, event_type   varchar2(30) NOT NULL
, row_count    integer
, constraint
     WMON_EVENT_COUNT_PK PRIMARY KEY (set_id, log_tstamp, event_type)
);

----------------------------------------------------------------------
create table WMON_ORACLE_PARAMS
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_ORAPARM_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, name         varchar2(64) NOT NULL
, type         integer NOT NULL
, value        varchar2(255)
, isdefault    varchar2(8)
, constraint
     WMON_ORACLE_PARAMS_PK PRIMARY KEY (set_id, log_tstamp, name)
);

----------------------------------------------------------------------
create table WMON_REPORT_DEFS
----------------------------------------------------------------------
(
  set_id         integer NOT NULL constraint WMON_RPTDEFS_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp     date    NOT NULL
, line_no        integer NOT NULL
, report_name    varchar2(64)
, scenario_name  varchar2(64)
, template_name  varchar2(64)
, entity_level   varchar2(64)
, entity_name    varchar2(64)
, field_name     varchar2(64)
, dostored       char(1)
, bh_entity_name varchar2(64)
, bh_field_name  varchar2(64)
, bh_name        varchar2(64)
, field_type     varchar2(30)
, run_time       date
, task_id        integer
, constraint
     WMON_REPORT_DEFS_PK PRIMARY KEY (set_id, log_tstamp, line_no)
);

----------------------------------------------------------------------
create table WMON_RPT_RUNTIME
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_RPTRUN_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, line_no      integer NOT NULL
, task_id      integer
, rptgrp_id    integer
, period       varchar2(3)
, frequency    integer
, rptgrp_name  varchar2(64)
, rpt_name     varchar2(64)
, start_time   date
, end_time     date
, constraint
     WMON_RPT_RUNTIME_PK PRIMARY KEY (set_id, log_tstamp, line_no)
);

----------------------------------------------------------------------
create table WMON_SCHED_LICENSE
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_SCHEDLIC_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, job_type_id  integer NOT NULL
, description  varchar2(30)
, in_use       integer
, maximum      integer
, disabled     char(1)
, constraint
     WMON_SCHED_LICENSE_PK PRIMARY KEY (set_id, log_tstamp, job_type_id)
);

----------------------------------------------------------------------
create table WMON_SCHEDULES
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_SCHEDULES_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, job_type     integer NOT NULL
, name         varchar2(64)
, start_time   date
, next_time    date
, is_suspended char(1)
, constraint
     WMON_SCHEDULES_PK PRIMARY KEY (set_id, log_tstamp, name)
);

----------------------------------------------------------------------
create table WMON_SWITCH
----------------------------------------------------------------------
(
  set_id       integer NOT NULL constraint WMON_SWITCH_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp   date    NOT NULL
, name         varchar2(64)
, field_1      varchar2(64)
, field_2      varchar2(64)
, field_3      varchar2(64)
, field_4      varchar2(64)
, field_5      varchar2(64)
, field_6      varchar2(64)
, constraint
     WMON_SWITCH_PK PRIMARY KEY (set_id, log_tstamp, name)
);

----------------------------------------------------------------------
create table WMON_TABLESPACE_USAGE
----------------------------------------------------------------------
(
  set_id          integer NOT NULL constraint WMON_TBLSPUSG_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp      date    NOT NULL
, tablespace_name varchar2(64) NOT NULL
, total_mb        number
, used_mb         number
, free_mb         number
, pct_free        number
, constraint
     WMON_TABLESPACE_USAGE_PK PRIMARY KEY (set_id, log_tstamp, tablespace_name)
);

----------------------------------------------------------------------
create table WMON_SUMMARY_DEFS
----------------------------------------------------------------------
(
  set_id        integer NOT NULL constraint WMON_SUMDEF_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp    date    NOT NULL
, summary_id    integer NOT NULL
, name          varchar2(64)
, frequency     varchar2(3)
, bh_determiner integer
, dtscope       integer
, scope_type    char(1)
, timeunit      char(1)
, dtperiod      integer
, constraint
     WMON_SUMMARY_DEFS_PK PRIMARY KEY (set_id, log_tstamp, summary_id)
);


----------------------------------------------------------------------
create table WMON_VMS
----------------------------------------------------------------------
(
  set_id        integer NOT NULL constraint WMON_VMS_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp    date    NOT NULL
, sample_tstamp date NOT NULL
, procs_r       integer
, procs_b       integer
, procs_w       integer
, memory_swap   integer
, memory_free   integer
, page_re       integer
, page_mf       integer
, page_pi       integer
, page_po       integer
, page_fr       integer
, page_de       integer
, page_sr       integer
, disk_1        integer
, disk_2        integer
, disk_3        integer
, disk_4        integer
, faults_in     integer
, faults_sy     integer
, faults_cs     integer
, cpu_us        integer
, cpu_sy        integer
, cpu_id        integer
, constraint
     WMON_VMS_PK PRIMARY KEY (set_id, log_tstamp, sample_tstamp)
);

----------------------------------------------------------------------
create table WMON_PART_ROWCOUNT_BH
----------------------------------------------------------------------
(
  set_id         integer NOT NULL constraint WMON_PARTRC_BH_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp     date    NOT NULL
, table_name     varchar2(64) NOT NULL
, partition_name varchar2(64)
, row_count      integer
, constraint
     WMON_PART_ROWCOUNT_BH PRIMARY KEY (set_id, log_tstamp, table_name)
);

----------------------------------------------------------------------
create table WMON_PART_ROWCOUNT_SM
----------------------------------------------------------------------
(
  set_id         integer NOT NULL constraint WMON_PARTRC_SM_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp     date    NOT NULL
, table_name     varchar2(64) NOT NULL
, partition_name varchar2(64)
, row_count      integer
, constraint
     WMON_PART_ROWCOUNT_SM PRIMARY KEY (set_id, log_tstamp, table_name)
);

----------------------------------------------------------------------
create table WMON_ACTIVE_QT
----------------------------------------------------------------------
(
  set_id         integer NOT NULL constraint WMON_ACTIVE_QT_SET_ID_FK REFERENCES WMON_SITE_SET
, log_tstamp     date    NOT NULL
, task_type      integer NOT NULL
, row_count      integer
, constraint
     WMON_ACTIVE_QT PRIMARY KEY (set_id, log_tstamp, task_type)
);


-- TRIGGERS

----------------------------------------------------------------------
create or replace trigger WMON_SITE_INS_TRG
----------------------------------------------------------------------
before INSERT on WMON_SITE
for each row
begin

   if (:NEW.site_id is NULL)
   then
      select WMON_SITE_SEQ.nextval
        into :NEW.site_id
        from dual;
   end if;

end;
/

----------------------------------------------------------------------
create or replace trigger WMON_SITE_SET_INS_TRG
----------------------------------------------------------------------
before INSERT on WMON_SITE_SET
for each row
begin

   if (:NEW.set_id is NULL)
   then
      select WMON_SET_SEQ.nextval
        into :NEW.set_id
        from dual;
   end if;

end;
/


exit
