CREATE OR REPLACE TRIGGER
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2003
  -- *** (#) ./base/db/Oracle8i/client/pm_folder_payload_trg.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
  -- *** (#) 
  -- ------------------------------------------------------------------------
PM_Folder_to_pm_doc
 BEFORE INSERT OR UPDATE OR DELETE
 ON PM_Folder
FOR EACH ROW
DECLARE
 vDocName    VARCHAR2(2048) := :old.Name;
 vFolderId   INTEGER := :old.folderId;
 vUserID     INTEGER := :old.userID;
 vPath       VARCHAR2(2048);

BEGIN

   IF INSERTING THEN

       -- this if is to handle the initial folder id for ROOT
       -- ROOT folder has no folder id, so make it to -1
       IF :new.name = 'ROOT' THEN
           vFolderId := -1;
       ELSE
           vFolderId := :new.folderId;
       END IF;

       pm_doc.add_document(:new.name,
                           vFolderId,
                           :new.userID,
                           'Folder',
                           :new.id,
                           'application/x-watchmark-folder',
                           :new.description );

   ELSIF DELETING then

        pm_doc.delete_document(:old.id, 'Folder');

   ELSIF UPDATING then

        -- make sure ROOT cannot be renamed and its id is handled properly
        IF :old.name = 'ROOT' THEN
            vDocName := :old.name;
            vFolderId := -1;
        ELSE
            vDocName := :new.name;
            vFolderId := :new.folderId;
        END IF;

        -- since this is update, the :old.id and :new.id should be same
        pm_doc.update_document(:new.id,
                               vFolderId,
                               vDocName,
                               :new.userid,
                               'Folder',
                               :new.description);

   END IF;
END PM_Folder_to_pm_doc;
/
show errors trigger PM_Folder_to_pm_doc;
